* 2018-04-28(Tal Galili) update docs |4cb6652| 
|  NAMESPACE           |   1 +
|  man/colored_dots.Rd | 192 ++++++++++++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 193 insertions(+)

* 2018-04-28(Tal Galili) temp rename 2 |2be950c| 
|  R/colored_dots.R    | 441 ++++++++++++++++++++++++++++++++++++++++++++++++++
|  R/colored_dots111.R | 441 --------------------------------------------------
|  2 files changed, 441 insertions(+), 441 deletions(-)

* 2018-04-28(Tal Galili) temp rename |d8b1ce7| 
|  R/colored_Dots.R    | 441 --------------------------------------------------
|  R/colored_dots.R    | 441 --------------------------------------------------
|  R/colored_dots111.R | 441 ++++++++++++++++++++++++++++++++++++++++++++++++++
|  3 files changed, 441 insertions(+), 882 deletions(-)

* 2018-04-28(Tal Galili) stlyr the colored_dots file/functions |3f9da97| 
|  NEWS             |   9 +
|  R/colored_Dots.R | 493 ++++++++++++++++++++++++++---------------------------
|  R/colored_dots.R | 493 ++++++++++++++++++++++++++---------------------------
|  3 files changed, 485 insertions(+), 510 deletions(-)

* 2018-04-28(Tal Galili) rename color_dots file to be lower case |c1351e3| 
|  R/colored_dots.R | 458 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 458 insertions(+)

* 2018-04-28(Tal Galili) Added Chase Clark as a contributor |949cebf| 
|  DESCRIPTION | 10 +++++++---
|  1 file changed, 7 insertions(+), 3 deletions(-)

* 2018-03-03(Chase Clark) Added Roxygen, added examples similar to "colored_bars" |9cb4b46| 
|  R/colored_Dots.R | 504 ++++++++++++++++++++++++++++++++++++++++-------------
|  1 file changed, 385 insertions(+), 119 deletions(-)

* 2018-01-15(Chase Clark) Add two comments |cbd2e2d| 
|  R/colored_Dots.R | 8 +++++---
|  1 file changed, 5 insertions(+), 3 deletions(-)

* 2018-01-01(Chase Clark) Create colored_Dots.R |501fa8b| 
|  R/colored_Dots.R | 190 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 190 insertions(+)

* 2018-03-16(Tal Galili) Update version and added Manuela Hummel as author of: branches_attr_by_lists - Change col/lwd/lty of branches from the root down to clusters defined by list of labels of respective members |26f20b6| 
|  DESCRIPTION | 8 +++++---
|  NEWS        | 9 +++++++++
|  2 files changed, 14 insertions(+), 3 deletions(-)

* 2018-03-14(Hummel) added test unit for branches_attr_by_labels |6cf0d62| 
|  tests/testthat/test-branches_attr_by.R | 32 ++++++++++++++++++++++++++++++++
|  1 file changed, 32 insertions(+)

* 2018-02-28(Hummel) added documentation for branches_attr_by_lists |1950401| 
|  man/branches_attr_by_lists.Rd | 59 +++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 59 insertions(+)

* 2018-02-28(Hummel) added documentation for branches_attr_by_lists |e02f1ef| 
|  man/set.Rd | 21 +++++++++++++++++----
|  1 file changed, 17 insertions(+), 4 deletions(-)

* 2018-02-28(Hummel) added function branches_attr_by_lists |11a232f| 
|  NAMESPACE            |  1 +
|  R/branches_attr_by.R | 75 ++++++++++++++++++++++++++++++++++++++++++++++++++
|  R/set.dendrogram.R   | 24 ++++++++++++++--
|  3 files changed, 97 insertions(+), 3 deletions(-)

* 2018-02-10(Tal Galili) remove labeltodendro. |49dde87| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2018-02-10(Tal Galili) Fix: Rd line widths ... NOTE |54b9889| 
|  R/get_subdendrograms.R    | 6 ++++--
|  man/find_dendrogram.Rd    | 3 ++-
|  man/get_subdendrograms.Rd | 3 ++-
|  3 files changed, 8 insertions(+), 4 deletions(-)

* 2018-02-10(Tal Galili) update NEWS.md |c13a2c6| 
|  ChangeLog | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   | 16 ++++++++++++++++
|  2 files changed, 69 insertions(+)

* 2018-02-10(Tal Galili) Remove NMF from suggested |846f881| 
|  DESCRIPTION                |  3 +--
|  NEWS                       |  7 +++++--
|  vignettes/introduction.Rmd | 34 ++++++++++++++++++++--------------
|  3 files changed, 26 insertions(+), 18 deletions(-)

* 2018-01-19(Tal Galili) add docs and fix #61 |1d12d13| 
|  NAMESPACE                 |  2 ++
|  man/find_dendrogram.Rd    | 39 ++++++++++++++++++++++++++++++
|  man/get_subdendrograms.Rd | 59 +++++++++++++++++++++++++++++++++++++++++++++
|  man/seriate_dendrogram.Rd |  4 +--
|  4 files changed, 102 insertions(+), 2 deletions(-)

* 2018-01-19(Tal Galili) Updated NEWS and added storaged as a contributor |dccff9b| 
|  DESCRIPTION | 10 ++++++----
|  NEWS        | 13 +++++++++++++
|  2 files changed, 19 insertions(+), 4 deletions(-)

* 2018-01-19(Tal Galili) update get_dendrograms example to demonstrate how to plot it in a heatmap.2 |f9c576e| 
|  R/get_subdendrograms.R | 24 ++++++++++++++++++++++--
|  1 file changed, 22 insertions(+), 2 deletions(-)

* 2018-01-19(Tal Galili) styler the functions |e02364d| 
|  R/get_subdendrograms.R | 52 ++++++++++++++++++++++++------------------------
|  1 file changed, 26 insertions(+), 26 deletions(-)

* 2018-01-19(Tal Galili) move to using _ instead of . |cb1f7bb| 
|  R/get_subdendrograms.R | 34 +++++++++++++++-------------------
|  1 file changed, 15 insertions(+), 19 deletions(-)

* 2018-01-11(storaged) Functions that help to extract subdendrogram structures based on given number of expected stuctures |14130e4| 
|  R/get_subdendrograms.R | 77 ++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 77 insertions(+)

*   2017-12-19(Tal Galili) Merge pull request #58 from Alanocallaghan/master |7d11920
|\  
| * 2017-12-19(Alan O'Callaghan) Bugfix seriate_dendrogram |e77e2be
|/  |   
|    R/seriate_dendrogram.R | 32 ++++++++++++++++----------------
|    1 file changed, 16 insertions(+), 16 deletions(-)

* 2017-12-10(Tal Galili) Adding some #' par(mfrow = c(1,2)) |f5ad443| 
|  R/color_branches.R    | 7 ++++++-
|  man/color_branches.Rd | 7 ++++++-
|  2 files changed, 12 insertions(+), 2 deletions(-)

* 2017-11-13(Tal Galili) Bump version to 0.16.0 |879d98c| 
|  ChangeLog   | 275 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION |   2 +-
|  NEWS        |   2 +-
|  NEWS.md     | 198 ++++++++++++++++++++++++------------------
|  4 files changed, 390 insertions(+), 87 deletions(-)

* 2017-11-13(Tal Galili) fix long url: |3e9f0d6| 
|  R/color_branches.R    | 2 +-
|  man/color_branches.Rd | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2017-11-13(Tal Galili) Fix: (invalid URL) |e0386e1| 
|  vignettes/introduction.Rmd | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-11-13(Tal Galili) how to cite |eeb1c1e| 
|  README.md | 23 +++++++++++++++++++++++
|  1 file changed, 23 insertions(+)

* 2017-10-26(Tal Galili) typo |c806acf| 
|  inst/CITATION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-09-27(Tal Galili) Another example for color_branches |99bfa39| 
|  R/color_branches.R    | 34 ++++++++++++++++++++++++++++++++++
|  man/color_branches.Rd | 21 +++++++++++++++++++++
|  2 files changed, 55 insertions(+)

* 2017-09-27(Tal Galili) circlize_dendrogram - can now handle dendrograms with non unique labels. A warning is issued, and a running number is padded to the labels. |44d1ca9| 
|  DESCRIPTION  | 2 +-
|  NEWS         | 3 ++-
|  R/circlize.R | 8 ++++++++
|  3 files changed, 11 insertions(+), 2 deletions(-)

* 2017-06-10(Tal Galili) update date |2a303ef| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2017-06-10(Tal Galili) Added min_depth, max_depth - measures the min/max depth of a tree (from the root to the closest/furtherest leaf). |d88249c| 
|  NAMESPACE    |  2 ++
|  NEWS         |  1 +
|  R/depth.R    | 60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/depth.Rd | 34 +++++++++++++++++++++++++++++++++
|  4 files changed, 97 insertions(+)

* 2017-05-31(Tal Galili) Updating pvrect2 example |33efee8| 
|  R/pvclust.R    | 4 ++--
|  man/pvrect2.Rd | 4 ++--
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2017-05-29(Tal Galili) Fix rect.dendrogram - it now deals much better with setting the lower part of the rectangle to be below the labels. |a756d9a| 
|  NEWS                |  2 ++
|  R/rect.dendrogram.R | 21 +++++++++++++++++++--
|  2 files changed, 21 insertions(+), 2 deletions(-)

* 2017-05-29(Tal Galili) pvrect2 function added - Draw Rectangles Around a Dendrogram's Clusters with High/Low P-values |56f9e92| 
|  DESCRIPTION    |   4 +-
|  NAMESPACE      |   1 +
|  NEWS           | 187 +++++++++++++++++++++++++++++--------------------------
|  R/pvclust.R    | 114 +++++++++++++++++++++++++++++++--
|  man/pvrect2.Rd |  61 ++++++++++++++++++
|  5 files changed, 271 insertions(+), 96 deletions(-)

* 2017-05-28(Tal Galili) Update bioinformatics link |82a3df7| 
|  DESCRIPTION   | 6 +++---
|  inst/CITATION | 4 ++--
|  2 files changed, 5 insertions(+), 5 deletions(-)

* 2017-05-19(Tal Galili) Fix #38 by using alternative default for prune (i.e.: reindex_dend=TRUE). Also added examples in the doc to demonstrate its use. |8b948b6| 
|  R/prune.R           | 28 ++++++++++++++++++++--------
|  man/prune.Rd        | 19 +++++++++++++++----
|  man/reindex_dend.Rd |  2 +-
|  3 files changed, 36 insertions(+), 13 deletions(-)

* 2017-05-19(Tal Galili) * refactor reindex_dend to use order.dendrogram * Simpler consolidation of the prune documentation. * added reindex_dend parameter to allow the leaves of a pruned dendrogram to be of the vector of 1:nleaves |f5f09f7| 
|  NAMESPACE             |  2 +-
|  NEWS                  |  2 +-
|  R/prune.R             | 72 ++++++++++++++++++++-----------------------------
|  man/prune.Rd          | 10 +++++--
|  man/reindex_dend.Rd   | 45 +++++++++++++++++++++++++++++++
|  man/reindex_dendro.Rd | 43 -----------------------------
|  6 files changed, 84 insertions(+), 90 deletions(-)

* 2017-05-19(Tal Galili) Added John Ma as contributor |10d732d| 
|  DESCRIPTION | 7 ++++---
|  NEWS        | 6 +++++-
|  2 files changed, 9 insertions(+), 4 deletions(-)

* 2017-05-19(Tal Galili) Added reindex_dendro doc |9cc6ca6| 
|  NAMESPACE             |  1 +
|  man/reindex_dendro.Rd | 43 +++++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 44 insertions(+)

*   2017-05-19(Tal Galili) Merge pull request #39 from JohnMCMa/master |b02dcca
|\  
| * 2017-03-30(John Ma) Adding function reindex_dendro to resolve problems with as.hclust |1e25e5b| | 
| |  R/prune.R | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
| |  1 file changed, 54 insertions(+), 2 deletions(-)

* | 2017-05-17(Tal Galili) Fix print.ggdend |c3c0a00| | 
| |  R/ggdend.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

* | 2017-05-17(Tal Galili) refresh .Rd files. |8b0df89| | 
| |  man/Bk.Rd                                  |  1 -
| |  man/Bk_permutations.Rd                     |  1 -
| |  man/Bk_plot.Rd                             |  1 -
| |  man/DendSer.dendrogram.Rd                  |  1 -
| |  man/FM_index.Rd                            |  1 -
| |  man/FM_index_R.Rd                          |  1 -
| |  man/FM_index_permutation.Rd                |  1 -
| |  man/FM_index_profdpm.Rd                    |  1 -
| |  man/all.equal.dendrogram.Rd                |  3 +--
| |  man/all_couple_rotations_at_k.Rd           |  1 -
| |  man/all_unique.Rd                          |  1 -
| |  man/as.dendlist.Rd                         |  1 -
| |  man/as.phylo.dendrogram.Rd                 |  1 -
| |  man/as_hclust_fixed.Rd                     |  1 -
| |  man/assign_dendextend_options.Rd           |  1 -
| |  man/assign_values_to_branches_edgePar.Rd   |  1 -
| |  man/assign_values_to_leaves_edgePar.Rd     |  1 -
| |  man/assign_values_to_leaves_nodePar.Rd     |  1 -
| |  man/assign_values_to_nodes_nodePar.Rd      |  1 -
| |  man/bakers_gamma_for_2_k_matrix.Rd         |  1 -
| |  man/branches_attr_by_clusters.Rd           |  1 -
| |  man/branches_attr_by_labels.Rd             |  1 -
| |  man/circlize_dendrogram.Rd                 |  7 +++----
| |  man/click_rotate.Rd                        |  7 +++----
| |  man/collapse_branch.Rd                     |  1 -
| |  man/color_branches.Rd                      |  9 ++++-----
| |  man/color_labels.Rd                        |  1 -
| |  man/color_unique_labels.Rd                 |  1 -
| |  man/colored_bars.Rd                        |  9 ++++-----
| |  man/common_subtrees_clusters.Rd            |  1 -
| |  man/cor.dendlist.Rd                        |  1 -
| |  man/cor_FM_index.Rd                        |  1 -
| |  man/cor_common_nodes.Rd                    |  1 -
| |  man/cor_cophenetic.Rd                      |  1 -
| |  man/count_terminal_nodes.Rd                |  1 -
| |  man/cut_lower_fun.Rd                       |  7 +++----
| |  man/cutree_1h.dendrogram.Rd                |  7 +++----
| |  man/cutree_1k.dendrogram.Rd                |  7 +++----
| |  man/dend_diff.Rd                           |  3 +--
| |  man/dendextend-package.Rd                  |  3 +--
| |  man/dendextend_labels.dendrogram.Rd        |  1 -
| |  man/dendextend_options.Rd                  |  1 -
| |  man/dendlist.Rd                            |  1 -
| |  man/dist.dendlist.Rd                       |  1 -
| |  man/dist_long.Rd                           |  1 -
| |  man/distinct_edges.Rd                      |  1 -
| |  man/duplicate_leaf.Rd                      |  1 -
| |  man/entanglement.Rd                        |  5 ++---
| |  man/fac2num.Rd                             |  1 -
| |  man/find_dend.Rd                           |  1 -
| |  man/find_k.Rd                              |  1 -
| |  man/fix_members_attr.dendrogram.Rd         |  1 -
| |  man/flatten.dendrogram.Rd                  |  1 -
| |  man/flip_leaves.Rd                         |  1 -
| |  man/get_branches_heights.Rd                |  3 +--
| |  man/get_childrens_heights.Rd               |  1 -
| |  man/get_leaves_attr.Rd                     |  1 -
| |  man/get_leaves_branches_attr.Rd            |  1 -
| |  man/get_leaves_branches_col.Rd             |  1 -
| |  man/get_leaves_edgePar.Rd                  |  1 -
| |  man/get_leaves_nodePar.Rd                  |  1 -
| |  man/get_nodes_attr.Rd                      |  1 -
| |  man/get_nodes_xy.Rd                        |  1 -
| |  man/get_root_branches_attr.Rd              |  1 -
| |  man/hang.dendrogram.Rd                     |  1 -
| |  man/has_component_in_attribute.Rd          |  1 -
| |  man/heights_per_k.dendrogram.Rd            |  3 +--
| |  man/highlight_branches.Rd                  |  3 +--
| |  man/highlight_distinct_edges.Rd            |  3 +--
| |  man/identify.dendrogram.Rd                 |  1 -
| |  man/intersect_trees.Rd                     |  1 -
| |  man/is.natural.number.Rd                   |  7 +++----
| |  man/is_null_list.Rd                        |  1 -
| |  man/is_some_class.Rd                       |  9 ++++-----
| |  man/khan.Rd                                |  1 -
| |  man/labels-assign.Rd                       | 11 +++++------
| |  man/labels_cex.Rd                          |  1 -
| |  man/labels_colors.Rd                       |  3 +--
| |  man/ladderize.Rd                           |  3 +--
| |  man/leaf_Colors.Rd                         |  7 +++----
| |  man/lowest_common_branch.Rd                |  1 -
| |  man/match_order_by_labels.Rd               |  1 -
| |  man/match_order_dendrogram_by_old_order.Rd |  1 -
| |  man/na_locf.Rd                             |  1 -
| |  man/nleaves.Rd                             |  3 +--
| |  man/nnodes.Rd                              |  1 -
| |  man/noded_with_condition.Rd                |  1 -
| |  man/order.dendrogram-assign.Rd             |  1 -
| |  man/order.hclust.Rd                        |  1 -
| |  man/partition_leaves.Rd                    |  1 -
| |  man/plot_horiz.dendrogram.Rd               |  1 -
| |  man/prune.Rd                               |  1 -
| |  man/prune_common_subtrees.dendlist.Rd      |  1 -
| |  man/prune_leaf.Rd                          |  1 -
| |  man/pvclust_show_signif.Rd                 |  1 -
| |  man/pvclust_show_signif_gradient.Rd        |  1 -
| |  man/raise.dendrogram.Rd                    |  1 -
| |  man/rank_branches.Rd                       |  1 -
| |  man/rank_order.dendrogram.Rd               |  1 -
| |  man/rank_values_with_clusters.Rd           |  1 -
| |  man/rect.dendrogram.Rd                     |  1 -
| |  man/reexports.Rd                           |  4 ++--
| |  man/remove_branches_edgePar.Rd             |  1 -
| |  man/remove_leaves_nodePar.Rd               |  1 -
| |  man/remove_nodes_nodePar.Rd                |  1 -
| |  man/rllply.Rd                              |  1 -
| |  man/rotate.Rd                              |  5 ++---
| |  man/rotate_DendSer.Rd                      |  1 -
| |  man/sample.dendrogram.Rd                   |  1 -
| |  man/seriate_dendrogram.Rd                  |  1 -
| |  man/set.Rd                                 |  5 ++---
| |  man/set_labels.Rd                          |  9 ++++-----
| |  man/shuffle.Rd                             |  3 +--
| |  man/sort_2_clusters_vectors.Rd             |  1 -
| |  man/sort_dist_mat.Rd                       |  1 -
| |  man/sort_levels_values.Rd                  |  1 -
| |  man/tanglegram.Rd                          | 13 ++++++-------
| |  man/theme_dendro.Rd                        |  7 +++----
| |  man/unbranch.Rd                            |  1 -
| |  man/unclass_dend.Rd                        |  1 -
| |  man/untangle.Rd                            | 11 +++++------
| |  man/untangle_DendSer.Rd                    |  1 -
| |  man/untangle_random_search.Rd              |  1 -
| |  man/untangle_step_rotate_1side.Rd          |  1 -
| |  man/untangle_step_rotate_2side.Rd          |  1 -
| |  man/which_leaf.Rd                          |  1 -
| |  man/which_node.Rd                          |  1 -
| |  127 files changed, 75 insertions(+), 201 deletions(-)

* | 2017-05-17(Tal Galili) Add print.ggdend - a wrapper for ggplot2::ggplot of a ggdend object. |95ae952| | 
| |  DESCRIPTION             |  2 +-
| |  NAMESPACE               |  1 +
| |  NEWS                    |  3 +++
| |  R/ggdend.R              |  8 +++++++-
| |  man/cor_bakers_gamma.Rd |  6 ++++--
| |  man/cutree-methods.Rd   | 11 +++++------
| |  man/ggdend.Rd           | 18 ++++++++++--------
| |  7 files changed, 31 insertions(+), 18 deletions(-)

* | 2017-05-04(Tal Galili) Mention that dendextendRcpp is no longer supported. |f3e28e6
|/  |   
|    README.md | 8 ++++----
|    1 file changed, 4 insertions(+), 4 deletions(-)

* 2017-03-27(Tal Galili) remove dendextendRcpp further |af9921e| 
|  DESCRIPTION                |  4 ++--
|  NEWS                       |  3 ++-
|  vignettes/introduction.Rmd | 12 +++++++-----
|  3 files changed, 11 insertions(+), 8 deletions(-)

* 2017-03-27(Tal Galili) Rollback viridisLite to viridis (to check if this is what's breaking everything) |abe5348| 
|  DESCRIPTION | 2 +-
|  NAMESPACE   | 2 +-
|  R/zzz.R     | 2 +-
|  3 files changed, 3 insertions(+), 3 deletions(-)

* 2017-03-27(Tal Galili) Fix viridis to viridisLite in NAMESPACE |7ae8a29| 
|  NAMESPACE | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-03-27(Tal Galili) viridis to viridisLite |d183226| 
|  DESCRIPTION | 6 +++---
|  R/zzz.R     | 2 +-
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2017-03-27(Tal Galili) Remove dendextendRcpp :(  (from tests and suggests) |986bce1| 
|  DESCRIPTION      | 1 -
|  NEWS             | 5 +++++
|  tests/test-all.R | 4 ++--
|  3 files changed, 7 insertions(+), 3 deletions(-)

* 2017-03-24(Tal Galili) update NEWS |ba11350| 
|  ChangeLog | 131 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
|  NEWS.md   |  16 +++++++-
|  2 files changed, 142 insertions(+), 5 deletions(-)

* 2017-03-24(Tal Galili) 1.5.0 |d574b43| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 9 ++-------
|  2 files changed, 4 insertions(+), 9 deletions(-)

* 2017-03-24(Tal Galili) # this is behaving different for R 3.3.3 and 3.4 - I'm not sure why... (removing the test for now) |57042f7| 
|  tests/testthat/test-untangle.R | 23 ++++++++++++++++-------
|  1 file changed, 16 insertions(+), 7 deletions(-)

* 2017-03-19(Tal Galili) description not details! |6c7a8b0| 
|  R/find_dend.R    | 2 +-
|  man/find_dend.Rd | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2017-03-19(Tal Galili) Get cor_cophenetic to work with hclust again |3ee25a1| 
|  R/cor_cophenetic.R | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2017-03-19(Tal Galili) dend_expend and find_dend - functions for finding a "good" dendrogram for a dist |350de5d| 
|  NAMESPACE        |   2 +
|  NEWS             |   5 +++
|  R/find_dend.R    | 111 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/find_dend.Rd |  58 ++++++++++++++++++++++++++++
|  4 files changed, 176 insertions(+)

* 2017-03-19(Tal Galili) cor_cophenetic - dend2 can now also be a dist object (allowing to check how close is some clustering to the original distance matrix). |76a479c| 
|  DESCRIPTION           |  4 ++--
|  NEWS                  |  4 ++++
|  R/cor_cophenetic.R    | 12 ++++++++++--
|  man/cor_cophenetic.Rd |  2 +-
|  4 files changed, 17 insertions(+), 5 deletions(-)

* 2017-02-15(Tal Galili) Fix "Undocumented arguments in documentation object 'find_k' ‘x’" |496294c| 
|  R/find_k.R    | 1 +
|  man/find_k.Rd | 2 ++
|  2 files changed, 3 insertions(+)

* 2017-02-15(Tal Galili) Fix "is_some_class" from being exported. |ef537ff| 
|  NAMESPACE        | 5 ++---
|  R/is.functions.R | 1 -
|  2 files changed, 2 insertions(+), 4 deletions(-)

* 2017-02-15(Tal Galili) document new ggplot S3 methods. |348d8ab| 
|  man/ggdend.Rd | 7 ++++---
|  1 file changed, 4 insertions(+), 3 deletions(-)

* 2017-02-15(Tal Galili) Simplified the roxygen2 code by using @rdname (and removing many instances of @allias and @usage) |71c8a0d| 
|  DESCRIPTION                     |  4 +-
|  NAMESPACE                       | 12 ++++-
|  NEWS                            | 10 ++++
|  R/cor_bakers_gamma.R            | 18 +++----
|  R/cor_cophenetic.R              | 16 ++-----
|  R/cutree.dendrogram.R           | 29 ++----------
|  R/dendlist.R                    |  9 +---
|  R/distinct_edges.R              | 34 +++-----------
|  R/entanglement.R                | 25 ++--------
|  R/find_k.R                      |  5 +-
|  R/ggdend.R                      | 29 +++---------
|  R/highlight_branches.R          | 13 ++----
|  R/is.functions.R                | 54 +++++++++------------
|  R/labels.R                      | 38 ++-------------
|  R/labels_colors.R               | 22 +++------
|  R/nleaves.R                     | 53 ++++++---------------
|  R/rotate.R                      | 68 +++++++--------------------
|  R/set.dendrogram.R              | 47 ++-----------------
|  R/tanglegram.R                  | 69 ++++-----------------------
|  R/unbranch.R                    | 20 ++------
|  R/untangle.R                    | 51 ++++++--------------
|  man/click_rotate.Rd             |  5 +-
|  man/cor_bakers_gamma.Rd         | 14 ++++--
|  man/cor_cophenetic.Rd           | 18 +++----
|  man/cutree-methods.Rd           | 37 +++++++--------
|  man/dend_diff.Rd                |  9 ++--
|  man/entanglement.Rd             | 12 ++---
|  man/find_k.Rd                   |  7 +++
|  man/ggdend.Rd                   | 20 ++++----
|  man/highlight_branches.Rd       | 18 +++----
|  man/highlight_distinct_edges.Rd | 13 ++----
|  man/is.dendlist.Rd              | 24 ----------
|  man/is.dendrogram.Rd            | 18 -------
|  man/is.dist.Rd                  | 24 ----------
|  man/is.hclust.Rd                | 18 -------
|  man/is.phylo.Rd                 | 18 -------
|  man/is_some_class.Rd            | 41 ++++++++++++++++
|  man/labels-assign.Rd            |  7 +--
|  man/labels_colors.Rd            |  4 +-
|  man/ladderize.Rd                |  4 +-
|  man/nleaves.Rd                  |  2 +
|  man/nnodes.Rd                   |  2 +
|  man/rotate.Rd                   | 13 ++++--
|  man/set.Rd                      | 38 ++++-----------
|  man/shuffle.Rd                  |  2 +
|  man/tanglegram.Rd               | 98 ++++++++++++++++++---------------------
|  man/unbranch.Rd                 |  8 +++-
|  man/untangle.Rd                 | 21 +++++----
|  48 files changed, 370 insertions(+), 751 deletions(-)

* 2017-02-14(Tal Galili) Fix dend_diff.dendrogram to return to original mfrow after finish plotting. ( fix issue #37 ) |a75223c| 
|  R/distinct_edges.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2017-01-22(Tal Galili) highlight_distinct_edges is now value 3 instead of 2 for tanglegram - so that the gap from lty are not too wide. |01d4a47| 
|  NEWS           | 2 +-
|  R/tanglegram.R | 4 ++--
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2017-01-21(Tal Galili) Namespace in Imports field not imported from: 'datasets' |89a52f4| 
|  NAMESPACE | 1 +
|  R/zzz.R   | 1 +
|  2 files changed, 2 insertions(+)

* 2017-01-21(Tal Galili) Fix  Undocumented arguments in documentation object 'has_component_in_attribute': 'the_attrib' |4e90cf3| 
|  R/has_edgePar.R                   | 2 ++
|  man/has_component_in_attribute.Rd | 3 +++
|  2 files changed, 5 insertions(+)

* 2017-01-21(Tal Galili) If dend is not a dendrogram, then has_edgePar will return FALSE. |25f4b4d| 
|  R/has_edgePar.R                   | 3 +++
|  man/has_component_in_attribute.Rd | 1 +
|  2 files changed, 4 insertions(+)

* 2017-01-21(Tal Galili) update dates |c612a6e| 
|  ChangeLog   | 254 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION |   2 +-
|  NEWS        |   6 +-
|  NEWS.md     |  19 +++++
|  4 files changed, 277 insertions(+), 4 deletions(-)

* 2017-01-21(Tal Galili) tanglegram function now highlights branches only if these parameters are NOT already set in the object. If the tree already has lty/lwd/col - these will not be updated by this parameter. These parameters can be removed from the tree by using `dend %>% set("clear_branches")`. |aef480e| 
|  NEWS                              |  2 +-
|  R/has_edgePar.R                   |  2 ++
|  R/tanglegram.R                    | 28 ++++++++++++++++++++++------
|  man/has_component_in_attribute.Rd |  2 ++
|  man/tanglegram.Rd                 | 18 +++++++++++++++---
|  5 files changed, 42 insertions(+), 10 deletions(-)

* 2017-01-21(Tal Galili) New functions has_edgePar, has_nodePar - Does a dendrogram has an edgePar/nodePar component? |28ec998| 
|  NAMESPACE                         |  3 +++
|  NEWS                              |  3 ++-
|  R/has_edgePar.R                   | 50 +++++++++++++++++++++++++++++++++++++
|  man/has_component_in_attribute.Rd | 43 +++++++++++++++++++++++++++++++
|  4 files changed, 98 insertions(+), 1 deletion(-)

* 2017-01-20(Tal Galili) https://cran.r-project.org/web/packages to https://CRAN.R-project.org/package= |531f990| 
|  R/bk_method.R                     | 2 +-
|  R/magrittr.R                      | 4 ++--
|  README.md                         | 2 +-
|  vignettes/Quick_Introduction.Rmd  | 2 +-
|  vignettes/dendextend-tutorial.bib | 2 +-
|  vignettes/introduction.Rmd        | 4 ++--
|  6 files changed, 8 insertions(+), 8 deletions(-)

* 2017-01-20(Tal Galili) Fix "\examples lines wider than 100 characters:" |dd84df4| 
|  R/highlight_branches.R    | 9 ++++++---
|  man/highlight_branches.Rd | 9 ++++++---
|  2 files changed, 12 insertions(+), 6 deletions(-)

* 2017-01-20(Tal Galili) http://cran.r-project to https://cran.r-project |460b3aa| 
|  R/bk_method.R                              |  4 ++--
|  R/colored_bars.R                           |  2 +-
|  R/distinct_edges.R                         |  2 +-
|  R/ggdendro.R                               |  2 +-
|  R/magrittr.R                               | 10 +++++-----
|  R/pvclust.R                                |  2 +-
|  man/colored_bars.Rd                        |  2 +-
|  vignettes/Quick_Introduction.Rmd           |  2 +-
|  vignettes/dendextend-tutorial.bib          | 18 +++++++++---------
|  vignettes/disabled/dendextend-tutorial.rnw |  2 +-
|  vignettes/introduction.Rmd                 | 14 +++++++-------
|  11 files changed, 30 insertions(+), 30 deletions(-)

* 2017-01-20(Tal Galili) "Possibly mis-spelled words in DESCRIPTION:" |b9cf5d3| 
|  DESCRIPTION | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2017-01-07(Tal Galili) Adding highlight_branches to the vignette. |e2cad21| 
|  vignettes/introduction.Rmd | 53 +++++++++++++++++++++++++++++++++++++++++++-
|  1 file changed, 52 insertions(+), 1 deletion(-)

* 2017-01-07(Tal Galili) Fix colored_bars example to work. props to Jerome Bartholome |4818699| 
|  vignettes/introduction.Rmd | 19 ++++++++++++++++++-
|  1 file changed, 18 insertions(+), 1 deletion(-)

* 2016-12-25(Tal Galili) highlight_branches - added a heatmap example. |ececc60| 
|  DESCRIPTION               |  1 +
|  R/highlight_branches.R    | 19 +++++++++++++++++++
|  man/highlight_branches.Rd | 19 +++++++++++++++++++
|  3 files changed, 39 insertions(+)

* 2016-12-24(Tal Galili) highlight_branches_col  - remove the yellow color (so that the leaves will be visible). |cae9254| 
|  R/highlight_branches.R    | 6 +++---
|  man/highlight_branches.Rd | 2 +-
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2016-12-24(Tal Galili) This fixes #33 - although it might be worth improving get_leaves_branches_col in the future. |8976a92| 
|  R/attr_access.R                |  4 ++++
|  R/tanglegram.R                 | 20 ++++++++++++++++++--
|  man/get_leaves_branches_col.Rd |  5 +++++
|  man/tanglegram.Rd              |  5 ++++-
|  4 files changed, 31 insertions(+), 3 deletions(-)

* 2016-12-24(Tal Galili) fix bug in branches_attr_by_clusters (should have values and not value) |93795d0| 
|  R/branches_attr_by.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-12-24(Tal Galili) using TRUE and FALSE instead of T and F. Also moved to using dendextend_get_branches_heights instead of get_branches_heights (so to be more robust). |57054dc| 
|  R/highlight_branches.R    | 14 +++++++-------
|  R/zzz.R                   |  1 +
|  man/highlight_branches.Rd |  6 +++---
|  3 files changed, 11 insertions(+), 10 deletions(-)

* 2016-12-24(Tal Galili) added viridis to the example. |eb4f21b| 
|  R/highlight_branches.R    | 1 +
|  man/highlight_branches.Rd | 1 +
|  2 files changed, 2 insertions(+)

* 2016-12-24(Tal Galili) Pass include_leaves in get_branches_heights (otherwise it will result in an error) |69461a4| 
|  R/attr_access.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-12-24(Tal Galili) Added example for set("highlight_branches_col") |b083f57| 
|  R/set.dendrogram.R | 6 ++++++
|  man/set.Rd         | 6 ++++++
|  2 files changed, 12 insertions(+)

* 2016-12-24(Tal Galili) Updated NEWS about the new "highlight_branches" capabilities. |9e2930c| 
|  DESCRIPTION | 2 +-
|  NEWS        | 5 ++++-
|  2 files changed, 5 insertions(+), 2 deletions(-)

* 2016-12-24(Tal Galili) tanglegram - added highlight_branches_col (FALSE) and highlight_branches_lwd (TRUE) parameters. |38346d5| 
|  R/tanglegram.R    | 22 +++++++++++++++++++---
|  man/tanglegram.Rd |  6 ++++++
|  2 files changed, 25 insertions(+), 3 deletions(-)

* 2016-12-24(Tal Galili) get_branches_heights - fix missing docs |cdfa4c7| 
|  R/attr_access.R             | 2 +-
|  man/get_branches_heights.Rd | 7 ++++---
|  2 files changed, 5 insertions(+), 4 deletions(-)

* 2016-12-24(Tal Galili) set - added highlight_branches_col and highlight_branches_lwd |21562f3| 
|  R/set.dendrogram.R | 8 ++++++++
|  man/set.Rd         | 4 ++++
|  2 files changed, 12 insertions(+)

* 2016-12-24(Tal Galili) New functions: highlight_branches, highlight_branches_col, highlight_branches_lwd - Highlight a dendrogram's branches heights via color and line-width. resolves #34 |a576a9e| 
|  NAMESPACE                 |   4 ++
|  R/highlight_branches.R    | 166 ++++++++++++++++++++++++++++++++++++++++++++
|  man/highlight_branches.Rd |  79 +++++++++++++++++++++
|  3 files changed, 249 insertions(+)

* 2016-12-24(Tal Galili) Adding viridis to imports |e095aa8| 
|  DESCRIPTION | 3 ++-
|  R/zzz.R     | 9 ++++++++-
|  2 files changed, 10 insertions(+), 2 deletions(-)

* 2016-12-24(Tal Galili) Add "include_leaves" to dendextend_get_branches_heights (required in highlight_branches) |4e07e26| 
|  R/attr_access.R             | 5 +++--
|  man/get_branches_heights.Rd | 2 ++
|  2 files changed, 5 insertions(+), 2 deletions(-)

* 2016-11-08(Tal Galili) Fix " \examples lines wider than 100 characters:" |e8cee13| 
|  R/set.dendrogram.R | 11 +++++++----
|  man/set.Rd         | 11 +++++++----
|  2 files changed, 14 insertions(+), 8 deletions(-)

* 2016-11-08(Tal Galili) fix "checking S3 generic/method consistency ... WARNING" |08b09f0| 
|  R/Hmisc.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2016-11-08(Tal Galili) Added as.dendrogram.varclus |87b1b5c| 
|  DESCRIPTION |  6 +++---
|  NAMESPACE   |  1 +
|  NEWS        |  5 ++++-
|  R/Hmisc.R   | 24 ++++++++++++++++++++++++
|  man/set.Rd  |  4 ++--
|  5 files changed, 34 insertions(+), 6 deletions(-)

* 2016-11-02(Tal Galili) set - added the parameter `order_value` to easily use values which are in the order of the original data. (related to issue #31 ) |8ea84b2| 
|  DESCRIPTION        |  4 ++--
|  NEWS               |  4 ++++
|  R/set.dendrogram.R | 19 +++++++++++++++++--
|  man/set.Rd         | 18 +++++++++++++++---
|  4 files changed, 38 insertions(+), 7 deletions(-)

* 2016-10-21(Tal Galili) Credit for recent pull request. |9db0f99| 
|  DESCRIPTION | 8 +++++---
|  NEWS        | 3 ++-
|  2 files changed, 7 insertions(+), 4 deletions(-)

* 2016-10-21(Tal Galili) How to cite. |ee6ceb9| 
|  R/zzz.R | 2 ++
|  1 file changed, 2 insertions(+)

* 2016-10-21(Tal Galili) Return the missing par reset from tanglegram. |1a21101| 
|  R/tanglegram.R | 10 ++++++++++
|  1 file changed, 10 insertions(+)

* 2016-10-21(Tal Galili) misc |8191070| 
|  TODO | 5 +++++
|  1 file changed, 5 insertions(+)

*   2016-10-21(Tal Galili) Merge pull request #30 from CathG/master |81796b6
|\  
| * 2016-10-19(Cath) Update tanglegram.R |69dd9b7| | 
| |  R/tanglegram.R | 8 ++++----
| |  1 file changed, 4 insertions(+), 4 deletions(-)

| * 2016-10-18(Cath) Add files via upload |407c394| | 
| |  man/tanglegram.Rd | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2016-10-18(Cath) Add files via upload |8896856| | 
| |  R/tanglegram.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2016-10-18(Cath) Update tanglegram.R |1432a24| | 
| |  R/tanglegram.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2016-10-18(Cath) Update tanglegram.R |a9639f2| | 
| |  R/tanglegram.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2016-10-18(Cath) Update tanglegram.R |6301067| | 
| |  R/tanglegram.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2016-10-18(Cath) Update tanglegram.R |2806ee9| | 
| |  R/tanglegram.R | 2 ++
| |  1 file changed, 2 insertions(+)

| * 2016-10-17(Cath) Add files via upload |8177483
| * 2016-10-17(Cath) Update tanglegram.R |41d96be| | 
| |  R/tanglegram.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2016-10-17(Cath) Update tanglegram.R |0107d70| | 
| |  R/tanglegram.R | 6 +++---
| |  1 file changed, 3 insertions(+), 3 deletions(-)

| * 2016-10-17(Cath) Delete tanglegram.Rd |5e932f5| | 
| |  tanglegram.Rd | 273 ------------------------------------------------------
| |  1 file changed, 273 deletions(-)

| * 2016-10-17(Cath) Add files via upload |080218e| | 
| |  man/tanglegram.Rd | 541 +++++++++++++++++++++++++-------------------------
| |  1 file changed, 273 insertions(+), 268 deletions(-)

| * 2016-10-17(Cath) Add files via upload |3bd61a7| | 
| |  tanglegram.Rd | 273 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
| |  1 file changed, 273 insertions(+)

| * 2016-10-17(Cath) Update tanglegram.R |f7fe826
|/  |   
|    R/tanglegram.R | 14 ++++++++------
|    1 file changed, 8 insertions(+), 6 deletions(-)

* 2016-10-12(Tal Galili) Add FAQ example: Plot a "mirror" (labels on the left) horizontal dendrogram |c1645ed| 
|  vignettes/FAQ.Rmd | 31 +++++++++++++++++++++++++++++++
|  1 file changed, 31 insertions(+)

* 2016-10-06(Tal Galili) find_k - now includes `k` in the output, which is a copy of `nc`. This is to make it easier to extract the value (i.e.: the suggested number of clusters). |ced7cc6| 
|  DESCRIPTION   | 4 ++--
|  NEWS          | 7 +++++++
|  R/find_k.R    | 2 ++
|  man/find_k.Rd | 1 +
|  4 files changed, 12 insertions(+), 2 deletions(-)

* 2016-08-27(Tal Galili) 1.3.0 |7a8fb04| 
|  ChangeLog | 31 +++++++++++++++++++++++++++++++
|  1 file changed, 31 insertions(+)

* 2016-08-27(Tal Galili) another http to https |cb9d1ab| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-08-27(Tal Galili) v1.3.0 |abb2d7f| 
|  NEWS.md | 13 +++++++++++++
|  1 file changed, 13 insertions(+)

* 2016-08-27(Tal Galili) http to https |fc6f403| 
|  DESCRIPTION       | 2 +-
|  man/set_labels.Rd | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2016-07-15(Tal Galili) Fix "labels_colors<-" - make it more robust for combinations of using it with assign_values_to_leaves_nodePar (as used in set("labels_colors", ...) for example) |1fa259e| 
|  DESCRIPTION                            |  2 +-
|  NEWS                                   |  5 ++++-
|  R/attr_access.R                        |  2 ++
|  R/labels_colors.R                      |  3 ++-
|  man/assign_values_to_leaves_nodePar.Rd |  2 ++
|  tests/testthat/test-labels_colors.R    | 19 +++++++++++++++++++
|  6 files changed, 30 insertions(+), 3 deletions(-)

* 2016-07-06(Tal Galili) Added set_labels and place_labels. These are convenience functions for updating the labels of a dendrogram. Props to Garrett Grolemund for the idea. |ccc43bc| 
|  DESCRIPTION       |  4 +--
|  NAMESPACE         |  2 ++
|  NEWS              | 10 +++++++
|  R/labels.R        | 85 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/set_labels.Rd | 69 +++++++++++++++++++++++++++++++++++++++++++
|  5 files changed, 168 insertions(+), 2 deletions(-)

* 2016-06-22(Tal Galili) update log files. |962ea87| 
|  ChangeLog | 164 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  28 +++++++++++
|  2 files changed, 192 insertions(+)

* 2016-06-21(Tal Galili) Improve vignette size for CRAN (moving to html_vignette) |ad2880c| 
|  .Rbuildignore                    |  1 +
|  NEWS                             |  1 +
|  vignettes/Cluster_Analysis.Rmd   | 17 +++++++++--------
|  vignettes/FAQ.Rmd                |  5 +++--
|  vignettes/Quick_Introduction.Rmd |  3 ++-
|  vignettes/introduction.Rmd       |  9 +++++----
|  6 files changed, 21 insertions(+), 15 deletions(-)

* 2016-06-21(Tal Galili) add requireNamespace("seriation") (since I can't use imports) |8c5ae04| 
|  R/seriate_dendrogram.R | 2 ++
|  1 file changed, 2 insertions(+)

* 2016-06-21(Tal Galili) Added seriate_dendrogram - rotates a dendrogram to fit the optimal ordering (via OLO or GW) of some distance matrix (very useful for heatmaps) |113c354| 
|  DESCRIPTION               |  4 ++-
|  NAMESPACE                 |  2 ++
|  NEWS                      |  3 +-
|  R/seriate_dendrogram.R    | 79 +++++++++++++++++++++++++++++++++++++++++++++
|  man/seriate_dendrogram.Rd | 48 +++++++++++++++++++++++++++
|  5 files changed, 134 insertions(+), 2 deletions(-)

* 2016-06-21(Tal Galili) reduce dpi to deal with vignette size |5245c28| 
|  vignettes/Cluster_Analysis.Rmd | 2 +-
|  vignettes/introduction.Rmd     | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2016-06-21(Tal Galili) trying a new untangle method (didn't work) |77e933c| 
|  R/untangle.R | 44 ++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 44 insertions(+)

* 2016-06-21(Tal Galili) copyright notice |c2b044b| 
|  R/find_k.R | 18 ++++++++++++++++++
|  1 file changed, 18 insertions(+)

* 2016-06-21(Tal Galili) added is.dist |d508a51| 
|  NEWS             |  1 +
|  R/is.functions.R | 18 ++++++++++++++++++
|  man/is.dist.Rd   | 24 ++++++++++++++++++++++++
|  3 files changed, 43 insertions(+)

* 2016-06-18(Tal Galili) reminder to myself on how to add SSH to github and connect it to RStudio |e59b44d| 
|  R/zzz.R | 29 +++++++++++++++++++++++++++++
|  1 file changed, 29 insertions(+)

* 2016-06-18(Tal Galili) bump date |3fd6e7f| 
|  DESCRIPTION | 2 +-
|  NAMESPACE   | 4 ++--
|  NEWS        | 2 +-
|  3 files changed, 4 insertions(+), 4 deletions(-)

* 2016-06-18(Tal Galili) find_k can now deal with smaller trees (n<10) by default. |3ff51db| 
|  R/find_k.R    | 2 +-
|  man/find_k.Rd | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2016-06-13(Tal Galili) ggplot2 is now imported (instead of just suggested). This is because the use of dendextend for transforming dendrograms into ggplot2 has become more important (thanks to the new plotly package). |3ab1886| 
|  DESCRIPTION | 2 +-
|  NEWS        | 6 ++++++
|  2 files changed, 7 insertions(+), 1 deletion(-)

* 2016-06-13(Tal Galili) Fix the tiny notch in angle of the branches (in ggplot.ggdend) |b085046| 
|  R/ggdend.R | 4 +++-
|  1 file changed, 3 insertions(+), 1 deletion(-)

* 2016-06-12(Tal Galili) import(ggplot2) (instead of manually copying each function - which is NOT a good way to do this) |7de4df9| 
|  NAMESPACE  |  1 +
|  R/ggdend.R | 32 +++++++++++++++++++-------------
|  2 files changed, 20 insertions(+), 13 deletions(-)

* 2016-06-12(Tal Galili) New function: find_k - Find the (estimated) number of clusters for a dendrogram using average silhouette width |5b6a666| 
|  DESCRIPTION   |  5 ++--
|  NAMESPACE     |  3 +++
|  NEWS          |  9 +++++--
|  R/find_k.R    | 81 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/find_k.Rd | 52 ++++++++++++++++++++++++++++++++++++
|  5 files changed, 146 insertions(+), 4 deletions(-)

* 2016-06-12(Tal Galili) allow NEWS.md to be listed on CRAN |dbfd35c| 
|  .Rbuildignore | 1 -
|  1 file changed, 1 deletion(-)

* 2016-05-26(Tal Galili) would this help codecov to work?! |6a0d6f8| 
|  .travis.yml | 8 +++++---
|  1 file changed, 5 insertions(+), 3 deletions(-)

* 2016-05-26(Tal Galili) http -> https |68350b2| 
|  DESCRIPTION |  4 ++--
|  README.md   | 15 ++++++++-------
|  2 files changed, 10 insertions(+), 9 deletions(-)

* 2016-05-25(Tal Galili) Update Startup Message |b529c5f| 
|  R/ggdend.R |  2 +-
|  R/zzz.R    | 49 +++++++++++++++++++++++++++++++++----------------
|  2 files changed, 34 insertions(+), 17 deletions(-)

* 2016-05-23(Tal Galili) Fix (as is done now in dplyr): Warning: replacing previous import 'dendextend::%>%' by 'plotly::%>%' when loading 'heatmaply' |f97c47b| 
|  NAMESPACE        |  1 +
|  R/magrittr.R     | 24 ++----------------------
|  man/pipe.Rd      | 33 ---------------------------------
|  man/reexports.Rd | 16 ++++++++++++++++
|  4 files changed, 19 insertions(+), 55 deletions(-)

* 2016-05-08(Tal Galili) more info on the statistical use of E_FM and V_FM |08351a2| 
|  vignettes/introduction.Rmd | 15 +++++++++++++++
|  1 file changed, 15 insertions(+)

* 2016-04-25(Tal Galili) Use test_check instead of test_package |7af67a3| 
|  tests/test-all.R | 13 +++++++++++--
|  1 file changed, 11 insertions(+), 2 deletions(-)

* 2016-04-25(Tal Galili) check if the tests now work (if I place them in the tests\\testthat |362e0b0| 
|  tests/test-all.R | 29 ++++++++++++++++++-----------
|  1 file changed, 18 insertions(+), 11 deletions(-)

* 2016-04-24(Tal Galili) alternative name of Baker's Gamma |270dd40| 
|  R/cor_bakers_gamma.R    | 3 ++-
|  man/cor_bakers_gamma.Rd | 3 ++-
|  man/entanglement.Rd     | 2 +-
|  3 files changed, 5 insertions(+), 3 deletions(-)

* 2016-04-24(Tal Galili) ^ instead of ** |884c01d| 
|  R/entanglement.R | 6 +++---
|  1 file changed, 3 insertions(+), 3 deletions(-)

* 2016-03-24(Tal Galili) update documentation of the functions' location. |1325bbb| 
|  man/fac2num.Rd       | 2 +-
|  man/is.dendlist.Rd   | 2 +-
|  man/is.dendrogram.Rd | 2 +-
|  man/is.hclust.Rd     | 2 +-
|  man/is.phylo.Rd      | 2 +-
|  5 files changed, 5 insertions(+), 5 deletions(-)

* 2016-03-17(Tal Galili) Move is.X style functions to a new file: is.functions.R |2b533fe| 
|  DESCRIPTION           |  4 +--
|  NEWS                  |  9 +++++
|  R/cutree.dendrogram.R | 52 ----------------------------
|  R/dendlist.R          | 15 ---------
|  R/is.functions.R      | 90 +++++++++++++++++++++++++++++++++++++++++++++++++
|  5 files changed, 101 insertions(+), 69 deletions(-)

* 2016-02-10(Tal Galili) until tests\\testthat will work. |dd25ff2| 
|  tests/test-all.R | 8 ++++++--
|  1 file changed, 6 insertions(+), 2 deletions(-)

* 2016-02-10(Tal Galili) 1.1.8 bump |6e490e0| 
|  DESCRIPTION | 2 +-
|  NEWS        | 5 +++++
|  2 files changed, 6 insertions(+), 1 deletion(-)

* 2016-02-10(Tal Galili) some updates |634511f| 
|  TODO | 34 ----------------------------------
|  1 file changed, 34 deletions(-)

* 2016-02-10(Tal Galili) ideas |90a4627| 
|  TODO | 51 ++++++++++++++++++++++++++++++++++++++++++++++++++-
|  1 file changed, 50 insertions(+), 1 deletion(-)

* 2016-02-10(Tal Galili) Added "tryCatch" to deal with the tests issue. + updated changelog and NEWS |3f2c1a2| 
|  ChangeLog        | 366 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS             |   2 +-
|  NEWS.md          |  47 +++++++
|  tests/test-all.R |   7 +-
|  4 files changed, 419 insertions(+), 3 deletions(-)

* 2016-02-10(Tal Galili) another fix for the warning. |3708e45| 
|  tests/testthat/test-cutree.dendrogram.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-02-10(Tal Galili) Added  rmarkdown in Suggests of DESCRIPTION |881733a| 
|  DESCRIPTION | 3 ++-
|  NEWS        | 7 +++++++
|  2 files changed, 9 insertions(+), 1 deletion(-)

* 2016-02-10(Tal Galili) typo |77ccd5f| 
|  R/zzz.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-02-10(Tal Galili) Tests fixed to deal with the new R's ability to run as.hclust on dendrogram with ties. |f0ee811| 
|  DESCRIPTION                             | 4 ++--
|  NEWS                                    | 1 +
|  R/cutree.dendrogram.R                   | 2 +-
|  tests/testthat/test-cutree.dendrogram.R | 9 ++++++++-
|  4 files changed, 12 insertions(+), 4 deletions(-)

* 2016-02-10(Tal Galili) Moved `inst/tests/` to `tests/testthat/` |b4c7fbc| 
|  NEWS                                    |   7 +
|  inst/tests/test-attr_access.R           | 232 -------------
|  inst/tests/test-bk_method.R             | 286 ----------------
|  inst/tests/test-branches_attr_by.R      |  97 ------
|  inst/tests/test-common_subtrees.R       |  49 ---
|  inst/tests/test-cor_bakers_gamma.R      |  48 ---
|  inst/tests/test-cor_cophenetic.R        |  44 ---
|  inst/tests/test-cut_lower_fun.R         | 110 -------
|  inst/tests/test-cutree.dendrogram.R     | 520 ------------------------------
|  inst/tests/test-dendlist.R              |  97 ------
|  inst/tests/test-distinct_edges.R        |  45 ---
|  inst/tests/test-entanglement.R          | 142 --------
|  inst/tests/test-general.R               |  15 -
|  inst/tests/test-ggdend.R                |  79 -----
|  inst/tests/test-labels-assign.R         | 202 ------------
|  inst/tests/test-labels_colors.R         | 118 -------
|  inst/tests/test-nleaves.R               |  68 ----
|  inst/tests/test-rect.dendrogram.R       |  26 --
|  inst/tests/test-rotate.R                |  91 ------
|  inst/tests/test-set.dendrogram.R        | 160 ---------
|  inst/tests/test-trim.R                  |  81 -----
|  inst/tests/test-unbranch.R              |  48 ---
|  inst/tests/test-untangle.R              | 162 ----------
|  tests/test-all.R                        |   2 +-
|  tests/testthat/test-attr_access.R       | 232 +++++++++++++
|  tests/testthat/test-bk_method.R         | 286 ++++++++++++++++
|  tests/testthat/test-branches_attr_by.R  |  97 ++++++
|  tests/testthat/test-common_subtrees.R   |  49 +++
|  tests/testthat/test-cor_bakers_gamma.R  |  48 +++
|  tests/testthat/test-cor_cophenetic.R    |  44 +++
|  tests/testthat/test-cut_lower_fun.R     | 110 +++++++
|  tests/testthat/test-cutree.dendrogram.R | 520 ++++++++++++++++++++++++++++++
|  tests/testthat/test-dendlist.R          |  97 ++++++
|  tests/testthat/test-distinct_edges.R    |  45 +++
|  tests/testthat/test-entanglement.R      | 142 ++++++++
|  tests/testthat/test-general.R           |  15 +
|  tests/testthat/test-ggdend.R            |  79 +++++
|  tests/testthat/test-labels-assign.R     | 202 ++++++++++++
|  tests/testthat/test-labels_colors.R     | 118 +++++++
|  tests/testthat/test-nleaves.R           |  68 ++++
|  tests/testthat/test-rect.dendrogram.R   |  26 ++
|  tests/testthat/test-rotate.R            |  91 ++++++
|  tests/testthat/test-set.dendrogram.R    | 160 +++++++++
|  tests/testthat/test-trim.R              |  81 +++++
|  tests/testthat/test-unbranch.R          |  48 +++
|  tests/testthat/test-untangle.R          | 162 ++++++++++
|  46 files changed, 2728 insertions(+), 2721 deletions(-)

* 2016-01-06(Tal Galili) Adding Gregory Jefferis as an author (thanks to his work on dendroextras, which was later reused in the dendextend package) |818aa14| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 6 ++++--
|  2 files changed, 6 insertions(+), 4 deletions(-)

* 2016-01-05(Tal Galili) remove sort_cluster_numbers from another place... |d42be6f| 
|  R/color_branches.R                         | 3 +--
|  R/cutree.dendrogram.R                      | 2 +-
|  inst/tests/test-cutree.dendrogram.R        | 8 ++++----
|  man/color_branches.Rd                      | 3 +--
|  vignettes/disabled/dendextend-tutorial.rnw | 4 ++--
|  5 files changed, 9 insertions(+), 11 deletions(-)

* 2016-01-05(Tal Galili) Fix #18 by removing the sort_cluster_numbers parameter. |287b1fd| 
|  DESCRIPTION           |  4 ++--
|  NEWS                  |  7 +++++++
|  R/color_branches.R    |  8 ++++----
|  R/colored_bars.R      |  4 ++--
|  R/cutree.dendrogram.R | 21 ++++++---------------
|  man/color_branches.Rd |  4 ++--
|  man/cutree-methods.Rd | 12 ------------
|  7 files changed, 23 insertions(+), 37 deletions(-)

* 2016-01-02(Tal Galili) Add legend to a SO example |655a0aa| 
|  vignettes/FAQ.Rmd | 5 ++++-
|  1 file changed, 4 insertions(+), 1 deletion(-)

* 2016-01-02(Tal Galili) Added many description elements in .Rd files. |d10d082| 
|  NEWS                                | 10 +++++++---
|  R/attr_access.R                     |  5 +++++
|  R/bk_method.R                       |  3 ++-
|  R/color_branches.R                  |  7 +++++--
|  R/colored_bars.R                    |  6 ++++--
|  R/cor_bakers_gamma.R                |  1 +
|  R/cor_cophenetic.R                  |  3 ++-
|  R/cutree.dendrogram.R               |  5 +++++
|  R/dendextend_options.R              |  2 ++
|  R/dendlist.R                        |  2 ++
|  R/dist_long.R                       |  1 +
|  R/distinct_edges.R                  |  3 ++-
|  R/get_nodes_xy.R                    |  3 ++-
|  R/labels.R                          |  1 +
|  R/labels_colors.R                   |  2 ++
|  R/nleaves.R                         |  1 +
|  R/prune.R                           |  5 +++--
|  R/pvclust.R                         |  6 ++++--
|  R/unbranch.R                        |  7 ++++++-
|  man/all_unique.Rd                   |  3 +++
|  man/assign_dendextend_options.Rd    |  3 +++
|  man/bakers_gamma_for_2_k_matrix.Rd  |  3 +++
|  man/color_branches.Rd               |  3 ++-
|  man/colored_bars.Rd                 |  6 ++++--
|  man/dist_long.Rd                    |  3 +++
|  man/distinct_edges.Rd               |  5 ++++-
|  man/get_branches_heights.Rd         |  3 +++
|  man/get_childrens_heights.Rd        |  3 +++
|  man/get_leaves_attr.Rd              |  3 +++
|  man/get_leaves_nodePar.Rd           |  3 +++
|  man/get_nodes_xy.Rd                 |  5 ++++-
|  man/get_root_branches_attr.Rd       |  3 +++
|  man/heights_per_k.dendrogram.Rd     |  4 ++++
|  man/is.dendlist.Rd                  |  3 +++
|  man/is.dendrogram.Rd                |  3 +++
|  man/is.hclust.Rd                    |  3 +++
|  man/is.phylo.Rd                     |  3 +++
|  man/is_null_list.Rd                 |  3 +++
|  man/labels_cex.Rd                   |  3 +++
|  man/labels_colors.Rd                |  3 +++
|  man/leaf_Colors.Rd                  |  2 +-
|  man/order.hclust.Rd                 |  3 +++
|  man/prune_leaf.Rd                   |  5 ++++-
|  man/pvclust_show_signif.Rd          |  5 ++++-
|  man/pvclust_show_signif_gradient.Rd |  5 ++++-
|  man/raise.dendrogram.Rd             |  3 +++
|  man/sort_2_clusters_vectors.Rd      |  5 ++++-
|  man/sort_dist_mat.Rd                |  5 ++++-
|  man/unbranch.Rd                     |  3 +++
|  man/unclass_dend.Rd                 |  3 +++
|  50 files changed, 156 insertions(+), 27 deletions(-)

* 2016-01-01(Tal Galili) change update to set in the document |758eb9b| 
|  R/colored_bars.R    | 10 +++++-----
|  man/colored_bars.Rd |  2 +-
|  2 files changed, 6 insertions(+), 6 deletions(-)

* 2016-01-01(Tal Galili) having colored_bars more robust to various types of vectors. And updated the introduction vignette to use sort_by_labels_order properly in the example. |f0f96c5| 
|  R/colored_bars.R           | 6 ++++--
|  vignettes/introduction.Rmd | 4 +++-
|  2 files changed, 7 insertions(+), 3 deletions(-)

* 2016-01-01(Tal Galili) Updated the vignette (and removed the check in colored_bars for matrix/vector) |8aa9e78| 
|  DESCRIPTION       |  2 +-
|  R/colored_bars.R  |  5 +++--
|  vignettes/FAQ.Rmd | 46 ++++++++++++++++++++++++++++++++++++++++++++++
|  3 files changed, 50 insertions(+), 3 deletions(-)

* 2016-01-01(Tal Galili) colored_bars - updated example (a new mtcars example) |a89df04| 
|  R/colored_bars.R    | 39 +++++++++++++++++++++++++++
|  man/colored_bars.Rd | 73 +++++++++++++++++++++++++++++++++++++++++----------
|  2 files changed, 98 insertions(+), 14 deletions(-)

* 2016-01-01(Tal Galili) colored_bars - Fixed many bugs (in the horiz string location, and in the display of multiple bars) |b394170| 
|  R/colored_bars.R | 23 ++++++++++-------------
|  1 file changed, 10 insertions(+), 13 deletions(-)

* 2016-01-01(Tal Galili) Fixes to the bars' positions for horiz = TRUE |6cf4e2e| 
|  R/colored_bars.R | 10 +++++-----
|  1 file changed, 5 insertions(+), 5 deletions(-)

* 2016-01-01(Tal Galili) colored_bars - Major corrections to the way the bars are located automatically (it is now positioned underneath the labels automatically!) |ce47da4| 
|  R/colored_bars.R | 226 +++++++++++++++++++++++++++++++++++------------------
|  1 file changed, 152 insertions(+), 74 deletions(-)

* 2016-01-01(Tal Galili) rxoygen2 edit |ccbbf4f| 
|  NAMESPACE                                  |  2 +-
|  R/dendextend_options.R                     |  8 +--
|  R/rotate.R                                 |  2 +-
|  man/Bk.Rd                                  | 19 +++---
|  man/Bk_permutations.Rd                     | 19 +++---
|  man/Bk_plot.Rd                             | 37 +++++------
|  man/DendSer.dendrogram.Rd                  |  4 +-
|  man/FM_index.Rd                            | 17 ++---
|  man/FM_index_R.Rd                          | 13 ++--
|  man/FM_index_permutation.Rd                |  9 +--
|  man/FM_index_profdpm.Rd                    | 15 +++--
|  man/all.equal.dendrogram.Rd                |  9 +--
|  man/all_couple_rotations_at_k.Rd           |  5 +-
|  man/all_unique.Rd                          |  7 +-
|  man/as.dendlist.Rd                         |  4 +-
|  man/as.phylo.dendrogram.Rd                 |  8 +--
|  man/as_hclust_fixed.Rd                     | 10 +--
|  man/assign_dendextend_options.Rd           |  5 +-
|  man/assign_values_to_branches_edgePar.Rd   |  7 +-
|  man/assign_values_to_leaves_edgePar.Rd     |  6 +-
|  man/assign_values_to_leaves_nodePar.Rd     | 10 +--
|  man/assign_values_to_nodes_nodePar.Rd      | 22 ++++---
|  man/bakers_gamma_for_2_k_matrix.Rd         |  5 +-
|  man/branches_attr_by_clusters.Rd           | 15 +++--
|  man/branches_attr_by_labels.Rd             | 16 ++---
|  man/circlize_dendrogram.Rd                 |  9 +--
|  man/click_rotate.Rd                        |  7 +-
|  man/collapse_branch.Rd                     |  7 +-
|  man/color_branches.Rd                      | 56 ++++++++--------
|  man/color_labels.Rd                        | 14 ++--
|  man/color_unique_labels.Rd                 |  3 +-
|  man/common_subtrees_clusters.Rd            |  5 +-
|  man/cor.dendlist.Rd                        |  9 +--
|  man/cor_FM_index.Rd                        |  4 +-
|  man/cor_bakers_gamma.Rd                    | 36 ++++++-----
|  man/cor_common_nodes.Rd                    |  8 ++-
|  man/cor_cophenetic.Rd                      | 40 ++++++------
|  man/count_terminal_nodes.Rd                | 10 +--
|  man/cut_lower_fun.Rd                       |  8 ++-
|  man/cutree-methods.Rd                      | 79 +++++++++++-----------
|  man/cutree_1h.dendrogram.Rd                | 18 +++---
|  man/cutree_1k.dendrogram.Rd                | 30 +++++----
|  man/d3dendro_options.Rd                    |  8 +--
|  man/d3dendrogram.Rd                        |  8 +--
|  man/dend_diff.Rd                           | 14 ++--
|  man/dendextend-package.Rd                  |  2 +-
|  man/dendextend_labels.dendrogram.Rd        |  4 +-
|  man/dendextend_options.Rd                  |  4 +-
|  man/dendlist.Rd                            |  8 ++-
|  man/dist.dendlist.Rd                       | 14 ++--
|  man/dist_long.Rd                           |  6 +-
|  man/distinct_edges.Rd                      |  7 +-
|  man/duplicate_leaf.Rd                      |  4 +-
|  man/entanglement.Rd                        | 27 ++++----
|  man/fac2num.Rd                             |  4 +-
|  man/fix_members_attr.dendrogram.Rd         |  5 +-
|  man/flatten.dendrogram.Rd                  |  4 +-
|  man/flip_leaves.Rd                         |  3 +-
|  man/get_branches_heights.Rd                |  7 +-
|  man/get_childrens_heights.Rd               | 10 +--
|  man/get_leaves_attr.Rd                     | 21 +++---
|  man/get_leaves_branches_attr.Rd            |  8 ++-
|  man/get_leaves_branches_col.Rd             | 12 ++--
|  man/get_leaves_edgePar.Rd                  |  5 +-
|  man/get_leaves_nodePar.Rd                  |  8 +--
|  man/get_nodes_attr.Rd                      | 29 +++++----
|  man/get_nodes_xy.Rd                        | 17 ++---
|  man/get_root_branches_attr.Rd              |  7 +-
|  man/ggdend.Rd                              | 43 ++++++------
|  man/hang.dendrogram.Rd                     | 13 ++--
|  man/heights_per_k.dendrogram.Rd            | 17 ++---
|  man/highlight_distinct_edges.Rd            | 28 ++++----
|  man/identify.dendrogram.Rd                 | 23 +++----
|  man/intersect_trees.Rd                     |  5 +-
|  man/is.dendlist.Rd                         |  5 +-
|  man/is.dendrogram.Rd                       |  5 +-
|  man/is.hclust.Rd                           |  5 +-
|  man/is.natural.number.Rd                   |  3 +-
|  man/is.phylo.Rd                            |  5 +-
|  man/is_null_list.Rd                        |  7 +-
|  man/khan.Rd                                | 40 ++++++------
|  man/labels-assign.Rd                       | 22 +++----
|  man/labels_cex.Rd                          |  8 +--
|  man/labels_colors.Rd                       | 11 ++--
|  man/ladderize.Rd                           |  8 ++-
|  man/leaf_Colors.Rd                         |  5 +-
|  man/lowest_common_branch.Rd                |  4 +-
|  man/match_order_by_labels.Rd               |  4 +-
|  man/match_order_dendrogram_by_old_order.Rd | 12 ++--
|  man/na_locf.Rd                             |  8 ++-
|  man/nleaves.Rd                             | 16 ++---
|  man/nnodes.Rd                              |  4 +-
|  man/noded_with_condition.Rd                |  9 +--
|  man/order.dendrogram-assign.Rd             |  5 +-
|  man/order.hclust.Rd                        | 15 ++---
|  man/partition_leaves.Rd                    |  4 +-
|  man/pipe.Rd                                |  8 +--
|  man/plot_horiz.dendrogram.Rd               | 26 ++++----
|  man/prune.Rd                               |  2 +-
|  man/prune_common_subtrees.dendlist.Rd      |  6 +-
|  man/prune_leaf.Rd                          |  7 +-
|  man/pvclust_show_signif.Rd                 | 11 ++--
|  man/pvclust_show_signif_gradient.Rd        | 15 ++---
|  man/raise.dendrogram.Rd                    |  5 +-
|  man/rank_branches.Rd                       | 13 ++--
|  man/rank_order.dendrogram.Rd               |  6 +-
|  man/rank_values_with_clusters.Rd           |  5 +-
|  man/rect.dendrogram.Rd                     | 33 +++++-----
|  man/remove_branches_edgePar.Rd             |  4 +-
|  man/remove_leaves_nodePar.Rd               |  4 +-
|  man/remove_nodes_nodePar.Rd                |  4 +-
|  man/rllply.Rd                              | 10 +--
|  man/rotate.Rd                              | 61 ++++++++---------
|  man/rotate_DendSer.Rd                      |  2 +-
|  man/sample.dendrogram.Rd                   | 16 +++--
|  man/set.Rd                                 | 97 ++++++++++++++--------------
|  man/shuffle.Rd                             |  8 ++-
|  man/sort_2_clusters_vectors.Rd             | 10 ++-
|  man/sort_dist_mat.Rd                       |  5 +-
|  man/sort_levels_values.Rd                  | 16 +++--
|  man/tanglegram.Rd                          | 46 ++++++-------
|  man/theme_dendro.Rd                        |  4 +-
|  man/unbranch.Rd                            |  5 +-
|  man/unclass_dend.Rd                        | 13 ++--
|  man/untangle.Rd                            | 12 ++--
|  man/untangle_DendSer.Rd                    |  2 +-
|  man/untangle_random_search.Rd              | 17 ++---
|  man/untangle_step_rotate_1side.Rd          | 23 +++----
|  man/untangle_step_rotate_2side.Rd          | 19 +++---
|  man/which_leaf.Rd                          |  6 +-
|  man/which_node.Rd                          |  7 +-
|  131 files changed, 891 insertions(+), 834 deletions(-)

* 2015-12-31(Tal Galili) colored_bars - Fix the default position of the bars when dend is provided. |28eb04d| 
|  NEWS             |  5 ++++-
|  R/colored_bars.R | 14 +++++++++-----
|  2 files changed, 13 insertions(+), 6 deletions(-)

* 2015-12-31(Tal Galili) Fix the example in the documentation of `colored_bars` |d49f883| 
|  DESCRIPTION         |  5 +++--
|  NEWS                |  7 +++++++
|  R/colored_bars.R    |  8 ++++----
|  man/colored_bars.Rd | 26 ++++++++++++++------------
|  4 files changed, 28 insertions(+), 18 deletions(-)

* 2015-11-07(Tal Galili) ::: instead of :: (does it work?) |c80aa2e| 
|  R/dendextend_options.R | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2015-11-07(Tal Galili) ... not used |2454971| 
|  R/labels_colors.R          | 2 +-
|  man/color_unique_labels.Rd | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-11-07(Tal Galili) color_unique_labels  - a function to Color unique labels in a dendrogram |3d385af| 
|  DESCRIPTION                |  4 ++--
|  NAMESPACE                  |  1 +
|  NEWS                       |  9 +++++++++
|  R/labels_colors.R          | 48 ++++++++++++++++++++++++++++++++++++++++++++
|  man/color_unique_labels.Rd | 30 +++++++++++++++++++++++++++
|  5 files changed, 90 insertions(+), 2 deletions(-)

* 2015-11-07(Tal Galili) update citation. (bioinformatics paper is published :) ) |5751356| 
|  DESCRIPTION   | 2 +-
|  inst/CITATION | 4 ++--
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2015-10-31(Tal Galili) ignore caching and an old tutorial |8f58f47| 
|  .Rbuildignore    | 2 ++
|  dendextend.Rproj | 1 +
|  2 files changed, 3 insertions(+)

* 2015-10-31(Tal Galili) # Use ylim to deal with long labels in ggplot2 |50eb921| 
|  R/ggdend.R    | 8 ++++++++
|  man/ggdend.Rd | 8 ++++++++
|  2 files changed, 16 insertions(+)

* 2015-10-30(Tal Galili) update changelog and NEWS |4ab0bcc| 
|  ChangeLog | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   | 17 +++++++++++++++
|  R/zzz.R   |  2 +-
|  3 files changed, 89 insertions(+), 1 deletion(-)

* 2015-10-30(Tal Galili) update citations |483b935| 
|  DESCRIPTION   | 4 ++--
|  NEWS          | 5 ++++-
|  inst/CITATION | 4 ++--
|  3 files changed, 8 insertions(+), 5 deletions(-)

* 2015-10-01(Tal Galili) added counter badges |b53cba4| 
|  README.md | 2 ++
|  1 file changed, 2 insertions(+)

* 2015-09-20(Tal Galili) rect.dendrogram and identify.dendrogram - gain the stop_if_out parameter. The defaults for this parameter makes the error of "Error in rect.dendrogram(x, k = k, x = X$x, cluster = cluster[, k - 1],  : k must be between 2 and 10" - to become less common (since it replaces it with a warning). |9b0ea47| 
|  DESCRIPTION                |  4 ++--
|  NEWS                       |  4 +++-
|  R/rect.dendrogram.R        | 28 ++++++++++++++++++++++------
|  man/identify.dendrogram.Rd |  6 +++++-
|  man/rect.dendrogram.Rd     |  7 ++++++-
|  5 files changed, 38 insertions(+), 11 deletions(-)

* 2015-09-06(Tal Galili) as.ggdend.dendrogram - can now handle different label heights. (for example, the ones produces when using hang.dendrogram) |6548b02| 
|  DESCRIPTION | 2 +-
|  NEWS        | 4 ++--
|  R/ggdend.R  | 2 ++
|  3 files changed, 5 insertions(+), 3 deletions(-)

* 2015-09-03(Tal Galili) Fix 2 warnings |0e05202| 
|  R/labels.R           | 18 +-----------------
|  man/labels-assign.Rd | 19 +------------------
|  2 files changed, 2 insertions(+), 35 deletions(-)

* 2015-09-03(Tal Galili) Removed functions labels.matrix and labels<-.matrix, in order to avoid conflicts with arules (and since these functions are not really used in other parts of the package)- reported by Maja Alicja. |ebcae92| 
|  DESCRIPTION                     |   2 +-
|  NAMESPACE                       |   2 -
|  NEWS                            |   3 +-
|  R/labels.R                      | 111 ++++++++++++++++++--------------------
|  inst/tests/test-labels-assign.R |  43 ++++++++-------
|  man/labels-assign.Rd            |   5 --
|  6 files changed, 79 insertions(+), 87 deletions(-)

* 2015-08-28(Tal Galili) intersect_trees - return dendlist() and a warning if there are no shared labels between the two trees. |9de3f36| 
|  DESCRIPTION | 2 +-
|  NEWS        | 5 ++++-
|  R/prune.R   | 5 +++++
|  3 files changed, 10 insertions(+), 2 deletions(-)

* 2015-08-14(Tal Galili) Basic test for as.ggdend |f1ab77f| 
|  inst/tests/test-ggdend.R | 29 +++++++++++++++++++++++++++++
|  1 file changed, 29 insertions(+)

* 2015-08-14(Tal Galili) as.ggdend.dendrogram - fix "Error in FUN(X[[i]], ...) : subscript out of bounds" problem for some (more) trees. Fixes bug #12 |15ce942| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 8 ++++++++
|  R/ggdend.R  | 6 ++++--
|  3 files changed, 14 insertions(+), 4 deletions(-)

* 2015-07-30(Tal Galili) Remove d3heatmap example so to reduce package size |81c707d| 
|  vignettes/Cluster_Analysis.Rmd | 6 +++---
|  1 file changed, 3 insertions(+), 3 deletions(-)

* 2015-07-30(Tal Galili) reduce sizes of files (for CRAN) |c62be8e| 
|  ...ts - enhanced with the dendextend package.html | 191 +++++------
|  inst/ignored/Introduction to dendextend.html      | 356 +++++++++++++-------
|  vignettes/Cluster_Analysis.Rmd                    |   2 +-
|  vignettes/FAQ.Rmd                                 |   6 +-
|  vignettes/introduction.Rmd                        |   2 +-
|  5 files changed, 310 insertions(+), 247 deletions(-)

* 2015-07-30(Tal Galili) misc |c85c6ee| 
|  ChangeLog | 187 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  46 +++++++++++++++
|  2 files changed, 233 insertions(+)

* 2015-07-30(Tal Galili) Added an example for using NMF::aheatmap |9d75974| 
|  DESCRIPTION                |  1 +
|  vignettes/introduction.Rmd | 26 ++++++++++++++++++++++++--
|  2 files changed, 25 insertions(+), 2 deletions(-)

* 2015-07-30(Tal Galili) Added a link to the paper from the DESCRIPTION |5d3763e| 
|  DESCRIPTION | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2015-07-30(Tal Galili) Added a CITATION file |086d89e| 
|  DESCRIPTION   |  2 +-
|  NEWS          |  6 +++++-
|  inst/CITATION | 19 +++++++++++++++++++
|  3 files changed, 25 insertions(+), 2 deletions(-)

* 2015-07-17(Tal Galili) Another step towards 1.1.0 (but not there yet...) |5d141ea| 
|  DESCRIPTION | 2 +-
|  NEWS        | 6 ++++--
|  2 files changed, 5 insertions(+), 3 deletions(-)

* 2015-07-17(Tal Galili) minor typo fixes and doc-inter-linking |abcc402| 
|  R/untangle.R                      | 11 ++++++++++-
|  man/set.Rd                        |  3 +++
|  man/untangle.Rd                   |  1 +
|  man/untangle_step_rotate_1side.Rd |  2 +-
|  man/untangle_step_rotate_2side.Rd |  8 ++++++++
|  5 files changed, 23 insertions(+), 2 deletions(-)

* 2015-07-17(Tal Galili) Adding a d3heatmap example |c5de02c| 
|  ...ta sets - enhanced with the dendextend package.html | 16 ++++++++++++++++
|  vignettes/Cluster_Analysis.Rmd                         | 14 ++++++++++++++
|  2 files changed, 30 insertions(+)

* 2015-07-17(Tal Galili) Updated FAQ HTML file. |cc851f6| 
|  inst/ignored/Frequently asked questions.html | 143 +++++++++++++++++++++----
|  1 file changed, 123 insertions(+), 20 deletions(-)

* 2015-07-17(Tal Galili) Rename vignette files |2dd4fcd| 
|  README.md                                         |   4 +-
|  inst/ignored/Frequantly asked questions.html      | 325 ----------
|  inst/ignored/Frequently asked questions.html      | 325 ++++++++++
|  ...ts - enhanced with the dendextend package.html | 668 ++++++++++++++++++++
|  ...ts - enhanced with the dendextend package.html | 668 --------------------
|  5 files changed, 995 insertions(+), 995 deletions(-)

* 2015-07-17(Tal Galili) added a circular example of Iris |4848a5d| 
|  vignettes/Cluster_Analysis.Rmd | 18 ++++++++++++++++--
|  1 file changed, 16 insertions(+), 2 deletions(-)

* 2015-07-17(Tal Galili) implemented various fixes |5455bdc| 
|  ...ts - enhanced with the dendextend package.html | 240 +++++++++++---------
|  1 file changed, 131 insertions(+), 109 deletions(-)

* 2015-07-16(Tal Galili) Various fixes to spelling and grammatical mistakes |e9ea9f9| 
|  vignettes/Cluster_Analysis.Rmd | 137 +++++++++++++++++++--------------------
|  vignettes/FAQ.Rmd              |  16 ++---
|  2 files changed, 76 insertions(+), 77 deletions(-)

* 2015-07-15(Tal Galili) set - added "branches_k_lty" parameter |a81ca28| 
|  DESCRIPTION        |  4 ++--
|  NEWS               |  5 ++++-
|  R/color_branches.R | 13 +++++++++++++
|  R/set.dendrogram.R | 13 ++++++++++---
|  man/set.Rd         |  4 +++-
|  5 files changed, 32 insertions(+), 7 deletions(-)

* 2015-07-15(Tal Galili) Mention other names for the circlized dendrogram plot. |1d8a78b| 
|  R/circlize.R               | 3 +++
|  man/circlize_dendrogram.Rd | 3 +++
|  2 files changed, 6 insertions(+)

* 2015-07-15(Tal Galili) switch URL order |7bac0fe| 
|  DESCRIPTION | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2015-07-15(Tal Galili) explain proper citation of circlize function. |636c15f| 
|  R/circlize.R               | 3 ++-
|  man/circlize_dendrogram.Rd | 3 ++-
|  2 files changed, 4 insertions(+), 2 deletions(-)

* 2015-07-14(Tal Galili) as.ggdend.dendrogram - fix "Error in FUN(X[[i]], ...) : subscript out of bounds" problem for some trees. |418cc2c| 
|  DESCRIPTION | 2 +-
|  NEWS        | 5 ++++-
|  R/ggdend.R  | 2 +-
|  3 files changed, 6 insertions(+), 3 deletions(-)

* 2015-07-11(Tal Galili) seealso linking |4b0d157| 
|  R/color_branches.R    | 3 ++-
|  man/color_branches.Rd | 3 ++-
|  2 files changed, 4 insertions(+), 2 deletions(-)

* 2015-07-11(Tal Galili) Another SO question |07abbc3| 
|  vignettes/FAQ.Rmd | 34 ++++++++++++++++++++++++++++++++++
|  1 file changed, 34 insertions(+)

* 2015-07-11(Tal Galili) fix "graphical parameter "mfrow" has the wrong length" |edb9613| 
|  vignettes/introduction.Rmd | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-07-11(Tal Galili) inte-linking and misc |fe50082| 
|  R/attr_access.R                | 2 +-
|  R/labels_colors.R              | 2 +-
|  man/get_leaves_branches_col.Rd | 2 +-
|  man/labels_colors.Rd           | 2 +-
|  4 files changed, 4 insertions(+), 4 deletions(-)

* 2015-07-11(Tal Galili) Fix "Error: Vignette 'FAQ.Rmd' is non-ASCII but has no declared encoding" (thanks to Duncan Murdoch :) ) |22c9e44| 
|  R/zzz.R           | 3 +++
|  vignettes/FAQ.Rmd | 4 ++--
|  2 files changed, 5 insertions(+), 2 deletions(-)

* 2015-07-11(Tal Galili) Added 2 new SO questions to FAQ |7f9a3ae| 
|  vignettes/FAQ.Rmd          | 56 +++++++++++++++++++++++++++++++++++++++++++-
|  vignettes/introduction.Rmd |  1 +
|  2 files changed, 56 insertions(+), 1 deletion(-)

* 2015-07-11(Tal Galili) more links |84ae6d0| 
|  R/color_branches.R   | 3 ++-
|  R/labels_colors.R    | 3 +++
|  man/color_labels.Rd  | 3 ++-
|  man/labels_colors.Rd | 5 +++++
|  4 files changed, 12 insertions(+), 2 deletions(-)

* 2015-07-10(Tal Galili) circlize_dendrogram - a function for creating radial dendrogram plots! (based on the circlize package) |8b080d7| 
|  DESCRIPTION                |   8 ++-
|  NAMESPACE                  |   1 +
|  NEWS                       |   1 +
|  R/circlize.R               | 141 +++++++++++++++++++++++++++++++++++++++++++
|  README.md                  |   9 +++
|  man/circlize_dendrogram.Rd |  79 ++++++++++++++++++++++++
|  vignettes/FAQ.Rmd          |  29 +++++++++
|  vignettes/introduction.Rmd |  54 +++++++++++++++++
|  8 files changed, 320 insertions(+), 2 deletions(-)

* 2015-07-10(Tal Galili) Added labels_cex |da35752| 
|  NAMESPACE         |  2 ++
|  NEWS              |  1 +
|  R/labels_colors.R | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/labels_cex.Rd | 42 ++++++++++++++++++++++++++++++++++++++++++
|  4 files changed, 95 insertions(+)

* 2015-07-10(Tal Galili) Added labels_col as an alias of labels_colors |01ba9e6| 
|  NAMESPACE            | 1 +
|  NEWS                 | 8 +++++++-
|  R/labels_colors.R    | 6 +++++-
|  man/labels_colors.Rd | 3 +++
|  4 files changed, 16 insertions(+), 2 deletions(-)

* 2015-07-05(Tal Galili) assign_values_to_nodes_nodePar - can now handle NA with a character string vector in value. Fixes #10 |9ceadb1| 
|  DESCRIPTION                           | 4 ++--
|  NEWS                                  | 7 +++++++
|  R/attr_access.R                       | 9 ++++++++-
|  man/assign_values_to_nodes_nodePar.Rd | 7 +++++++
|  vignettes/introduction.Rmd            | 2 +-
|  5 files changed, 25 insertions(+), 4 deletions(-)

* 2015-06-28(Tal Galili) update DESCRIPTION to 1.0.2 |64bc90f| 
|  DESCRIPTION | 2 +-
|  NEWS        | 4 ++++
|  2 files changed, 5 insertions(+), 1 deletion(-)

* 2015-06-28(Tal Galili) A new minimal quick introduction vignette |7ee0812| 
|  vignettes/Quick_Introduction.Rmd | 127 +++++++++++++++++++++++++++++++++++++
|  1 file changed, 127 insertions(+)

* 2015-06-28(Tal Galili) fix typo |ffc2c00| 
|  DESCRIPTION       | 2 +-
|  vignettes/FAQ.Rmd | 4 ++--
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2015-06-28(Tal Galili) ggplot.ggdend - added offset_labels |578e70f| 
|  NEWS          | 7 +++++++
|  R/ggdend.R    | 9 +++++++--
|  man/ggdend.Rd | 5 ++++-
|  3 files changed, 18 insertions(+), 3 deletions(-)

* 2015-06-28(Tal Galili) Added import to NAMESPACE: graphics, grDevices |0148a92| 
|  DESCRIPTION            | 9 +++++----
|  NAMESPACE              | 2 ++
|  NEWS                   | 8 ++++++++
|  R/dendextend-package.R | 2 ++
|  4 files changed, 17 insertions(+), 4 deletions(-)

* 2015-06-27(Tal Galili) misc |f6890d6| 
|  ChangeLog | 19 +++++++++++++++++++
|  1 file changed, 19 insertions(+)

* 2015-06-27(Tal Galili) fix url |6b6bafd| 
|  inst/ignored/Introduction to dendextend.html | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-06-27(Tal Galili) fix dpi to get smaller vignettes |f53c729| 
|  vignettes/Cluster_Analysis.Rmd | 2 +-
|  vignettes/introduction.Rmd     | 4 ++--
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2015-06-27(Tal Galili) fix: prune.hclust: no visible binding for global variable 'x' unbranch.hclust: no visible binding for global variable 'x' |30804af| 
|  R/prune.R    | 2 +-
|  R/unbranch.R | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-06-27(Tal Galili) updated for 1.0.0. |69c26b4| 
|  ChangeLog | 316 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  18 +++-
|  2 files changed, 333 insertions(+), 1 deletion(-)

* 2015-06-27(Tal Galili) update date |a85432c| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-06-27(Tal Galili) object -> dend  for: shuffle |ec62d71| 
|  NEWS           |  2 +-
|  R/untangle.R   | 30 +++++++++++++++---------------
|  man/shuffle.Rd | 12 ++++++------
|  3 files changed, 22 insertions(+), 22 deletions(-)

* 2015-06-27(Tal Galili) x -> dend  for: unbranch |541d5ef| 
|  NEWS            |  2 +-
|  R/unbranch.R    | 26 +++++++++++++-------------
|  man/unbranch.Rd | 10 +++++-----
|  3 files changed, 19 insertions(+), 19 deletions(-)

* 2015-06-27(Tal Galili) tree1/tree2 -> dend1/dend2  for: tanglegram |5517d9b| 
|  NEWS              |   2 +-
|  R/tanglegram.R    | 136 ++++++++++++++++++++++++++--------------------------
|  man/tanglegram.Rd |  14 +++---
|  3 files changed, 76 insertions(+), 76 deletions(-)

* 2015-06-27(Tal Galili) x -> dend  for: prune |8660626| 
|  NEWS              |  2 +-
|  R/prune.R         | 94 ++++++++++++++++++++++++++---------------------------
|  man/prune.Rd      | 12 +++----
|  man/prune_leaf.Rd |  4 +--
|  4 files changed, 56 insertions(+), 56 deletions(-)

* 2015-06-27(Tal Galili) intersect_trees x1/x2 -> dend1/dend2 |e87987d| 
|  NEWS                   |  3 +--
|  R/prune.R              | 22 +++++++++++-----------
|  man/intersect_trees.Rd |  6 +++---
|  3 files changed, 15 insertions(+), 16 deletions(-)

* 2015-06-27(Tal Galili) object -> dend  for: labels_colors |a306bb1| 
|  NEWS                 |  1 +
|  R/labels_colors.R    | 28 ++++++++++++++--------------
|  man/labels_colors.Rd |  6 +++---
|  3 files changed, 18 insertions(+), 17 deletions(-)

* 2015-06-27(Tal Galili) x -> dend  for: get_nodes_xy |3f50252| 
|  NEWS                | 2 +-
|  R/get_nodes_xy.R    | 6 ++++--
|  man/get_nodes_xy.Rd | 4 ++--
|  3 files changed, 7 insertions(+), 5 deletions(-)

* 2015-06-27(Tal Galili) tree1/tree2 -> dend1/dend2  for: untangle_random_search |9fa317f| 
|  NEWS                          |  2 +-
|  R/untangle.R                  | 32 ++++++++++++++++----------------
|  man/untangle_random_search.Rd |  6 +++---
|  3 files changed, 20 insertions(+), 20 deletions(-)

* 2015-06-27(Tal Galili) tree1/tree2 -> dend1/dend2  for: entanglement |5610519| 
|  NEWS                |  2 +-
|  R/entanglement.R    | 88 +++++++++++++++++++++++++--------------------------
|  man/entanglement.Rd | 14 ++++----
|  3 files changed, 52 insertions(+), 52 deletions(-)

* 2015-06-27(Tal Galili) y to dend2 |2e653c5| 
|  R/distinct_edges.R              | 34 +++++++++++++++++-----------------
|  man/dend_diff.Rd                |  4 ++--
|  man/distinct_edges.Rd           |  6 +++---
|  man/highlight_distinct_edges.Rd |  4 ++--
|  4 files changed, 24 insertions(+), 24 deletions(-)

* 2015-06-27(Tal Galili) x -> dend  for: dend_diff, dist.dendlist, distinct_edges, highlight_distinct_edges, partition_leaves |1da678e| 
|  NEWS                            |  2 +-
|  R/distinct_edges.R              | 94 +++++++++++++++++++--------------------
|  man/dend_diff.Rd                |  8 ++--
|  man/dist.dendlist.Rd            |  4 +-
|  man/distinct_edges.Rd           |  6 +--
|  man/highlight_distinct_edges.Rd | 10 ++---
|  man/partition_leaves.Rd         |  4 +-
|  7 files changed, 64 insertions(+), 64 deletions(-)

* 2015-06-27(Tal Galili) tree -> dend  for: cutree_1h.dendrogram, cutree_1k.dendrogram, heights_per_k.dendrogram |7ec15a4| 
|  NEWS                            |  2 +-
|  R/cutree.dendrogram.R           | 95 ++++++++++++++++++++-------------------
|  man/cutree_1h.dendrogram.Rd     |  6 +--
|  man/cutree_1k.dendrogram.Rd     |  4 +-
|  man/heights_per_k.dendrogram.Rd |  4 +-
|  5 files changed, 57 insertions(+), 54 deletions(-)

* 2015-06-27(Tal Galili) tree -> dend  for: dendextend_cut_lower_fun |d13b9c6| 
|  NEWS                 |  2 +-
|  R/cut_lower_fun.R    | 24 ++++++++++++------------
|  man/cut_lower_fun.Rd | 10 +++++-----
|  3 files changed, 18 insertions(+), 18 deletions(-)

* 2015-06-27(Tal Galili) tree1/tree2 -> dend1/dend2  for: cor_cophenetic |4c987d3| 
|  NEWS                  |  2 +-
|  R/cor_cophenetic.R    | 40 ++++++++++++++++++++--------------------
|  man/cor_cophenetic.Rd | 10 +++++-----
|  3 files changed, 26 insertions(+), 26 deletions(-)

* 2015-06-27(Tal Galili) cor_bakers_gamma: tree1/2 -> dend1/2 |9641738| 
|  NEWS                               |  2 +-
|  R/cor_bakers_gamma.R               | 76 ++++++++++++++++++------------------
|  man/bakers_gamma_for_2_k_matrix.Rd |  6 +--
|  man/cor_bakers_gamma.Rd            | 12 +++---
|  4 files changed, 48 insertions(+), 48 deletions(-)

* 2015-06-27(Tal Galili)       * x -> dend  for: cor.dendlist       * tree1/tree2 -> dend1/dend2  for: cor_FM_index, cor_common_nodes |b62be29| 
|  NEWS                    |  2 ++
|  R/cor.dendlist.R        | 38 +++++++++++++++++++-------------------
|  man/cor.dendlist.Rd     |  6 +++---
|  man/cor_FM_index.Rd     |  6 +++---
|  man/cor_common_nodes.Rd |  6 +++---
|  5 files changed, 30 insertions(+), 28 deletions(-)

* 2015-06-27(Tal Galili) bug fix (renaming object to dend) |952667f| 
|  R/branches_attr_by.R | 2 +-
|  R/distinct_edges.R   | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-06-27(Tal Galili) tree -> dend  for:                color_branches, color_labels_by_labels, color_labels, get_branches_heights, dendextend_get_branches_heights |7fd2a2c| 
|  NEWS                         |   2 +
|  R/attr_access.R              |  16 +++----
|  R/color_branches.R           | 100 ++++++++++++++++++++---------------------
|  R/set.dendrogram.R           |   6 +--
|  man/color_branches.Rd        |  10 ++---
|  man/color_labels.Rd          |   6 +--
|  man/get_branches_heights.Rd  |   4 +-
|  man/rank_order.dendrogram.Rd |   2 +-
|  8 files changed, 74 insertions(+), 72 deletions(-)

* 2015-06-27(Tal Galili) object -> dend  for: |95856ed| 
|  NEWS                                     |  13 +-
|  R/ape.R                                  |   1 +
|  R/attr_access.R                          | 194 ++++++++++++++---------------
|  inst/tests/test-attr_access.R            |   2 +-
|  man/assign_values_to_branches_edgePar.Rd |  12 +-
|  man/assign_values_to_leaves_edgePar.Rd   |  10 +-
|  man/assign_values_to_leaves_nodePar.Rd   |   6 +-
|  man/assign_values_to_nodes_nodePar.Rd    |   4 +-
|  man/get_leaves_attr.Rd                   |   4 +-
|  man/get_leaves_branches_attr.Rd          |   4 +-
|  man/get_leaves_branches_col.Rd           |   4 +-
|  man/get_leaves_edgePar.Rd                |   4 +-
|  man/get_leaves_nodePar.Rd                |   4 +-
|  man/get_nodes_attr.Rd                    |   4 +-
|  man/remove_branches_edgePar.Rd           |   4 +-
|  man/remove_leaves_nodePar.Rd             |   4 +-
|  man/remove_nodes_nodePar.Rd              |   4 +-
|  17 files changed, 145 insertions(+), 133 deletions(-)

* 2015-06-27(Tal Galili) roxygen 4.1.1 |b1723fe| 
|  NAMESPACE                                  | 2 +-
|  man/Bk.Rd                                  | 2 +-
|  man/Bk_permutations.Rd                     | 2 +-
|  man/Bk_plot.Rd                             | 2 +-
|  man/DendSer.dendrogram.Rd                  | 2 +-
|  man/FM_index.Rd                            | 2 +-
|  man/FM_index_R.Rd                          | 2 +-
|  man/FM_index_permutation.Rd                | 2 +-
|  man/FM_index_profdpm.Rd                    | 2 +-
|  man/all.equal.dendrogram.Rd                | 2 +-
|  man/all_couple_rotations_at_k.Rd           | 2 +-
|  man/all_unique.Rd                          | 2 +-
|  man/as.dendlist.Rd                         | 2 +-
|  man/as.phylo.dendrogram.Rd                 | 2 +-
|  man/as_hclust_fixed.Rd                     | 2 +-
|  man/assign_dendextend_options.Rd           | 2 +-
|  man/assign_values_to_branches_edgePar.Rd   | 2 +-
|  man/assign_values_to_leaves_edgePar.Rd     | 2 +-
|  man/assign_values_to_leaves_nodePar.Rd     | 2 +-
|  man/assign_values_to_nodes_nodePar.Rd      | 2 +-
|  man/bakers_gamma_for_2_k_matrix.Rd         | 2 +-
|  man/branches_attr_by_clusters.Rd           | 2 +-
|  man/branches_attr_by_labels.Rd             | 2 +-
|  man/click_rotate.Rd                        | 2 +-
|  man/collapse_branch.Rd                     | 2 +-
|  man/color_branches.Rd                      | 2 +-
|  man/color_labels.Rd                        | 2 +-
|  man/colored_bars.Rd                        | 2 +-
|  man/common_subtrees_clusters.Rd            | 2 +-
|  man/cor.dendlist.Rd                        | 2 +-
|  man/cor_FM_index.Rd                        | 2 +-
|  man/cor_bakers_gamma.Rd                    | 2 +-
|  man/cor_common_nodes.Rd                    | 2 +-
|  man/cor_cophenetic.Rd                      | 2 +-
|  man/count_terminal_nodes.Rd                | 2 +-
|  man/cut_lower_fun.Rd                       | 2 +-
|  man/cutree-methods.Rd                      | 2 +-
|  man/cutree_1h.dendrogram.Rd                | 2 +-
|  man/cutree_1k.dendrogram.Rd                | 2 +-
|  man/d3dendro_options.Rd                    | 2 +-
|  man/d3dendrogram.Rd                        | 2 +-
|  man/dend_diff.Rd                           | 2 +-
|  man/dendextend-package.Rd                  | 2 +-
|  man/dendextend_labels.dendrogram.Rd        | 2 +-
|  man/dendextend_options.Rd                  | 2 +-
|  man/dendlist.Rd                            | 2 +-
|  man/dist.dendlist.Rd                       | 2 +-
|  man/dist_long.Rd                           | 2 +-
|  man/distinct_edges.Rd                      | 2 +-
|  man/duplicate_leaf.Rd                      | 2 +-
|  man/entanglement.Rd                        | 2 +-
|  man/fac2num.Rd                             | 2 +-
|  man/fix_members_attr.dendrogram.Rd         | 2 +-
|  man/flatten.dendrogram.Rd                  | 2 +-
|  man/flip_leaves.Rd                         | 2 +-
|  man/get_branches_heights.Rd                | 2 +-
|  man/get_childrens_heights.Rd               | 2 +-
|  man/get_leaves_attr.Rd                     | 2 +-
|  man/get_leaves_branches_attr.Rd            | 2 +-
|  man/get_leaves_branches_col.Rd             | 2 +-
|  man/get_leaves_edgePar.Rd                  | 2 +-
|  man/get_leaves_nodePar.Rd                  | 2 +-
|  man/get_nodes_attr.Rd                      | 2 +-
|  man/get_nodes_xy.Rd                        | 2 +-
|  man/get_root_branches_attr.Rd              | 2 +-
|  man/ggdend.Rd                              | 2 +-
|  man/hang.dendrogram.Rd                     | 2 +-
|  man/heights_per_k.dendrogram.Rd            | 2 +-
|  man/highlight_distinct_edges.Rd            | 2 +-
|  man/identify.dendrogram.Rd                 | 2 +-
|  man/intersect_trees.Rd                     | 2 +-
|  man/is.dendlist.Rd                         | 2 +-
|  man/is.dendrogram.Rd                       | 2 +-
|  man/is.hclust.Rd                           | 2 +-
|  man/is.natural.number.Rd                   | 2 +-
|  man/is.phylo.Rd                            | 2 +-
|  man/is_null_list.Rd                        | 2 +-
|  man/khan.Rd                                | 2 +-
|  man/labels-assign.Rd                       | 2 +-
|  man/labels_colors.Rd                       | 2 +-
|  man/ladderize.Rd                           | 2 +-
|  man/leaf_Colors.Rd                         | 2 +-
|  man/lowest_common_branch.Rd                | 2 +-
|  man/match_order_by_labels.Rd               | 2 +-
|  man/match_order_dendrogram_by_old_order.Rd | 2 +-
|  man/na_locf.Rd                             | 2 +-
|  man/nleaves.Rd                             | 2 +-
|  man/nnodes.Rd                              | 2 +-
|  man/noded_with_condition.Rd                | 2 +-
|  man/order.dendrogram-assign.Rd             | 2 +-
|  man/order.hclust.Rd                        | 2 +-
|  man/partition_leaves.Rd                    | 2 +-
|  man/pipe.Rd                                | 2 +-
|  man/plot_horiz.dendrogram.Rd               | 2 +-
|  man/prune.Rd                               | 2 +-
|  man/prune_common_subtrees.dendlist.Rd      | 2 +-
|  man/prune_leaf.Rd                          | 2 +-
|  man/pvclust_show_signif.Rd                 | 2 +-
|  man/pvclust_show_signif_gradient.Rd        | 2 +-
|  man/raise.dendrogram.Rd                    | 2 +-
|  man/rank_branches.Rd                       | 2 +-
|  man/rank_order.dendrogram.Rd               | 2 +-
|  man/rank_values_with_clusters.Rd           | 2 +-
|  man/rect.dendrogram.Rd                     | 2 +-
|  man/remove_branches_edgePar.Rd             | 2 +-
|  man/remove_leaves_nodePar.Rd               | 2 +-
|  man/remove_nodes_nodePar.Rd                | 2 +-
|  man/rllply.Rd                              | 2 +-
|  man/rotate.Rd                              | 2 +-
|  man/rotate_DendSer.Rd                      | 2 +-
|  man/sample.dendrogram.Rd                   | 2 +-
|  man/shuffle.Rd                             | 2 +-
|  man/sort_2_clusters_vectors.Rd             | 2 +-
|  man/sort_dist_mat.Rd                       | 2 +-
|  man/sort_levels_values.Rd                  | 2 +-
|  man/tanglegram.Rd                          | 2 +-
|  man/theme_dendro.Rd                        | 2 +-
|  man/unbranch.Rd                            | 2 +-
|  man/unclass_dend.Rd                        | 2 +-
|  man/untangle.Rd                            | 2 +-
|  man/untangle_DendSer.Rd                    | 2 +-
|  man/untangle_random_search.Rd              | 2 +-
|  man/untangle_step_rotate_1side.Rd          | 2 +-
|  man/untangle_step_rotate_2side.Rd          | 2 +-
|  man/which_leaf.Rd                          | 2 +-
|  man/which_node.Rd                          | 2 +-
|  126 files changed, 126 insertions(+), 126 deletions(-)

* 2015-06-27(Tal Galili) object -> dend |8a2f94a| 
|  R/set.dendrogram.R | 80 ++++++++++++++++++++++++++--------------------------
|  man/set.Rd         | 16 +++++------
|  2 files changed, 48 insertions(+), 48 deletions(-)

* 2015-06-24(Tal Galili) Added d3heatmap example to vignette + as suggests to DESCRIPTION |f8a4926| 
|  DESCRIPTION                |  1 +
|  vignettes/introduction.Rmd | 33 ++++++++++++++++++++++++++++++++-
|  2 files changed, 33 insertions(+), 1 deletion(-)

* 2015-06-23(Tal Galili) moved assign_dendextend_options to ".onLoad" - this now allows the use of dendextend::some_func |bf35c68| 
|  DESCRIPTION            |  2 +-
|  NEWS                   |  3 ++-
|  R/dendextend_options.R | 45 +++++++++++++++++++++++++++++++++++++++++++--
|  R/zzz.R                | 17 ++++++++++++++---
|  vignettes/FAQ.Rmd      | 13 +++++++++++++
|  5 files changed, 73 insertions(+), 7 deletions(-)

* 2015-06-07(Tal Galili) Added VignetteIndexEntry information (and Sys.Date) |5adda4c| 
|  vignettes/Cluster_Analysis.Rmd | 6 +++++-
|  vignettes/FAQ.Rmd              | 5 +++++
|  vignettes/introduction.Rmd     | 1 +
|  3 files changed, 11 insertions(+), 1 deletion(-)

* 2015-06-07(Tal Galili) Update instructions on viewing the vignette |4ca1df8| 
|  R/zzz.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-06-06(Tal Galili) Better format. |89a8aee| 
|  README.md                                    |    2 +-
|  inst/ignored/Introduction to dendextend.html | 1218 ++++++++++++++++++++++++
|  inst/ignored/introduction.html               | 1218 ------------------------
|  vignettes/introduction.Rmd                   |    4 +-
|  4 files changed, 1221 insertions(+), 1221 deletions(-)

* 2015-06-06(Tal Galili) misc |b8c68cd| 
|  ChangeLog | 892 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  14 +-
|  2 files changed, 900 insertions(+), 6 deletions(-)

* 2015-06-06(Tal Galili) Fix "CRAN URL not in canonical form" |59b2397| 
|  DESCRIPTION                    |  2 +-
|  R/bk_method.R                  |  2 +-
|  R/colored_bars.R               |  2 +-
|  R/distinct_edges.R             |  2 +-
|  R/ggdendro.R                   |  2 +-
|  R/magrittr.R                   |  4 ++--
|  R/pvclust.R                    |  2 +-
|  README.md                      |  2 +-
|  inst/ignored/introduction.html | 12 ++++++------
|  man/colored_bars.Rd            |  2 +-
|  vignettes/introduction.Rmd     | 12 ++++++------
|  11 files changed, 22 insertions(+), 22 deletions(-)

* 2015-06-06(Tal Galili) Fix " \usage lines wider than 90 characters:" |36a9a84| 
|  R/cor_cophenetic.R    | 4 +++-
|  man/cor_cophenetic.Rd | 4 +++-
|  2 files changed, 6 insertions(+), 2 deletions(-)

* 2015-06-06(Tal Galili) Fix doc problems in cor_cophenetic |f2cd040| 
|  R/cor_cophenetic.R    | 4 ++--
|  man/cor_cophenetic.Rd | 4 ++--
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2015-06-06(Tal Galili) Fix cor_cophenetic.dendlist method |35ce2ce| 
|  R/cor_cophenetic.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2015-06-06(Tal Galili) Updated html with the khan analysis |19ca6e7| 
|  ...ts - enhanced with the dendextend package.html | 80 +++++++++++++++++++--
|  1 file changed, 76 insertions(+), 4 deletions(-)

* 2015-06-06(Tal Galili) Added the "khan" dataset analysis. |02db42c| 
|  NEWS                           |   2 +-
|  vignettes/Cluster_Analysis.Rmd | 128 +++++++++++++++++++++++++++++++++++++++
|  2 files changed, 129 insertions(+), 1 deletion(-)

* 2015-06-06(Tal Galili) Added nleaves.dendlist |5ef24b1| 
|  NAMESPACE      |  1 +
|  NEWS           |  1 +
|  R/nleaves.R    | 13 ++++++++++++-
|  man/nleaves.Rd |  5 ++++-
|  4 files changed, 18 insertions(+), 2 deletions(-)

* 2015-06-06(Tal Galili) added - prune_common_subtrees.dendlist - Prune trees to their common subtrees |86b8eb9| 
|  NAMESPACE                             |  1 +
|  NEWS                                  |  2 +-
|  R/prune.R                             | 33 +++++++++++++++++++++++++++++++++
|  man/prune_common_subtrees.dendlist.Rd | 27 +++++++++++++++++++++++++++
|  4 files changed, 62 insertions(+), 1 deletion(-)

* 2015-06-06(Tal Galili) cor_cophenetic - changed method to method_coef (so it could be updated when using cor.dendlist) |f2bd51b| 
|  NEWS                  |  2 +-
|  R/cor_cophenetic.R    | 10 +++++-----
|  man/cor_cophenetic.Rd |  2 +-
|  3 files changed, 7 insertions(+), 7 deletions(-)

* 2015-06-06(Tal Galili) untangle now has a new "labels" method, and it is now the default. |712bcd6| 
|  NEWS            |  1 +
|  R/untangle.R    | 21 ++++++++++++++++-----
|  man/untangle.Rd |  4 ++--
|  3 files changed, 19 insertions(+), 7 deletions(-)

* 2015-06-06(Tal Galili) clean code a bit from comments |becc43e| 
|  R/untangle.R | 557 ++++++++++++++++++++++++++++-----------------------------
|  1 file changed, 273 insertions(+), 284 deletions(-)

* 2015-06-06(Tal Galili) Adding Bk_plot to see also of Bk |674a498| 
|  R/bk_method.R | 2 +-
|  man/Bk.Rd     | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-06-06(Tal Galili) Generated by roxygen2 (4.1.1.9000) |7acec1b| 
|  NAMESPACE                                  | 2 +-
|  man/Bk.Rd                                  | 2 +-
|  man/Bk_permutations.Rd                     | 2 +-
|  man/Bk_plot.Rd                             | 2 +-
|  man/DendSer.dendrogram.Rd                  | 2 +-
|  man/FM_index.Rd                            | 2 +-
|  man/FM_index_R.Rd                          | 2 +-
|  man/FM_index_permutation.Rd                | 2 +-
|  man/FM_index_profdpm.Rd                    | 2 +-
|  man/all.equal.dendrogram.Rd                | 2 +-
|  man/all_couple_rotations_at_k.Rd           | 2 +-
|  man/all_unique.Rd                          | 2 +-
|  man/as.dendlist.Rd                         | 2 +-
|  man/as.phylo.dendrogram.Rd                 | 2 +-
|  man/as_hclust_fixed.Rd                     | 2 +-
|  man/assign_dendextend_options.Rd           | 2 +-
|  man/assign_values_to_branches_edgePar.Rd   | 2 +-
|  man/assign_values_to_leaves_edgePar.Rd     | 2 +-
|  man/assign_values_to_leaves_nodePar.Rd     | 2 +-
|  man/assign_values_to_nodes_nodePar.Rd      | 2 +-
|  man/bakers_gamma_for_2_k_matrix.Rd         | 2 +-
|  man/branches_attr_by_clusters.Rd           | 2 +-
|  man/branches_attr_by_labels.Rd             | 2 +-
|  man/click_rotate.Rd                        | 2 +-
|  man/collapse_branch.Rd                     | 2 +-
|  man/color_branches.Rd                      | 2 +-
|  man/color_labels.Rd                        | 2 +-
|  man/colored_bars.Rd                        | 2 +-
|  man/common_subtrees_clusters.Rd            | 2 +-
|  man/cor.dendlist.Rd                        | 2 +-
|  man/cor_FM_index.Rd                        | 2 +-
|  man/cor_bakers_gamma.Rd                    | 2 +-
|  man/cor_common_nodes.Rd                    | 2 +-
|  man/cor_cophenetic.Rd                      | 2 +-
|  man/count_terminal_nodes.Rd                | 2 +-
|  man/cut_lower_fun.Rd                       | 2 +-
|  man/cutree-methods.Rd                      | 2 +-
|  man/cutree_1h.dendrogram.Rd                | 2 +-
|  man/cutree_1k.dendrogram.Rd                | 2 +-
|  man/d3dendro_options.Rd                    | 2 +-
|  man/d3dendrogram.Rd                        | 2 +-
|  man/dend_diff.Rd                           | 2 +-
|  man/dendextend-package.Rd                  | 2 +-
|  man/dendextend_labels.dendrogram.Rd        | 2 +-
|  man/dendextend_options.Rd                  | 2 +-
|  man/dendlist.Rd                            | 2 +-
|  man/dist.dendlist.Rd                       | 2 +-
|  man/dist_long.Rd                           | 2 +-
|  man/distinct_edges.Rd                      | 2 +-
|  man/duplicate_leaf.Rd                      | 2 +-
|  man/entanglement.Rd                        | 2 +-
|  man/fac2num.Rd                             | 2 +-
|  man/fix_members_attr.dendrogram.Rd         | 2 +-
|  man/flatten.dendrogram.Rd                  | 2 +-
|  man/flip_leaves.Rd                         | 2 +-
|  man/get_branches_heights.Rd                | 2 +-
|  man/get_childrens_heights.Rd               | 2 +-
|  man/get_leaves_attr.Rd                     | 2 +-
|  man/get_leaves_branches_attr.Rd            | 2 +-
|  man/get_leaves_branches_col.Rd             | 2 +-
|  man/get_leaves_edgePar.Rd                  | 2 +-
|  man/get_leaves_nodePar.Rd                  | 2 +-
|  man/get_nodes_attr.Rd                      | 2 +-
|  man/get_nodes_xy.Rd                        | 2 +-
|  man/get_root_branches_attr.Rd              | 2 +-
|  man/ggdend.Rd                              | 2 +-
|  man/hang.dendrogram.Rd                     | 2 +-
|  man/heights_per_k.dendrogram.Rd            | 2 +-
|  man/highlight_distinct_edges.Rd            | 2 +-
|  man/identify.dendrogram.Rd                 | 2 +-
|  man/intersect_trees.Rd                     | 2 +-
|  man/is.dendlist.Rd                         | 2 +-
|  man/is.dendrogram.Rd                       | 2 +-
|  man/is.hclust.Rd                           | 2 +-
|  man/is.natural.number.Rd                   | 2 +-
|  man/is.phylo.Rd                            | 2 +-
|  man/is_null_list.Rd                        | 2 +-
|  man/labels-assign.Rd                       | 2 +-
|  man/labels_colors.Rd                       | 2 +-
|  man/ladderize.Rd                           | 2 +-
|  man/leaf_Colors.Rd                         | 2 +-
|  man/lowest_common_branch.Rd                | 2 +-
|  man/match_order_by_labels.Rd               | 2 +-
|  man/match_order_dendrogram_by_old_order.Rd | 2 +-
|  man/na_locf.Rd                             | 2 +-
|  man/nleaves.Rd                             | 2 +-
|  man/nnodes.Rd                              | 2 +-
|  man/noded_with_condition.Rd                | 2 +-
|  man/order.dendrogram-assign.Rd             | 2 +-
|  man/order.hclust.Rd                        | 2 +-
|  man/partition_leaves.Rd                    | 2 +-
|  man/pipe.Rd                                | 2 +-
|  man/plot_horiz.dendrogram.Rd               | 2 +-
|  man/prune.Rd                               | 2 +-
|  man/prune_leaf.Rd                          | 2 +-
|  man/pvclust_show_signif.Rd                 | 2 +-
|  man/pvclust_show_signif_gradient.Rd        | 2 +-
|  man/raise.dendrogram.Rd                    | 2 +-
|  man/rank_branches.Rd                       | 2 +-
|  man/rank_order.dendrogram.Rd               | 2 +-
|  man/rank_values_with_clusters.Rd           | 2 +-
|  man/rect.dendrogram.Rd                     | 2 +-
|  man/remove_branches_edgePar.Rd             | 2 +-
|  man/remove_leaves_nodePar.Rd               | 2 +-
|  man/remove_nodes_nodePar.Rd                | 2 +-
|  man/rllply.Rd                              | 2 +-
|  man/rotate.Rd                              | 2 +-
|  man/rotate_DendSer.Rd                      | 2 +-
|  man/sample.dendrogram.Rd                   | 2 +-
|  man/set.Rd                                 | 2 +-
|  man/shuffle.Rd                             | 2 +-
|  man/sort_2_clusters_vectors.Rd             | 2 +-
|  man/sort_dist_mat.Rd                       | 2 +-
|  man/sort_levels_values.Rd                  | 2 +-
|  man/tanglegram.Rd                          | 2 +-
|  man/theme_dendro.Rd                        | 2 +-
|  man/unbranch.Rd                            | 2 +-
|  man/unclass_dend.Rd                        | 2 +-
|  man/untangle.Rd                            | 2 +-
|  man/untangle_DendSer.Rd                    | 2 +-
|  man/untangle_random_search.Rd              | 2 +-
|  man/untangle_step_rotate_1side.Rd          | 2 +-
|  man/untangle_step_rotate_2side.Rd          | 2 +-
|  man/which_leaf.Rd                          | 2 +-
|  man/which_node.Rd                          | 2 +-
|  125 files changed, 125 insertions(+), 125 deletions(-)

* 2015-06-06(Tal Galili) Adding the khan dataset to the package. |56baf12| 
|  DESCRIPTION   |   3 +-
|  NEWS          |   6 ++--
|  R/data.R      | 104 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  data/khan.rda | Bin 0 -> 114677 bytes
|  man/khan.Rd   |  80 +++++++++++++++++++++++++++++++++++++++++++
|  5 files changed, 189 insertions(+), 4 deletions(-)

* 2015-06-06(Tal Galili) more links |e14dc3a| 
|  README.md | 6 ++----
|  1 file changed, 2 insertions(+), 4 deletions(-)

* 2015-06-06(Tal Galili) update links to the newer vignettes |b56e833| 
|  README.md                      |  6 ++++--
|  vignettes/Cluster_Analysis.Rmd | 14 ++++++++++++++
|  2 files changed, 18 insertions(+), 2 deletions(-)

* 2015-06-06(Tal Galili) got "codecov.io" to work. |a4e4443| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-06-05(Tal Galili) adding covr (to try to get some code coverage) |112fca3| 
|  DESCRIPTION | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2015-06-05(Tal Galili) update travis.yml - Change lang to r (and some more things), and see if it still works. |21e5d93| 
|  .travis.yml | 31 ++++++-------------------------
|  1 file changed, 6 insertions(+), 25 deletions(-)

* 2015-05-24(Tal Galili) Date |e9dfd54| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-05-24(Tal Galili) Update news since version 0.18.3 |424cd2b| 
|  NEWS.md | 105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 105 insertions(+)

* 2015-05-24(Tal Galili) fix typos |7cb02c6| 
|  vignettes/introduction.Rmd | 12 ++++++------
|  1 file changed, 6 insertions(+), 6 deletions(-)

* 2015-05-24(Tal Galili) updated vignettes to have smaller dpi (so that the file sizes will be more reasonable) |39e3c21| 
|  vignettes/Cluster_Analysis.Rmd |  6 +++---
|  vignettes/FAQ.Rmd              | 15 +++++++++++++++
|  vignettes/introduction.Rmd     |  8 ++++----
|  3 files changed, 22 insertions(+), 7 deletions(-)

* 2015-05-24(Tal Galili) html versions of the vignettes |a2204c5| 
|  inst/ignored/Frequantly asked questions.html      | 325 +++++++++++
|  ...ts - enhanced with the dendextend package.html | 574 ++++++++++++++++++++
|  inst/ignored/introduction.html                    | 412 ++++----------
|  3 files changed, 1014 insertions(+), 297 deletions(-)

* 2015-05-24(Tal Galili) misc |4718cb5| 
|  vignettes/Cluster_Analysis.Rmd | 1 +
|  1 file changed, 1 insertion(+)

* 2015-05-24(Tal Galili) Fix typos |6334236| 
|  vignettes/Cluster_Analysis.Rmd | 24 ++++++++++++------------
|  1 file changed, 12 insertions(+), 12 deletions(-)

* 2015-05-24(Tal Galili) Added "animals - Attributes of Animals" section to cluster_analysis.Rmd |5dd94fc| 
|  NEWS                           |   1 +
|  vignettes/Cluster_Analysis.Rmd | 115 +++++++++++++++++++++++++++++++++++++++
|  2 files changed, 116 insertions(+)

* 2015-05-24(Tal Galili) cor_FM_index - Correlation of FM_index for some k (similar to Bk actually). This is added to cor.dendlist |58eeedc| 
|  NAMESPACE           |  1 +
|  NEWS                |  3 +++
|  R/cor.dendlist.R    | 59 +++++++++++++++++++++++++++++++++++++++++++++------
|  man/cor.dendlist.Rd | 10 +++++----
|  man/cor_FM_index.Rd | 39 ++++++++++++++++++++++++++++++++++
|  5 files changed, 101 insertions(+), 11 deletions(-)

* 2015-05-24(Tal Galili) added "cluster" as suggest |b6b1d35| 
|  DESCRIPTION | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2015-05-24(Tal Galili) Vignette - added the votes.repub analysis (Votes for Republican Candidate in Presidential Elections) |9ddce80| 
|  vignettes/Cluster_Analysis.Rmd | 205 ++++++++++++++++++++++++++++++++++++++-
|  1 file changed, 200 insertions(+), 5 deletions(-)

* 2015-05-24(Tal Galili) exclude any cache folder in vignette or git |fbd747b| 
|  .Rbuildignore | 1 +
|  .gitignore    | 2 +-
|  2 files changed, 2 insertions(+), 1 deletion(-)

* 2015-05-24(Tal Galili) remove un-needed new line (cat("\n")) |062c9c4| 
|  inst/tests/test-distinct_edges.R | 2 +-
|  inst/tests/test-entanglement.R   | 2 +-
|  inst/tests/test-ggdend.R         | 2 +-
|  3 files changed, 3 insertions(+), 3 deletions(-)

* 2015-05-24(Tal Galili) added a link to cor_common_nodes from cor.dendlist |4844174| 
|  R/cor.dendlist.R    | 3 ++-
|  man/cor.dendlist.Rd | 3 ++-
|  2 files changed, 4 insertions(+), 2 deletions(-)

* 2015-05-24(Tal Galili) untangle_random_search/untangle_step_rotate_2side/untangle_best_k_to_rotate_by_2side_backNforth - |c9129c6| 
|  NEWS         | 3 ++-
|  R/untangle.R | 6 +++---
|  2 files changed, 5 insertions(+), 4 deletions(-)

* 2015-05-24(Tal Galili) Added Iris analysis to cluster_analysis.Rmd |e444b56| 
|  vignettes/Cluster_Analysis.Rmd | 293 ++++++++++++++++++++++++++++++++++-----
|  1 file changed, 261 insertions(+), 32 deletions(-)

* 2015-05-24(Tal Galili) misc |e404aa9| 
|  R/color_branches.R | 4 +++-
|  R/tanglegram.R     | 1 +
|  R/zzz.R            | 3 +++
|  man/tanglegram.Rd  | 3 ++-
|  4 files changed, 9 insertions(+), 2 deletions(-)

* 2015-05-24(Tal Galili) a warning for a common bug that happened. |6a16ace| 
|  R/branches_attr_by.R | 4 ++++
|  1 file changed, 4 insertions(+)

* 2015-05-24(Tal Galili) cor_common_nodes - a new correlation measure between dendrograms. |4b2410a| 
|  NAMESPACE               |  1 +
|  NEWS                    |  1 +
|  R/cor.dendlist.R        | 60 +++++++++++++++++++++++++++++++++++++++++++----
|  man/cor.dendlist.Rd     |  6 ++---
|  man/cor_common_nodes.Rd | 43 +++++++++++++++++++++++++++++++++
|  5 files changed, 104 insertions(+), 7 deletions(-)

* 2015-05-24(Tal Galili) Moved FAQ from introduction.Rmd to FAQ.Rmd |f20096a| 
|  NEWS                       |   2 +-
|  vignettes/FAQ.Rmd          | 818 +++++++++++++++++++++++++++++++++++++++++++
|  vignettes/introduction.Rmd | 809 ------------------------------------------
|  3 files changed, 819 insertions(+), 810 deletions(-)

* 2015-05-24(Tal Galili) set - added "rank_branches" |33e838c| 
|  NEWS               | 2 ++
|  R/set.dendrogram.R | 3 +++
|  man/set.Rd         | 1 +
|  3 files changed, 6 insertions(+)

* 2015-05-24(Tal Galili) tanglegram - new parameter: faster. |728deab| 
|  NEWS              |  4 +++-
|  R/tanglegram.R    | 10 ++++++++++
|  man/tanglegram.Rd |  4 ++++
|  3 files changed, 17 insertions(+), 1 deletion(-)

* 2015-05-24(Tal Galili) moved lines to their right place. |085aff4| 
|  NEWS | 12 ++++++------
|  1 file changed, 6 insertions(+), 6 deletions(-)

* 2015-05-24(Tal Galili) move a line around. |aba3dfb| 
|  R/tanglegram.R | 5 ++++-
|  1 file changed, 4 insertions(+), 1 deletion(-)

* 2015-05-24(Tal Galili) untangle.dendlist - now preserve the names in the dendlist |cf5a1ae| 
|  NEWS         | 4 +++-
|  R/untangle.R | 4 ++++
|  2 files changed, 7 insertions(+), 1 deletion(-)

* 2015-05-24(Tal Galili) Added MASS (for using parcoord in the examples) |6f34c1a| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-24(Tal Galili) dendlist - added the `which` parameter (for indicating which elements in the dendlist to pick out) |f6edbbc| 
|  NEWS            |  1 +
|  R/dendlist.R    | 18 +++++++++++++++---
|  man/dendlist.Rd | 11 +++++++----
|  3 files changed, 23 insertions(+), 7 deletions(-)

* 2015-05-24(Tal Galili) untangle.dendlist - can now return a dendlist with more than two elements. |9fe8e48| 
|  NEWS            |  1 +
|  R/untangle.R    | 13 ++++++++++++-
|  man/untangle.Rd |  3 +++
|  3 files changed, 16 insertions(+), 1 deletion(-)

* 2015-05-24(Tal Galili) ladderize - added the `which` parameter (for indicating which elements in the dendlist to ladderize) |4f93598| 
|  NEWS             |  1 +
|  R/rotate.R       | 14 ++++++++++----
|  man/ladderize.Rd |  6 +++++-
|  3 files changed, 16 insertions(+), 5 deletions(-)

* 2015-05-24(Tal Galili) remove the warning when creating an empty dendlist |532fb37| 
|  NEWS                       |  2 +-
|  R/dendlist.R               |  2 +-
|  inst/tests/test-dendlist.R | 25 ++++++++++++++-----------
|  3 files changed, 16 insertions(+), 13 deletions(-)

* 2015-05-23(Tal Galili) Rename file to be "cluster analysis" |aa156c6| 
|  vignettes/Cluster_Analysis.Rmd | 103 +++++++++++++++++++++++++++++++++++++++
|  vignettes/Iris_Analysis.Rmd    |  88 ---------------------------------
|  2 files changed, 103 insertions(+), 88 deletions(-)

* 2015-05-23(Tal Galili) Moved the "Iris analysis" from the introduction vignette to a seperate Rmd file. |25ed06f| 
|  vignettes/Iris_Analysis.Rmd | 88 +++++++++++++++++++++++++++++++++++++++++++
|  vignettes/introduction.Rmd  | 83 ----------------------------------------
|  2 files changed, 88 insertions(+), 83 deletions(-)

* 2015-05-23(Tal Galili) Added some explenations of the tanglegram when used with the coloring of the branches and lines. |8c639f4| 
|  vignettes/introduction.Rmd | 54 ++++++++++++++++++++++++++++++++++++++------
|  1 file changed, 47 insertions(+), 7 deletions(-)

* 2015-05-23(Tal Galili) Added tests for rank_values_with_clusters |b6660a5| 
|  NEWS                              |  2 +-
|  inst/tests/test-common_subtrees.R | 49 +++++++++++++++++++++++++++++++++++++
|  2 files changed, 50 insertions(+), 1 deletion(-)

* 2015-05-23(Tal Galili) added context |0e3ae60| 
|  inst/tests/test-dendlist.R | 3 +++
|  1 file changed, 3 insertions(+)

* 2015-05-23(Tal Galili) Decided this will be version 1.0.0 and not 0.19.0 |25c19e1| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 2 +-
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2015-05-23(Tal Galili) Fix "common_subtrees_color_branches" to make sure everyone are using the same colors. |36f22d3| 
|  R/tanglegram.R    | 75 ++++++++++++++++++++++++++++++++++-------------------
|  man/tanglegram.Rd | 10 ++++---
|  2 files changed, 55 insertions(+), 30 deletions(-)

* 2015-05-23(Tal Galili) color_branches - now uses branches_attr_by_clusters with "all" labels needing to fit a group for the branches to be colors. |9e27f28| 
|  R/color_branches.R | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2015-05-23(Tal Galili)    * branches_attr_by_clusters -       * can now accept a vector of values with the length of the labels.       * new parameter "branches_changed_have_which_labels" - allows the user the decide if the change in parameters will be for branches with all/any of the labels (useful for tanglegram - since we would like to color common subtrees with all of the labels, not just any.) |b2fd1d0| 
|  NEWS                             |  4 +++
|  R/branches_attr_by.R             | 70 ++++++++++++++++++++++++++++++++------
|  man/branches_attr_by_clusters.Rd | 16 +++++++--
|  3 files changed, 77 insertions(+), 13 deletions(-)

* 2015-05-23(Tal Galili) Added rank_values_with_clusters - Rank a vector based on clusters (important for various functions.) |97787ac| 
|  NAMESPACE                        |  1 +
|  NEWS                             |  2 +-
|  R/common_subtrees.R              | 52 ++++++++++++++++++++++++++++++++++----
|  man/rank_values_with_clusters.Rd | 37 +++++++++++++++++++++++++++
|  4 files changed, 86 insertions(+), 6 deletions(-)

* 2015-05-22(Tal Galili) Fix: ggplot.ggdend: no visible global function definition for |ff33554| 
|  R/ggdend.R | 1 +
|  1 file changed, 1 insertion(+)

* 2015-05-22(Tal Galili) Fix: Codoc mismatches from documentation object 'ggdend': |7161cd7| 
|  R/ggdend.R    | 6 ++++--
|  man/ggdend.Rd | 5 ++++-
|  2 files changed, 8 insertions(+), 3 deletions(-)

* 2015-05-22(Tal Galili) fix: \examples lines wider than 100 characters: |ca11269| 
|  R/attr_access.R                          | 4 +++-
|  man/assign_values_to_branches_edgePar.Rd | 4 +++-
|  2 files changed, 6 insertions(+), 2 deletions(-)

* 2015-05-22(Tal Galili) added test for ggdend |d00f01a| 
|  inst/tests/test-ggdend.R | 50 ++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 50 insertions(+)

* 2015-05-22(Tal Galili) added get_nodes_attr test |788def3| 
|  inst/tests/test-attr_access.R | 13 +++++++++++++
|  1 file changed, 13 insertions(+)

* 2015-05-22(Tal Galili) plot.ggdend - added support to plot nodes |bd2e1a9| 
|  NEWS       |  4 +++-
|  R/ggdend.R | 28 +++++++++++++++++++++++++++-
|  2 files changed, 30 insertions(+), 2 deletions(-)

* 2015-05-22(Tal Galili) Fix ggdend to now deal with edgePar and nodePar being lists. (now the vignette doesn't crash) |d20f2d0| 
|  R/ggdend.R | 57 ++++++++++++++++++++++++++++++++++++++++++++++++---------
|  1 file changed, 48 insertions(+), 9 deletions(-)

* 2015-05-22(Tal Galili) Fix test to now account for edgePar and nodePar are lists. |2c608bf| 
|  inst/tests/test-attr_access.R      |  4 +++-
|  inst/tests/test-branches_attr_by.R | 10 ++++++++++
|  inst/tests/test-set.dendrogram.R   | 15 ++++++++-------
|  3 files changed, 21 insertions(+), 8 deletions(-)

* 2015-05-22(Tal Galili) made sure that the end of the vector in "dendextend_heights_per_k.dendrogram" will give the tree size (and not 0) as its name. |60cac76| 
|  R/cutree.dendrogram.R               |  5 +++++
|  inst/tests/test-cutree.dendrogram.R | 30 +++++++++++++++++++++++++++++-
|  2 files changed, 34 insertions(+), 1 deletion(-)

* 2015-05-22(Tal Galili) Date |f5ef241| 
|  NEWS | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-22(Tal Galili) Fix link |adeabab| 
|  vignettes/introduction.Rmd | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-22(Tal Galili) Date |5dbf21c| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-22(Tal Galili) Parameters are now stored as a list for (allows for branches to have colors/linetype/linewidth, some are numeric and some character): assign_values_to_branches_edgePar / assign_values_to_leaves_nodePar / assign_values_to_leaves_edgePar / assign_values_to_nodes_nodePar - the parameters are stored as a list in edgePar/nodePar (instead of a vector). Discovered thanks to Martin Maechler.  Fixes: "Error in segments(x0, y0, x1, y1, col = col, lty = lty, lwd = lwd) : invalid line type: must be length 2, 4, 6 or 8" |4bf8f20| 
|  NEWS                                     |  2 ++
|  R/attr_access.R                          | 29 +++++++++++++++++++++--------
|  inst/tests/test-branches_attr_by.R       | 23 +++++++++++++++++------
|  man/assign_values_to_branches_edgePar.Rd | 14 +++++++++++++-
|  tests/test-all.R                         | 16 ++++++++++++----
|  5 files changed, 65 insertions(+), 19 deletions(-)

* 2015-05-22(Tal Galili) Added doc to common_subtrees_clusters |a6b4cb0| 
|  NAMESPACE                       |  1 +
|  R/common_subtrees.R             | 53 +++++++++++++++++++++++----------------
|  man/common_subtrees_clusters.Rd | 44 ++++++++++++++++++++++++++++++++
|  3 files changed, 77 insertions(+), 21 deletions(-)

* 2015-05-22(Tal Galili) tanglegram - have doc match code. |d86f957| 
|  R/tanglegram.R    | 7 ++++---
|  man/tanglegram.Rd | 4 +++-
|  2 files changed, 7 insertions(+), 4 deletions(-)

* 2015-05-22(Tal Galili) Fix "color_branches: no visible binding for global variable 'cols'" |64a8bba| 
|  R/color_branches.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-22(Tal Galili) labels.dendrogram is now working through dendextend_options("labels.dendrogram"). The defualt is the new dendextend_labels.dendrogram (which is just stats:::labels.dendrogram), but this allows the package dendextendRcpp to change the function used by the package (without masking the function in base R) - thus making both me, and CRAN, happy :) |ae602a9| 
|  NAMESPACE                           |  1 +
|  NEWS                                |  4 +++-
|  R/dendextend_options.R              |  1 +
|  R/stats_imports.R                   | 35 +++++++++++++++++++++++++++++++++++
|  R/zzz.R                             |  4 +++-
|  man/dendextend_labels.dendrogram.Rd | 28 ++++++++++++++++++++++++++++
|  6 files changed, 71 insertions(+), 2 deletions(-)

* 2015-05-22(Tal Galili) rect.dendrogram - deals with the case we want to use k for which k+1 is not defined. |61eeded| 
|  NEWS                              |  3 ++-
|  R/rect.dendrogram.R               | 21 +++++++++++++++++++--
|  inst/tests/test-rect.dendrogram.R | 26 ++++++++++++++++++++++++++
|  man/rect.dendrogram.Rd            |  8 ++++++++
|  4 files changed, 55 insertions(+), 3 deletions(-)

* 2015-05-19(Tal Galili) tanglegram - Added new parameters: common_subtrees_color_lines and common_subtrees_color_branches to color connecting-lines and/or the dendrograms themsleves, to help detect commonly shared subtrees. |7394cba| 
|  NEWS              |  2 +-
|  R/tanglegram.R    | 72 +++++++++++++++++++++++++++++++++++++++++++++++++++--
|  man/tanglegram.Rd | 29 +++++++++++++++++++++
|  3 files changed, 100 insertions(+), 3 deletions(-)

* 2015-05-19(Tal Galili) common_subtrees_clusters - a (currently hidden) function to get clusters for labels of common subtrees between two trees. |22c3235| 
|  NEWS                  |   3 +
|  R/common_subtrees.R   | 175 ++++++++++++++++++++++++++++++++++++++++++++++++
|  man/distinct_edges.Rd |   1 +
|  tests/test-all.R      |   2 -
|  4 files changed, 179 insertions(+), 2 deletions(-)

* 2015-05-18(Tal Galili) tanglegram - turned "highlight_distinct_edges = FALSE". This is due to a bug in R that causes plot.dendrogram to crash when trying to plot a tree with both lty and some character color for the branch. |cfebab3| 
|  NEWS           | 2 +-
|  R/tanglegram.R | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-05-18(Tal Galili) color_branches - gained a new "cluster" parameter to allow for easy uneven coloring of branches (using branches_attr_by_clusters). This is not a new feature, as it is an attempt to have the user access more options from one place (i.e.: color_branches). |5d601b0| 
|  DESCRIPTION                      |  2 +-
|  NEWS                             |  6 ++-
|  R/branches_attr_by.R             |  2 +-
|  R/color_branches.R               | 81 ++++++++++++++++++++++++++++----------
|  man/branches_attr_by_clusters.Rd |  2 +-
|  man/color_branches.Rd            | 20 +++++++++-
|  6 files changed, 87 insertions(+), 26 deletions(-)

* 2015-05-18(Tal Galili) roxygen2 (4.0.2) -> roxygen2 (4.1.1) |81c0709| 
|  NAMESPACE                                  | 2 +-
|  man/Bk.Rd                                  | 3 ++-
|  man/Bk_permutations.Rd                     | 3 ++-
|  man/Bk_plot.Rd                             | 3 ++-
|  man/DendSer.dendrogram.Rd                  | 3 ++-
|  man/FM_index.Rd                            | 3 ++-
|  man/FM_index_R.Rd                          | 3 ++-
|  man/FM_index_permutation.Rd                | 3 ++-
|  man/FM_index_profdpm.Rd                    | 3 ++-
|  man/all.equal.dendrogram.Rd                | 3 ++-
|  man/all_couple_rotations_at_k.Rd           | 3 ++-
|  man/all_unique.Rd                          | 3 ++-
|  man/as.dendlist.Rd                         | 3 ++-
|  man/as.phylo.dendrogram.Rd                 | 3 ++-
|  man/as_hclust_fixed.Rd                     | 3 ++-
|  man/assign_dendextend_options.Rd           | 3 ++-
|  man/assign_values_to_branches_edgePar.Rd   | 3 ++-
|  man/assign_values_to_leaves_edgePar.Rd     | 3 ++-
|  man/assign_values_to_leaves_nodePar.Rd     | 3 ++-
|  man/assign_values_to_nodes_nodePar.Rd      | 3 ++-
|  man/bakers_gamma_for_2_k_matrix.Rd         | 3 ++-
|  man/branches_attr_by_clusters.Rd           | 3 ++-
|  man/branches_attr_by_labels.Rd             | 3 ++-
|  man/click_rotate.Rd                        | 3 ++-
|  man/collapse_branch.Rd                     | 3 ++-
|  man/color_branches.Rd                      | 3 ++-
|  man/color_labels.Rd                        | 3 ++-
|  man/colored_bars.Rd                        | 3 ++-
|  man/cor.dendlist.Rd                        | 3 ++-
|  man/cor_bakers_gamma.Rd                    | 3 ++-
|  man/cor_cophenetic.Rd                      | 3 ++-
|  man/count_terminal_nodes.Rd                | 3 ++-
|  man/cut_lower_fun.Rd                       | 3 ++-
|  man/cutree-methods.Rd                      | 3 ++-
|  man/cutree_1h.dendrogram.Rd                | 3 ++-
|  man/cutree_1k.dendrogram.Rd                | 3 ++-
|  man/d3dendro_options.Rd                    | 3 ++-
|  man/d3dendrogram.Rd                        | 3 ++-
|  man/dend_diff.Rd                           | 3 ++-
|  man/dendextend-package.Rd                  | 3 ++-
|  man/dendextend_options.Rd                  | 3 ++-
|  man/dendlist.Rd                            | 3 ++-
|  man/dist.dendlist.Rd                       | 3 ++-
|  man/dist_long.Rd                           | 3 ++-
|  man/distinct_edges.Rd                      | 3 ++-
|  man/duplicate_leaf.Rd                      | 3 ++-
|  man/entanglement.Rd                        | 3 ++-
|  man/fac2num.Rd                             | 3 ++-
|  man/fix_members_attr.dendrogram.Rd         | 3 ++-
|  man/flatten.dendrogram.Rd                  | 3 ++-
|  man/flip_leaves.Rd                         | 3 ++-
|  man/get_branches_heights.Rd                | 3 ++-
|  man/get_childrens_heights.Rd               | 3 ++-
|  man/get_leaves_attr.Rd                     | 3 ++-
|  man/get_leaves_branches_attr.Rd            | 3 ++-
|  man/get_leaves_branches_col.Rd             | 3 ++-
|  man/get_leaves_edgePar.Rd                  | 3 ++-
|  man/get_leaves_nodePar.Rd                  | 3 ++-
|  man/get_nodes_attr.Rd                      | 3 ++-
|  man/get_nodes_xy.Rd                        | 3 ++-
|  man/get_root_branches_attr.Rd              | 3 ++-
|  man/ggdend.Rd                              | 3 ++-
|  man/hang.dendrogram.Rd                     | 3 ++-
|  man/heights_per_k.dendrogram.Rd            | 3 ++-
|  man/highlight_distinct_edges.Rd            | 3 ++-
|  man/identify.dendrogram.Rd                 | 3 ++-
|  man/intersect_trees.Rd                     | 3 ++-
|  man/is.dendlist.Rd                         | 3 ++-
|  man/is.dendrogram.Rd                       | 3 ++-
|  man/is.hclust.Rd                           | 3 ++-
|  man/is.natural.number.Rd                   | 3 ++-
|  man/is.phylo.Rd                            | 3 ++-
|  man/is_null_list.Rd                        | 3 ++-
|  man/labels-assign.Rd                       | 3 ++-
|  man/labels_colors.Rd                       | 3 ++-
|  man/ladderize.Rd                           | 3 ++-
|  man/leaf_Colors.Rd                         | 3 ++-
|  man/lowest_common_branch.Rd                | 3 ++-
|  man/match_order_by_labels.Rd               | 3 ++-
|  man/match_order_dendrogram_by_old_order.Rd | 3 ++-
|  man/na_locf.Rd                             | 3 ++-
|  man/nleaves.Rd                             | 3 ++-
|  man/nnodes.Rd                              | 3 ++-
|  man/noded_with_condition.Rd                | 3 ++-
|  man/order.dendrogram-assign.Rd             | 3 ++-
|  man/order.hclust.Rd                        | 3 ++-
|  man/partition_leaves.Rd                    | 3 ++-
|  man/pipe.Rd                                | 3 ++-
|  man/plot_horiz.dendrogram.Rd               | 3 ++-
|  man/prune.Rd                               | 3 ++-
|  man/prune_leaf.Rd                          | 3 ++-
|  man/pvclust_show_signif.Rd                 | 3 ++-
|  man/pvclust_show_signif_gradient.Rd        | 3 ++-
|  man/raise.dendrogram.Rd                    | 3 ++-
|  man/rank_branches.Rd                       | 3 ++-
|  man/rank_order.dendrogram.Rd               | 3 ++-
|  man/rect.dendrogram.Rd                     | 3 ++-
|  man/remove_branches_edgePar.Rd             | 3 ++-
|  man/remove_leaves_nodePar.Rd               | 3 ++-
|  man/remove_nodes_nodePar.Rd                | 3 ++-
|  man/rllply.Rd                              | 3 ++-
|  man/rotate.Rd                              | 3 ++-
|  man/rotate_DendSer.Rd                      | 3 ++-
|  man/sample.dendrogram.Rd                   | 3 ++-
|  man/set.Rd                                 | 3 ++-
|  man/shuffle.Rd                             | 3 ++-
|  man/sort_2_clusters_vectors.Rd             | 3 ++-
|  man/sort_dist_mat.Rd                       | 3 ++-
|  man/sort_levels_values.Rd                  | 3 ++-
|  man/tanglegram.Rd                          | 6 ++++--
|  man/theme_dendro.Rd                        | 3 ++-
|  man/unbranch.Rd                            | 3 ++-
|  man/unclass_dend.Rd                        | 3 ++-
|  man/untangle.Rd                            | 3 ++-
|  man/untangle_DendSer.Rd                    | 3 ++-
|  man/untangle_random_search.Rd              | 3 ++-
|  man/untangle_step_rotate_1side.Rd          | 3 ++-
|  man/untangle_step_rotate_2side.Rd          | 3 ++-
|  man/which_leaf.Rd                          | 3 ++-
|  man/which_node.Rd                          | 3 ++-
|  120 files changed, 241 insertions(+), 121 deletions(-)

* 2015-05-18(Tal Galili) tanglegram - tiny clarification about color_lines |3fe5dd9| 
|  R/tanglegram.R | 1 +
|  1 file changed, 1 insertion(+)

* 2015-05-18(Tal Galili) distinct_edges - a simpler R code |47975fb| 
|  R/distinct_edges.R | 6 ++++--
|  1 file changed, 4 insertions(+), 2 deletions(-)

* 2015-05-18(Tal Galili) Fix: as.hclust.pvclust: no visible binding for global variable ‘object’ |c3ada78| 
|  R/pvclust.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-17(Tal Galili) Fix coveralls badge |c5fcb1c| 
|  README.md | 4 +---
|  1 file changed, 1 insertion(+), 3 deletions(-)

* 2015-05-17(Tal Galili) Added coveralls and CRAN status |6948645| 
|  .travis.yml | 4 ++++
|  NEWS        | 2 ++
|  README.md   | 3 +++
|  3 files changed, 9 insertions(+)

* 2015-05-17(Tal Galili) Added Code of conduct |fd5a95a| 
|  .Rbuildignore |  3 ++-
|  CONDUCT.md    | 25 +++++++++++++++++++++++++
|  NEWS          |  5 +++++
|  R/zzz.R       | 11 +++++++++++
|  README.md     |  6 ++++++
|  5 files changed, 49 insertions(+), 1 deletion(-)

* 2015-05-17(Tal Galili)  Fix "Objects in \usage without \alias in documentation object". For ‘prune.rpart’ and ‘sort.dendlist’. |872678a| 
|  NEWS          | 1 +
|  R/prune.R     | 1 +
|  R/rotate.R    | 1 +
|  man/prune.Rd  | 1 +
|  man/rotate.Rd | 1 +
|  5 files changed, 5 insertions(+)

* 2015-05-17(Tal Galili) as.hclust.pvclust - use "x" instead of "object", to avoid "checking S3 generic/method consistency ... WARNING" |12c1c08| 
|  NEWS        | 1 +
|  R/pvclust.R | 2 +-
|  2 files changed, 2 insertions(+), 1 deletion(-)

* 2015-05-17(Tal Galili) Fix "'::' or ':::' import not declared from: ‘rpart’" by adding rpart to DESCRIPTION. |e8a85e7| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 8 ++++++++
|  2 files changed, 10 insertions(+), 2 deletions(-)

* 2015-05-17(Tal Galili) version bump 0.18.8 |ca2a085| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  README.md   | 4 ++--
|  3 files changed, 4 insertions(+), 4 deletions(-)

* 2015-05-17(Tal Galili) identify.dendrogram - parameter horiz now works (fixes #4) |0cf59c3| 
|  NEWS                       |  3 +++
|  R/rect.dendrogram.R        | 16 +++++++++++++---
|  man/identify.dendrogram.Rd |  6 +++++-
|  3 files changed, 21 insertions(+), 4 deletions(-)

* 2015-05-16(Tal Galili) tiny fix |117e2b2| 
|  README.md | 1 +
|  1 file changed, 1 insertion(+)

* 2015-05-16(Tal Galili) Another tweak to the install of packages |9afdd03| 
|  README.md | 10 ++++++----
|  1 file changed, 6 insertions(+), 4 deletions(-)

* 2015-05-16(Tal Galili) Simplafy github installation code a bit. |29215cb| 
|  README.md | 15 ++++-----------
|  1 file changed, 4 insertions(+), 11 deletions(-)

* 2015-05-16(Tal Galili) Added a Vectorize example (fixes #6) |df95472| 
|  R/rect.dendrogram.R    | 2 ++
|  man/rect.dendrogram.Rd | 2 ++
|  2 files changed, 4 insertions(+)

* 2015-05-16(Tal Galili) rect.dendrogram - make the heights of the rects be in the middle of the two clusters so that they would look nicer. Added prop_k_height to state which proportion of the height the rect should be (between k and k+1 heights). Also added upper_rect to allow the user to customize the exact height. (this closes issue #6) |4526d46| 
|  DESCRIPTION            |  7 ++++---
|  NEWS                   |  4 ++--
|  R/rect.dendrogram.R    | 16 +++++++++++++---
|  man/rect.dendrogram.Rd |  7 ++++++-
|  4 files changed, 25 insertions(+), 9 deletions(-)

* 2015-05-15(Tal Galili) all.equal.dendrogram - suppress warning for a dend with only 1 item, when using dendextendRcpp. |fb8515c| 
|  NEWS                            |  1 +
|  R/all.equal.R                   | 17 +++++++++++++++--
|  inst/tests/test-cut_lower_fun.R | 14 ++++++++++----
|  3 files changed, 26 insertions(+), 6 deletions(-)

* 2015-05-15(Tal Galili) Fix comments' text |1d22f77| 
|  R/cutree.dendrogram.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-05-15(Tal Galili) all.equal.dendlist - can now compare two dendlist objects to one another, and not only the dendrograms inside one dendlist. (also added new tests that all.equal.dendlist works) |c581e1b| 
|  NEWS                        |  7 +++++++
|  R/all.equal.R               | 19 +++++++++++++++++++
|  inst/tests/test-dendlist.R  | 32 +++++++++++++++++++++++++++++++-
|  man/all.equal.dendrogram.Rd |  5 +++++
|  4 files changed, 62 insertions(+), 1 deletion(-)

* 2015-05-15(Tal Galili) Test commit |6449eb7| 
|  tests/test-all.R | 3 +++
|  1 file changed, 3 insertions(+)

* 2015-05-06(Tal Galili) remove dependancy in VIGNETTE on DendSer (using require instead of library) - bump to 0.18.7 |49a073f| 
|  DESCRIPTION                |  7 +++----
|  NEWS                       |  2 ++
|  vignettes/introduction.Rmd | 30 ++++++++++++++++++------------
|  3 files changed, 23 insertions(+), 16 deletions(-)

* 2015-05-06(Tal Galili) ladderize instead of rotate_DendSer - in the example |729903b| 
|  R/set.dendrogram.R | 4 ++--
|  man/set.Rd         | 4 ++--
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2015-05-06(Tal Galili) tanglegram.dendlist - fix it when names is null to have the default be "" |8dbea82| 
|  NEWS           | 1 +
|  R/tanglegram.R | 5 ++++-
|  2 files changed, 5 insertions(+), 1 deletion(-)

* 2015-05-06(Tal Galili) untangle - added method="ladderize" |0c04568| 
|  NEWS            |  7 +++++++
|  R/untangle.R    | 11 ++++++-----
|  man/untangle.Rd |  4 ++--
|  3 files changed, 15 insertions(+), 7 deletions(-)

* 2015-04-25(Tal Galili) library corrplot added to plot cor.dendlist results. Examples added to vignette and function's example. |aea94bc| 
|  DESCRIPTION                | 3 ++-
|  NEWS                       | 3 ++-
|  R/cor.dendlist.R           | 8 +++++++-
|  man/cor.dendlist.Rd        | 8 +++++++-
|  vignettes/introduction.Rmd | 9 +++++++++
|  5 files changed, 27 insertions(+), 4 deletions(-)

* 2015-04-25(Tal Galili) tanglegram.dendlist - now gets main_left and main_right (if they are null) from the names in dendlist (if they exist) |7cc9037| 
|  NEWS              |  3 +++
|  R/tanglegram.R    | 14 +++++++++++---
|  man/tanglegram.Rd |  2 +-
|  3 files changed, 15 insertions(+), 4 deletions(-)

* 2015-04-25(Tal Galili) added example for using "get_leaves_branches_col" in "How to color the branches in heatmap.2?" |c30208f| 
|  NEWS                       | 3 +++
|  vignettes/introduction.Rmd | 8 +++++++-
|  2 files changed, 10 insertions(+), 1 deletion(-)

* 2015-04-25(Tal Galili) Fix get_leaves_branches_attr and also make it simpler. |6017490| 
|  R/attr_access.R | 12 ++++--------
|  1 file changed, 4 insertions(+), 8 deletions(-)

* 2015-04-25(Tal Galili) NEW FUNCTIONS: (version 0.18.6)    * get_leaves_edgePar - Get edgePar of dendrogram's leaves    * get_leaves_branches_attr - Get an attribute of the branches of a dendrogram's leaves    * get_leaves_branches_col - Get the colors of the branches of a dendrogram's leaves. This function is actually the point of the two other functions. It is meant to help match the color of the labels with that of the branches - after running color_branches. |139236d| 
|  DESCRIPTION                     |   4 +-
|  NAMESPACE                       |   3 +
|  NEWS                            |   8 +++
|  R/attr_access.R                 | 141 ++++++++++++++++++++++++++++++++++++++
|  man/get_leaves_branches_attr.Rd |  48 +++++++++++++
|  man/get_leaves_branches_col.Rd  |  44 ++++++++++++
|  man/get_leaves_edgePar.Rd       |  45 ++++++++++++
|  man/get_leaves_nodePar.Rd       |   1 +
|  8 files changed, 292 insertions(+), 2 deletions(-)

* 2015-04-22(Tal Galili) use color_branches instead of set (easier for people - I would guess) |ade1635| 
|  vignettes/introduction.Rmd | 6 ++++--
|  1 file changed, 4 insertions(+), 2 deletions(-)

* 2015-04-22(Tal Galili) VIGNETTE added: "How to color the branches in heatmap.2?" |6127035| 
|  DESCRIPTION                |   4 +-
|  NEWS                       |   7 +
|  vignettes/introduction.Rmd | 632 +++++++++++++++++++++++++++++++++++++++++++
|  3 files changed, 641 insertions(+), 2 deletions(-)

* 2015-03-05(Tal Galili) s |17f6568| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-03-05(Tal Galili) Added TOC to readme.md |4d083c0| 
|  README.md | 12 +++++++++++-
|  1 file changed, 11 insertions(+), 1 deletion(-)

* 2015-02-14(Tal Galili) Update vignette on github |e0ecc5a| 
|  inst/ignored/introduction.html | 1875 ++++++++++++++++++--------------------
|  1 file changed, 866 insertions(+), 1009 deletions(-)

* 2015-02-14(Tal Galili) moved to knitr::docco_linear (and some fixes to figures height) |6de5e7b| 
|  vignettes/introduction.Rmd | 10 +++++-----
|  1 file changed, 5 insertions(+), 5 deletions(-)

* 2015-02-07(Tal Galili) as.hclust.pvclust |1c3ce5b| 
|  NAMESPACE   |  1 +
|  NEWS        |  1 +
|  R/pvclust.R | 11 ++++++++++-
|  3 files changed, 12 insertions(+), 1 deletion(-)

* 2015-02-07(Tal Galili) Added sort.dendlist |e90a0cd| 
|  DESCRIPTION   |  4 ++--
|  NAMESPACE     |  1 +
|  NEWS          |  1 +
|  R/rotate.R    | 11 +++++++++++
|  man/rotate.Rd |  2 ++
|  5 files changed, 17 insertions(+), 2 deletions(-)

* 2015-02-07(Tal Galili) prune.rpart added |3ae7031| 
|  NAMESPACE    |  1 +
|  NEWS         | 10 ++++++++++
|  R/prune.R    |  8 ++++++++
|  man/prune.Rd |  2 ++
|  4 files changed, 21 insertions(+)

* 2015-01-31(Tal Galili) Bump to 0.18.3 |86adb2a| 
|  ChangeLog | 13 +++++++++++++
|  R/zzz.R   |  2 +-
|  2 files changed, 14 insertions(+), 1 deletion(-)

* 2015-01-31(Tal Galili) require -> requireNamespace |6dcc805| 
|  .Rbuildignore   | 2 +-
|  R/bk_method.R   | 2 +-
|  R/rainbow_fun.R | 2 +-
|  3 files changed, 3 insertions(+), 3 deletions(-)

* 2015-01-31(Tal Galili) update NEWS.md and changelog |e8b9e78| 
|  ChangeLog | 42 ++++++++++++++++++++++++++++++++++++++++++
|  NEWS      |  2 +-
|  NEWS.md   | 20 ++++++++++++++++++++
|  R/zzz.R   |  2 +-
|  4 files changed, 64 insertions(+), 2 deletions(-)

* 2015-01-31(Tal Galili) Fix "Please use :: or requireNamespace() instead." by commenting out all "library", since using "::" is enough! |fc73295| 
|  NEWS                  |   6 +
|  R/DendSer.R           |   2 +-
|  R/ape.R               |   8 +-
|  R/cutree.dendrogram.R |  42 +++---
|  R/ggdend.R            |   4 +-
|  R/ggdendro.R          |   2 +-
|  R/nleaves.R           |   4 +-
|  R/prune.R             |   2 +-
|  R/rotate.R            |   4 +-
|  R/set.dendrogram.R    |   2 +-
|  R/unbranch.R          |   2 +-
|  R/untangle.R          | 358 ++++++++++++++++++++++++------------------------
|  R/zzz.R               |   2 +-
|  13 files changed, 222 insertions(+), 216 deletions(-)

* 2015-01-31(Tal Galili) Fix "title case" for the package's Title in the DESCRIPTION |ccf93c3| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 5 +++++
|  2 files changed, 7 insertions(+), 2 deletions(-)

* 2015-01-31(Tal Galili) Fix "No package encoding and non-ASCII characters in the following R files" |bba4e4c| 
|  R/ggdend.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-01-31(Tal Galili) Minor doc fix for `collapse_branch` |2f3019b| 
|  DESCRIPTION            | 2 +-
|  NEWS                   | 9 +++++++++
|  R/unbranch.R           | 3 ++-
|  man/collapse_branch.Rd | 3 ++-
|  4 files changed, 14 insertions(+), 3 deletions(-)

* 2015-01-31(Tal Galili) Update NEWS.md and changelog |e0ef4b5| 
|  ChangeLog | 39 +++++++++++++++++++++++++++++++++++++++
|  NEWS.md   | 29 +++++++++++++++++++++++++++++
|  2 files changed, 68 insertions(+)

* 2015-01-31(Tal Galili) collapse_branch to vignette |4cafe05| 
|  NEWS                       |  8 +++++++-
|  vignettes/introduction.Rmd | 17 +++++++++++++++++
|  2 files changed, 24 insertions(+), 1 deletion(-)

* 2015-01-31(Tal Galili) Add ladderize to collapse_branch example |f7043c6| 
|  R/rotate.R             | 2 +-
|  R/unbranch.R           | 8 +++++---
|  man/collapse_branch.Rd | 7 ++++---
|  man/rotate.Rd          | 2 +-
|  4 files changed, 11 insertions(+), 8 deletions(-)

* 2015-01-31(Tal Galili) ###VIGNETTE - new sections!    * Quick functions for FAQ       * How to colour the labels of a dendrogram by an additional factor variable       * How to color a dendrogram's branches/labels based on cluster (i.e.: cutree result)       * Change dendrogram's labels       * Larger font for leaves in a dendrogram       * How to view attributes of a dendrogram    * rotate - explain about sort    * ggplot2 integration (!)    * Comparing trees:       * dend_diff       * all.equal       * dist.dendlist       * cor.dendlist |84335e7| 
|  NEWS                       |  15 +++
|  vignettes/introduction.Rmd | 305 +++++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 320 insertions(+)

* 2015-01-31(Tal Galili) `ggplot.ggdend` - support theme = NULL |d94efb6| 
|  NEWS          | 2 +-
|  R/ggdend.R    | 9 ++++++---
|  man/ggdend.Rd | 5 +++--
|  3 files changed, 10 insertions(+), 6 deletions(-)

* 2015-01-31(Tal Galili) Minor .Rd fixes. |d69de40| 
|  R/ggdend.R    | 4 ++--
|  man/ggdend.Rd | 4 ++--
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2015-01-31(Tal Galili) `sort.dendrogram` - added a new parameter: type = c("labels", "nodes"), to use `ladderize` for sorting |2d4fe25| 
|  DESCRIPTION   |  4 ++--
|  NEWS          |  8 ++++++++
|  R/rotate.R    | 17 +++++++++++++++--
|  man/rotate.Rd | 11 ++++++++++-
|  4 files changed, 35 insertions(+), 5 deletions(-)

* 2015-01-30(Tal Galili) cheatsheet? |1f2c862| 
|  TODO | 5 +++++
|  1 file changed, 5 insertions(+)

* 2015-01-30(Tal Galili) Updated ChangeLog and NEWS.md |d3b1613| 
|  ChangeLog | 674 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
|  NEWS.md   | 102 +++++++++
|  2 files changed, 768 insertions(+), 8 deletions(-)

* 2015-01-30(Tal Galili) Fix package date. |10d25e2| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2015-01-29(Tal Galili) Fix various doc errors. |369cce9| 
|  R/rotate.R       | 19 ++++++++++---------
|  man/ladderize.Rd |  6 +++---
|  man/rotate.Rd    |  8 ++++----
|  3 files changed, 17 insertions(+), 16 deletions(-)

* 2015-01-29(Tal Galili) Fix "ggplot.ggdend: no visible global function definition for ‘aes_string’" error |f5b34b7| 
|  R/ggdend.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-01-29(Tal Galili) `ladderize` - Ladderize a Tree (reorganizes the internal structure of the tree to get the ladderized effect when plotted) |9120507| 
|  NAMESPACE        |   4 ++
|  NEWS             |   1 +
|  R/rotate.R       | 116 +++++++++++++++++++++++++++++++++++++++++++++++++++--
|  man/ladderize.Rd |  47 ++++++++++++++++++++++
|  man/rotate.Rd    |   4 +-
|  5 files changed, 167 insertions(+), 5 deletions(-)

* 2015-01-29(Tal Galili) Use aes_string instead of aes! |70ab17c| 
|  R/ggdend.R | 13 ++++++++-----
|  1 file changed, 8 insertions(+), 5 deletions(-)

* 2015-01-29(Tal Galili) Fix as.ggdend - to get the col/cex of the labels correctly. |174e12f| 
|  R/ggdend.R | 7 +++++--
|  1 file changed, 5 insertions(+), 2 deletions(-)

* 2015-01-29(Tal Galili) Fix "Missing link or links in documentation object" error |e8713e5| 
|  R/ape.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-01-29(Tal Galili) Fix "lines wider than 100 characters:" error |a035228| 
|  R/distinct_edges.R              | 4 +++-
|  man/as.phylo.dendrogram.Rd      | 2 +-
|  man/highlight_distinct_edges.Rd | 4 +++-
|  3 files changed, 7 insertions(+), 3 deletions(-)

* 2015-01-29(Tal Galili) Fix many "no visible global function definition for ..." errors. |c028b06| 
|  R/ggdend.R    | 42 ++++++++++++++++++++++++++++++++----------
|  man/ggdend.Rd | 18 ++++++++++--------
|  2 files changed, 42 insertions(+), 18 deletions(-)

* 2015-01-29(Tal Galili) Fix theme_dendro: no visible global function definition for 'element_text' |4e30954| 
|  R/ggdendro.R | 5 ++++-
|  1 file changed, 4 insertions(+), 1 deletion(-)

* 2015-01-29(Tal Galili) fix collapse_branch: no visible binding for global variable ‘dend_node’ |c51c27e| 
|  R/unbranch.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-01-29(Tal Galili) Fix Codoc mismatches in prepare.ggdend |c87b7d8| 
|  R/ggdend.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-01-29(Tal Galili) ggplot.ggdend: leaf_labels -> labels |5f6e090| 
|  R/ggdend.R | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2015-01-29(Tal Galili) DESCRIPTION: Moved ape and ggplot2 to "Suggests" packages - so that I could refer to them in the vignette/help pages. |9f54d6a| 
|  DESCRIPTION | 7 ++++---
|  1 file changed, 4 insertions(+), 3 deletions(-)

* 2015-01-29(Tal Galili) Rename dist_fun.R to dist_long.R |6ed91cc| 
|  NEWS          |  1 +
|  R/dist_fun.R  | 62 ---------------------------------------------------------
|  R/dist_long.R | 62 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  R/unbranch.R  |  1 +
|  4 files changed, 64 insertions(+), 62 deletions(-)

* 2015-01-29(Tal Galili) `collapse_branch` - simplifies a tree with branches lower than some tollerance level |691c490| 
|  NAMESPACE              |  1 +
|  NEWS                   |  1 +
|  R/unbranch.R           | 90 ++++++++++++++++++++++++++++++++++++++++++++++++
|  man/collapse_branch.Rd | 38 ++++++++++++++++++++
|  4 files changed, 130 insertions(+)

* 2015-01-29(Tal Galili) Fix "Error in plot.xy(xy.coords(x, y), type = type, ...) : " when dend has graphical parameters. |480b0fc| 
|  R/ggdendro.R | 16 ++++++++++++++++
|  1 file changed, 16 insertions(+)

* 2015-01-29(Tal Galili) Fix: Error in eval(expr, envir, enclos) : object 'cex' not found In addition: Warning message: In is.na(data$labels$cex) :   is.na() applied to non-(list or vector) of type 'NULL' |50ab05a| 
|  R/ggdend.R | 22 +++++++++++++++++-----
|  1 file changed, 17 insertions(+), 5 deletions(-)

* 2015-01-29(Tal Galili) `remove_nodes_nodePar` - as the name implies... |3584e7c| 
|  NAMESPACE                   |  1 +
|  NEWS                        |  2 ++
|  R/attr_access.R             | 37 ++++++++++++++++++++++++++++++++++++-
|  man/remove_nodes_nodePar.Rd | 33 +++++++++++++++++++++++++++++++++
|  4 files changed, 72 insertions(+), 1 deletion(-)

* 2015-01-28(Tal Galili) fix namespace issues (using S3 for a non-imported package is NOT wise, and results in the main function not seeing the new S3 function implemented...) |bc5c1ee| 
|  NAMESPACE     |  4 ++--
|  R/ggdend.R    | 14 ++++++++------
|  man/ggdend.Rd |  4 ++--
|  3 files changed, 12 insertions(+), 10 deletions(-)

* 2015-01-28(Tal Galili) Added theme_dendro as the default theme for ggplot.ggdend |0dfc218| 
|  R/ggdend.R    | 16 +++++++---------
|  man/ggdend.Rd |  4 +++-
|  2 files changed, 10 insertions(+), 10 deletions(-)

* 2015-01-28(Tal Galili) Organize NEWS |c41aeba| 
|  NEWS | 31 +++++++++++++++++--------------
|  1 file changed, 17 insertions(+), 14 deletions(-)

* 2015-01-28(Tal Galili) Importing `theme_dendro` from the ggdendro package |d4f6552| 
|  NAMESPACE           |  1 +
|  R/ggdend.R          |  2 +-
|  R/ggdendro.R        | 32 ++++++++++++++++++++++++++++++++
|  man/ggdend.Rd       |  3 +++
|  man/theme_dendro.Rd | 24 ++++++++++++++++++++++++
|  5 files changed, 61 insertions(+), 1 deletion(-)

* 2015-01-28(Tal Galili) Mention ggplot2 -> plot.ly in the ggdend doc. |5340107| 
|  R/ggdend.R    | 22 ++++++++++++++++++++--
|  man/ggdend.Rd | 22 ++++++++++++++++++++--
|  2 files changed, 40 insertions(+), 4 deletions(-)

* 2015-01-27(Tal Galili) `prepare.ggdend` - fills a ggdend object with various default values (to be later used when plotted)  (this function was extrected from ggplot.ggdend) |5fffec4| 
|  NAMESPACE     |  1 +
|  NEWS          |  1 +
|  R/ggdend.R    | 82 +++++++++++++++++++++++++++++++++------------------------
|  man/ggdend.Rd | 24 ++++++++++++-----
|  4 files changed, 67 insertions(+), 41 deletions(-)

* 2015-01-27(Tal Galili) Thanks to Andrie de Vries, dendextend now enhances ggplot2 :) |13647d4| 
|  DESCRIPTION | 7 +++++--
|  1 file changed, 5 insertions(+), 2 deletions(-)

* 2015-01-27(Tal Galili) Adding documentation to ggdend and friends! |64a21a9| 
|  NAMESPACE     |   5 +++
|  NEWS          |   3 +-
|  R/ggdend.R    | 121 ++++++++++++++++++++++++++++++++++++++++++++++++++------
|  man/ggdend.Rd |  99 ++++++++++++++++++++++++++++++++++++++++++++++
|  4 files changed, 216 insertions(+), 12 deletions(-)

* 2015-01-27(Tal Galili) Added a working (at least partially) version of ggplot.ggdend |e54200a| 
|  R/ggdend.R | 246 +++++++++++++++++++++++++++++++++++++++++++++++++----------
|  1 file changed, 205 insertions(+), 41 deletions(-)

* 2015-01-27(Tal Galili) `as.ggdend.dendrogram` - turns a dendrogram to the ggdend class, ready to be plotted with ggplot2. |9cc9761| 
|  NEWS       |   2 +
|  R/ggdend.R | 241 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 243 insertions(+)

* 2015-01-27(Tal Galili) `get_leaves_nodePar` - a new function that Get's the nodePar of dendrogram's leaves (designed to help with as.ggdend) |57192cd| 
|  NAMESPACE                     |  1 +
|  NEWS                          |  2 +-
|  R/attr_access.R               | 45 +++++++++++++++++++++++++++++++++++++++++
|  inst/tests/test-attr_access.R | 22 ++++++++++++++++++++
|  man/get_leaves_nodePar.Rd     | 40 ++++++++++++++++++++++++++++++++++++
|  5 files changed, 109 insertions(+), 1 deletion(-)

* 2015-01-27(Tal Galili) Added the file ggdendro.R with the dendrogram_data function (imported from the ggdendro package) |08d69d6| 
|  NEWS         |   3 ++
|  R/ggdendro.R | 165 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 168 insertions(+)

* 2015-01-26(Tal Galili) renamed imports_stats.R to stats_imports.R |27068c4| 
|  NEWS              |   1 +
|  R/imports_stats.R | 285 ----------------------------------------------------
|  R/stats_imports.R | 285 ++++++++++++++++++++++++++++++++++++++++++++++++++++
|  3 files changed, 286 insertions(+), 285 deletions(-)

* 2015-01-26(Tal Galili) cor.dendlist and dist.dendlist - their matrix now includes dend names in col/row names. |951968a| 
|  R/cor.dendlist.R     | 4 +++-
|  R/distinct_edges.R   | 5 ++++-
|  man/cor.dendlist.Rd  | 2 +-
|  man/dist.dendlist.Rd | 2 +-
|  4 files changed, 9 insertions(+), 4 deletions(-)

* 2015-01-26(Tal Galili) Add ggdendro example for creating a radial plot :) |efaf335| 
|  R/ape.R                    | 12 ++++++++++++
|  man/as.phylo.dendrogram.Rd | 19 ++++++++++++++++++-
|  2 files changed, 30 insertions(+), 1 deletion(-)

* 2015-01-26(Tal Galili) export as.phylo.dendrogram in a way that actually works... |c8b69de| 
|  NAMESPACE                  |  1 +
|  NEWS                       |  2 +-
|  R/ape.R                    | 47 +++++++++++++++++++++++++++++++++++++++++---
|  R/noded_with_condition.R   |  2 +-
|  man/as.phylo.dendrogram.Rd | 35 +++++++++++++++++++++++++++++++++
|  man/which_node.Rd          |  1 +
|  6 files changed, 83 insertions(+), 5 deletions(-)

* 2015-01-26(Tal Galili) get_nodes_attr with id example |d2464f6| 
|  vignettes/introduction.Rmd | 1 +
|  1 file changed, 1 insertion(+)

* 2015-01-26(Tal Galili) Fix "Error in missing(id) : 'missing' can only be used for arguments" in get_nodes_attr |e912cc3| 
|  R/attr_access.R | 8 +++++---
|  1 file changed, 5 insertions(+), 3 deletions(-)

* 2015-01-26(Tal Galili) magrittr is imported there is no longer a need for "library(magrittr)" in examples. |8210261| 
|  R/branches_attr_by.R           | 1 -
|  R/dist_fun.R                   | 1 -
|  R/get_nodes_xy.R               | 1 -
|  R/noded_with_condition.R       | 2 --
|  R/set.dendrogram.R             | 1 -
|  man/branches_attr_by_labels.Rd | 1 -
|  man/dist_long.Rd               | 1 -
|  man/get_nodes_xy.Rd            | 1 -
|  man/noded_with_condition.Rd    | 1 -
|  man/set.Rd                     | 1 -
|  man/which_leaf.Rd              | 1 -
|  11 files changed, 12 deletions(-)

* 2015-01-26(Tal Galili) `which_node` - a new function which finds Which node is common to a group of labels |fbaef43| 
|  NAMESPACE                |  1 +
|  NEWS                     |  2 ++
|  R/noded_with_condition.R | 46 ++++++++++++++++++++++++++++++++++++++++++++++
|  man/which_node.Rd        | 43 +++++++++++++++++++++++++++++++++++++++++++
|  4 files changed, 92 insertions(+)

* 2015-01-26(Tal Galili) update `get_nodes_attr` - added the "id" parameter (to get attributes of only a subset of id's) |de61889| 
|  NEWS                          |  1 +
|  R/attr_access.R               | 26 +++++++++++++++++++++++---
|  inst/tests/test-attr_access.R |  5 +++++
|  man/get_nodes_attr.Rd         |  8 +++++++-
|  4 files changed, 36 insertions(+), 4 deletions(-)

* 2015-01-26(Tal Galili) Rename `get_branches_attr` to be `get_root_branches_attr` |3e38822| 
|  NAMESPACE                                |  2 +-
|  NEWS                                     |  2 +-
|  R/attr_access.R                          |  4 ++--
|  R/unbranch.R                             | 12 +++++-----
|  inst/tests/test-unbranch.R               |  6 ++---
|  man/assign_values_to_branches_edgePar.Rd |  2 +-
|  man/get_branches_attr.Rd                 | 38 ------------------------------
|  man/get_root_branches_attr.Rd            | 38 ++++++++++++++++++++++++++++++
|  man/remove_branches_edgePar.Rd           |  2 +-
|  9 files changed, 53 insertions(+), 53 deletions(-)

* 2015-01-26(Tal Galili) minor docs update and version bump |5ac4ac6| 
|  DESCRIPTION                     | 4 ++--
|  R/distinct_edges.R              | 1 -
|  man/dend_diff.Rd                | 2 ++
|  man/highlight_distinct_edges.Rd | 1 -
|  4 files changed, 4 insertions(+), 4 deletions(-)

* 2015-01-26(Tal Galili) Made dend_diff work with dendlist |4fd37af| 
|  NAMESPACE          |  2 ++
|  NEWS               |  2 +-
|  R/distinct_edges.R | 46 ++++++++++++++++++++++++++++++++++++++++++----
|  man/dend_diff.Rd   | 19 +++++++++++++++----
|  4 files changed, 60 insertions(+), 9 deletions(-)

* 2015-01-26(Tal Galili) Made highlight_distinct_edges work with dendlist (and added a nice iris example) |edcae3a| 
|  NAMESPACE                       |  2 ++
|  NEWS                            |  2 +-
|  R/distinct_edges.R              | 51 +++++++++++++++++++++++++++++++++++++--
|  man/highlight_distinct_edges.Rd | 34 +++++++++++++++++++++++---
|  4 files changed, 82 insertions(+), 7 deletions(-)

* 2015-01-25(Tal Galili) `cutree_1h.dendrogram` and `cutree_1k.dendrogram` - will now create clusters as the number of items if k==nleaves(tree) or if h<0. This is both consistent with stats::hclust, but it also "makes sense" (since this is well defined for ANY tree) |7afd28e| 
|  NEWS                                |  1 +
|  R/cutree.dendrogram.R               | 21 ++++++++++++++++++++-
|  inst/tests/test-cut_lower_fun.R     |  9 +++++++++
|  inst/tests/test-cutree.dendrogram.R | 33 ++++++++++++++++++++++++---------
|  inst/tests/test-distinct_edges.R    |  1 +
|  5 files changed, 55 insertions(+), 10 deletions(-)

* 2015-01-25(Tal Galili) `cutree` - now produces warnings if it returns 0's. i.e.: when it can't cut the tree based on the required parameter. (following isue #5 reported by grafab) |fce5319| 
|  NEWS                                |  2 +-
|  R/cutree.dendrogram.R               | 13 ++++++++++---
|  inst/tests/test-cutree.dendrogram.R | 24 ++++++++++++++++++++++++
|  man/cutree-methods.Rd               |  7 ++++++-
|  4 files changed, 41 insertions(+), 5 deletions(-)

* 2015-01-25(Tal Galili) Various doc .Rd fixes. |45b21e0| 
|  NAMESPACE                       |  1 -
|  R/ape.R                         |  2 +-
|  R/distinct_edges.R              | 12 ++++++------
|  R/tanglegram.R                  |  1 +
|  man/dend_diff.Rd                |  2 +-
|  man/distinct_edges.Rd           |  2 +-
|  man/highlight_distinct_edges.Rd |  6 +++---
|  man/partition_leaves.Rd         |  2 +-
|  man/tanglegram.Rd               |  1 +
|  9 files changed, 15 insertions(+), 14 deletions(-)

* 2015-01-25(Tal Galili) `tanglegram` - a new highlight_distinct_edges parameter (default is TRUE) |7a7e758| 
|  NEWS              | 1 +
|  R/tanglegram.R    | 6 ++++++
|  man/tanglegram.Rd | 2 ++
|  3 files changed, 9 insertions(+)

* 2015-01-25(Tal Galili) New function: all.equal.dendrogram/all.equal.dendlist - Global Comparison of two (or more) dendrograms |8edaa3b| 
|  NAMESPACE                   |   2 +
|  NEWS                        |   1 +
|  R/all.equal.R               | 157 ++++++++++++++++++++++++++++++++++++++++++
|  man/all.equal.dendrogram.Rd |  65 +++++++++++++++++
|  4 files changed, 225 insertions(+)

* 2015-01-25(Tal Galili) `labels<-.dendrogram` - no longer forces as.character conversion |6a6223b| 
|  NEWS                             | 1 +
|  R/labels.R                       | 3 ++-
|  inst/tests/test-set.dendrogram.R | 5 ++++-
|  3 files changed, 7 insertions(+), 2 deletions(-)

* 2015-01-25(Tal Galili) minor test fix |0b8b076| 
|  inst/tests/test-distinct_edges.R | 11 ++++++++---
|  1 file changed, 8 insertions(+), 3 deletions(-)

* 2015-01-25(Tal Galili) use ave instead of ward in hclust (make sure the change to ward.D will no longer cause issues) |a220126| 
|  inst/tests/test-unbranch.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2015-01-25(Tal Galili) New functions (with doc and tests):    * partition_leaves - A list with labels for each subtree (edge)    * distinct_edges - Finds the edges present in the first tree but not in the second    * highlight_distinct_edges - Highlight distint edges in a tree (compared to another one)    * dend_diff - Plots two trees side by side, highlighting edges unique to each tree in red.    * dist.dendlist - Topological Distances Between Two dendrograms (currently only the Robinson-Foulds distance) |05b4ebc| 
|  NAMESPACE                        |   5 +
|  NEWS                             |  17 ++-
|  R/distinct_edges.R               | 291 +++++++++++++++++++++++++++++++++++++
|  inst/tests/test-distinct_edges.R |  39 +++++
|  man/dend_diff.Rd                 |  42 ++++++
|  man/dist.dendlist.Rd             |  38 +++++
|  man/distinct_edges.Rd            |  36 +++++
|  man/highlight_distinct_edges.Rd  |  49 +++++++
|  man/partition_leaves.Rd          |  43 ++++++
|  9 files changed, 559 insertions(+), 1 deletion(-)

* 2015-01-25(Tal Galili) Small document update to assign_values_to_branches_edgePar |330ed91| 
|  R/attr_access.R                          | 3 ++-
|  man/assign_values_to_branches_edgePar.Rd | 3 ++-
|  2 files changed, 4 insertions(+), 2 deletions(-)

* 2015-01-25(Tal Galili) cor.dendlist - Correlation matrix between a list of trees. |a3d8371| 
|  NAMESPACE           |  1 +
|  NEWS                |  2 ++
|  R/cor.dendlist.R    | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/cor.dendlist.Rd | 43 ++++++++++++++++++++++++++++
|  4 files changed, 123 insertions(+)

* 2015-01-24(Tal Galili) A new phylo method for `labels` and `labels<-` |f51e36a| 
|  DESCRIPTION          |  2 +-
|  NAMESPACE            |  2 ++
|  NEWS                 |  7 ++++++-
|  R/labels.R           | 38 ++++++++++++++++++++++++++++++++++++++
|  man/labels-assign.Rd |  6 ++++++
|  5 files changed, 53 insertions(+), 2 deletions(-)

* 2015-01-24(Tal Galili) `nleaves.phylo` - no longer require conversion to a dendrogram in order to compute. |8b5dad4| 
|  R/nleaves.R | 5 ++++-
|  1 file changed, 4 insertions(+), 1 deletion(-)

* 2015-01-21(Tal Galili) 1) new file ape.R - to which I moved `as.dendrogram.phylo` and `as.phylo.dendrogram` functions to. |e94bd9b| 
|  DESCRIPTION      |  4 ++--
|  NAMESPACE        |  1 +
|  NEWS             |  7 +++++++
|  R/ape.R          | 42 ++++++++++++++++++++++++++++++++++++++++++
|  R/nleaves.R      | 22 ----------------------
|  tests/test-all.R |  2 ++
|  6 files changed, 54 insertions(+), 24 deletions(-)

* 2014-12-08(Tal Galili) Bump to 0.17.6 |a4d0561| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 8 ++++++++
|  2 files changed, 10 insertions(+), 2 deletions(-)

* 2014-12-08(Tal Galili) roxygen2 from 4.0.1 to 4.0.2 |b46267b| 
|  man/Bk.Rd                                  |  2 +-
|  man/Bk_permutations.Rd                     |  2 +-
|  man/Bk_plot.Rd                             |  2 +-
|  man/DendSer.dendrogram.Rd                  |  2 +-
|  man/FM_index.Rd                            |  2 +-
|  man/FM_index_R.Rd                          |  2 +-
|  man/FM_index_permutation.Rd                |  2 +-
|  man/FM_index_profdpm.Rd                    |  2 +-
|  man/all_couple_rotations_at_k.Rd           |  2 +-
|  man/all_unique.Rd                          |  2 +-
|  man/as.dendlist.Rd                         |  2 +-
|  man/as_hclust_fixed.Rd                     |  2 +-
|  man/assign_dendextend_options.Rd           |  2 +-
|  man/assign_values_to_branches_edgePar.Rd   |  2 +-
|  man/assign_values_to_leaves_edgePar.Rd     |  2 +-
|  man/assign_values_to_leaves_nodePar.Rd     |  2 +-
|  man/assign_values_to_nodes_nodePar.Rd      |  2 +-
|  man/bakers_gamma_for_2_k_matrix.Rd         |  2 +-
|  man/branches_attr_by_clusters.Rd           |  2 +-
|  man/branches_attr_by_labels.Rd             |  2 +-
|  man/click_rotate.Rd                        |  6 +++---
|  man/color_branches.Rd                      |  2 +-
|  man/color_labels.Rd                        |  8 ++++----
|  man/colored_bars.Rd                        |  2 +-
|  man/cor_bakers_gamma.Rd                    |  6 +++---
|  man/cor_cophenetic.Rd                      |  6 +++---
|  man/count_terminal_nodes.Rd                |  2 +-
|  man/cut_lower_fun.Rd                       |  2 +-
|  man/cutree-methods.Rd                      |  6 +++---
|  man/cutree_1h.dendrogram.Rd                | 10 +++++-----
|  man/cutree_1k.dendrogram.Rd                |  2 +-
|  man/d3dendro_options.Rd                    |  2 +-
|  man/d3dendrogram.Rd                        |  2 +-
|  man/dendextend-package.Rd                  |  2 +-
|  man/dendextend_options.Rd                  |  2 +-
|  man/dendlist.Rd                            |  2 +-
|  man/duplicate_leaf.Rd                      |  2 +-
|  man/entanglement.Rd                        |  6 +++---
|  man/fac2num.Rd                             |  2 +-
|  man/fix_members_attr.dendrogram.Rd         |  2 +-
|  man/flatten.dendrogram.Rd                  |  2 +-
|  man/flip_leaves.Rd                         |  2 +-
|  man/get_branches_attr.Rd                   |  2 +-
|  man/get_branches_heights.Rd                |  2 +-
|  man/get_childrens_heights.Rd               |  2 +-
|  man/get_leaves_attr.Rd                     |  2 +-
|  man/get_nodes_attr.Rd                      |  2 +-
|  man/get_nodes_xy.Rd                        |  2 +-
|  man/hang.dendrogram.Rd                     |  2 +-
|  man/heights_per_k.dendrogram.Rd            |  2 +-
|  man/identify.dendrogram.Rd                 |  2 +-
|  man/intersect_trees.Rd                     |  2 +-
|  man/is.dendlist.Rd                         |  2 +-
|  man/is.dendrogram.Rd                       |  2 +-
|  man/is.hclust.Rd                           |  2 +-
|  man/is.natural.number.Rd                   |  2 +-
|  man/is.phylo.Rd                            |  2 +-
|  man/is_null_list.Rd                        |  2 +-
|  man/labels-assign.Rd                       |  6 +++---
|  man/labels_colors.Rd                       |  2 +-
|  man/leaf_Colors.Rd                         |  2 +-
|  man/lowest_common_branch.Rd                |  2 +-
|  man/match_order_by_labels.Rd               |  2 +-
|  man/match_order_dendrogram_by_old_order.Rd |  2 +-
|  man/na_locf.Rd                             |  2 +-
|  man/nleaves.Rd                             |  6 +++---
|  man/nnodes.Rd                              |  2 +-
|  man/noded_with_condition.Rd                |  2 +-
|  man/order.dendrogram-assign.Rd             |  2 +-
|  man/order.hclust.Rd                        |  2 +-
|  man/pipe.Rd                                |  2 +-
|  man/plot_horiz.dendrogram.Rd               |  2 +-
|  man/prune.Rd                               |  6 +++---
|  man/prune_leaf.Rd                          |  2 +-
|  man/pvclust_show_signif.Rd                 |  2 +-
|  man/pvclust_show_signif_gradient.Rd        |  2 +-
|  man/raise.dendrogram.Rd                    |  2 +-
|  man/rank_branches.Rd                       |  2 +-
|  man/rank_order.dendrogram.Rd               |  2 +-
|  man/rect.dendrogram.Rd                     |  6 +++---
|  man/remove_branches_edgePar.Rd             |  2 +-
|  man/remove_leaves_nodePar.Rd               |  2 +-
|  man/rllply.Rd                              |  2 +-
|  man/rotate.Rd                              |  6 +++---
|  man/rotate_DendSer.Rd                      |  2 +-
|  man/sample.dendrogram.Rd                   |  2 +-
|  man/set.Rd                                 |  6 +++---
|  man/shuffle.Rd                             |  6 +++---
|  man/sort_2_clusters_vectors.Rd             |  2 +-
|  man/sort_dist_mat.Rd                       |  2 +-
|  man/sort_levels_values.Rd                  |  2 +-
|  man/tanglegram.Rd                          |  6 +++---
|  man/unbranch.Rd                            |  6 +++---
|  man/unclass_dend.Rd                        |  2 +-
|  man/untangle.Rd                            |  6 +++---
|  man/untangle_DendSer.Rd                    |  2 +-
|  man/untangle_random_search.Rd              |  2 +-
|  man/untangle_step_rotate_1side.Rd          |  2 +-
|  man/untangle_step_rotate_2side.Rd          |  2 +-
|  man/which_leaf.Rd                          |  2 +-
|  100 files changed, 137 insertions(+), 137 deletions(-)

* 2014-12-08(Tal Galili) dist_long - Turns a dist object to a "long" table. |a5fee75| 
|  NAMESPACE        |  4 +++-
|  R/dist_fun.R     | 63 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/dist_long.Rd | 28 ++++++++++++++++++++++++
|  3 files changed, 94 insertions(+), 1 deletion(-)

* 2014-12-08(Tal Galili) Update text (per request by CRAN) |46697aa| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-12-08(Tal Galili) text editing |5afb4dd| 
|  vignettes/introduction.Rmd | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-10-04(Tal Galili) Ignore ^\.travis.yml$ when building the package. |45cba35| 
|  .Rbuildignore | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2014-10-04(Tal Galili) Adding .travis.yml |6e17ba3| 
|  .travis.yml | 24 ++++++++++++++++++++++++
|  README.md   |  3 +++
|  2 files changed, 27 insertions(+)

* 2014-09-22(Tal Galili) VIGNETTE - fix several typos and grammatical mistakes. |7e41e50| 
|  NAMESPACE                  |  2 +-
|  NEWS                       |  3 +++
|  TODO                       | 61 ++++++++++++++++++++++++++++++++++++++++++++
|  vignettes/introduction.Rmd | 26 +++++++++----------
|  4 files changed, 78 insertions(+), 14 deletions(-)

* 2014-09-22(Tal Galili) Fixing - \usage lines wider than 90 characters |fff3e9f| 
|  NEWS                    | 3 ++-
|  R/cor_bakers_gamma.R    | 6 ++++--
|  man/cor_bakers_gamma.Rd | 6 ++++--
|  3 files changed, 10 insertions(+), 5 deletions(-)

* 2014-09-22(Tal Galili) Several bug fixes to the docs. |45bf641| 
|  NAMESPACE               |  2 +-
|  NEWS                    | 11 ++++++++
|  R/cor_bakers_gamma.R    | 18 ++++++++++++-
|  R/dendlist.R            | 64 +++++++++++++++++++++++++++++++----------------
|  R/set.dendrogram.R      |  1 +
|  man/cor_bakers_gamma.Rd | 13 ++++++++--
|  man/dendlist.Rd         | 14 +++++++++++
|  man/plot.dendlist.Rd    | 34 -------------------------
|  man/set.Rd              |  1 +
|  9 files changed, 98 insertions(+), 60 deletions(-)

* 2014-09-22(Tal Galili) Fixing tests as well. (with as.hclust for sub dends. |bf0fd2b| 
|  NEWS                                |  2 +-
|  inst/tests/test-cutree.dendrogram.R | 86 +++++++++++++++++------------------
|  inst/tests/test-labels-assign.R     |  3 +-
|  3 files changed, 46 insertions(+), 45 deletions(-)

* 2014-09-22(Tal Galili) `order.dendrogram<-` - commenting off an example which (as of R 3.1.1-patched) produces an error (as it should). |4a672fa| 
|  DESCRIPTION                    |  4 ++--
|  NEWS                           | 10 ++++++++++
|  R/labels.R                     |  4 ++--
|  R/zzz.R                        |  1 +
|  man/order.dendrogram-assign.Rd |  4 ++--
|  5 files changed, 17 insertions(+), 6 deletions(-)

* 2014-09-20(Tal Galili) Added set.data.table - informs the user of the conflict in "set" between dendextend and data.table. |e167228| 
|  DESCRIPTION        |  5 +++--
|  NAMESPACE          |  1 +
|  NEWS               |  2 ++
|  R/set.dendrogram.R | 10 ++++++++++
|  man/set.Rd         |  2 ++
|  5 files changed, 18 insertions(+), 2 deletions(-)

* 2014-09-20(Tal Galili) added sessionInfo to VIGNETTE |f34c02a| 
|  NEWS                       | 8 ++++++++
|  vignettes/introduction.Rmd | 8 ++++++++
|  2 files changed, 16 insertions(+)

* 2014-08-26(Tal Galili) full name credit. |16ee14d| 
|  NEWS | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-08-26(Tal Galili) link to the bug report, and thanked varmara. |0e10459| 
|  NEWS | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-08-26(Tal Galili) color_labels - now can handle the coloring of labels when the function is without k and h, but that it is not possible to cut the tree to nleaves items (due to several leaves with 0 height). This is done by not doing any cutting in such cases, and just directly using labels_colors. (added tests) |734fe99| 
|  DESCRIPTION                     |  4 ++--
|  NEWS                            |  7 +++++++
|  R/color_branches.R              |  8 ++++++--
|  inst/tests/test-labels_colors.R | 35 +++++++++++++++++++++++++++++++++++
|  man/color_labels.Rd             |  3 ---
|  5 files changed, 50 insertions(+), 7 deletions(-)

* 2014-08-25(Tal Galili) Version 0.17.2 (updated NEWS DESCRIPTION, etc) |fa1dba2| 
|  DESCRIPTION |  4 ++--
|  NEWS        |  7 +++++--
|  NEWS.md     | 19 +++++++++++++++++--
|  TODO        | 11 ++++++++++-
|  4 files changed, 34 insertions(+), 7 deletions(-)

* 2014-08-25(Tal Galili) Add to introduction.Rmd how to install the package from github. |0ecf3af| 
|  README.md                  |  6 +-----
|  vignettes/introduction.Rmd | 40 ++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 41 insertions(+), 5 deletions(-)

* 2014-08-25(Tal Galili) Added the function assign_values_to_leaves_edgePar |8ff1d61| 
|  NAMESPACE                              |  1 +
|  R/attr_access.R                        | 92 +++++++++++++++++++++++++++++++-
|  man/assign_values_to_leaves_edgePar.Rd | 52 ++++++++++++++++++
|  3 files changed, 144 insertions(+), 1 deletion(-)

* 2014-08-23(Tal Galili) capitalize R Core Team |48b8f6d| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-08-23(Tal Galili) Added cor_bakers_gamma.dendlist |08e0276| 
|  NAMESPACE            | 1 +
|  NEWS                 | 6 +++++-
|  R/cor_bakers_gamma.R | 7 +++++++
|  TODO                 | 3 +++
|  4 files changed, 16 insertions(+), 1 deletion(-)

* 2014-08-23(Tal Galili) VIGNETTE Fix some typos and mistakes |33316b3| 
|  NEWS                       | 11 +++++++++--
|  vignettes/introduction.Rmd |  8 ++++----
|  2 files changed, 13 insertions(+), 6 deletions(-)

* 2014-08-19(Tal Galili) more editing, and thanks. |d47c870| 
|  NEWS    |  1 +
|  R/zzz.R | 29 +++++++++++++++++------------
|  2 files changed, 18 insertions(+), 12 deletions(-)

* 2014-08-19(Tal Galili) compacted ‘dendextend-tutorial.pdf’ from 725Kb to 551Kb |5944f4e| 
|  DESCRIPTION                      |   2 +-
|  NEWS                             |  15 +++++++++++++
|  NEWS.md                          |  15 +++++++++++++
|  R/zzz.R                          |  42 ++++++++++++++++++++++++++++++++++---
|  inst/doc/dendextend-tutorial.pdf | Bin 754947 -> 564592 bytes
|  5 files changed, 70 insertions(+), 4 deletions(-)

* 2014-08-19(Tal Galili) updated |6c952e3| 
|  ChangeLog | 37 +++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  4 ++++
|  2 files changed, 41 insertions(+)

* 2014-08-19(Tal Galili) Have the package build the vignette. |8653ed9| 
|  DESCRIPTION | 1 +
|  NEWS        | 1 +
|  2 files changed, 2 insertions(+)

* 2014-08-19(Tal Galili) Update the location of vignettes on github. |ec66fa0| 
|  README.md | 7 ++++---
|  1 file changed, 4 insertions(+), 3 deletions(-)

* 2014-08-19(Tal Galili) Fixed introduction.html to not overlap the bounderies of the code area. |7d47c9e| 
|  vignettes/introduction.Rmd | 37 ++++++++++++++++++++++++-------------
|  1 file changed, 24 insertions(+), 13 deletions(-)

* 2014-08-19(Tal Galili) Created a copy of "introduction.html" in inst/ignored (so people could see it on github) |0a1195a| 
|  .Rbuildignore                  |    7 +-
|  NEWS                           |    2 +-
|  inst/ignored/introduction.html | 1543 ++++++++++++++++++++++++++++++++++++++
|  3 files changed, 1549 insertions(+), 3 deletions(-)

* 2014-08-19(Tal Galili) Moved dendextend-tutorial.rnw to vignettes\disabled - so it is still there, but not compiled. Also moved dendextend-tutorial.pdf to inst\doc - so there is a copy of this older vignette, but without needed to run it with all the benchmarks... (it is also compressed) |5558f2c| 
|  NEWS                                       |    3 +
|  R/zzz.R                                    |    7 +-
|  inst/doc/dendextend-tutorial.pdf           |  Bin 0 -> 754947 bytes
|  vignettes/dendextend-tutorial.pdf          | 9793 --------------------------
|  vignettes/dendextend-tutorial.rnw          | 2024 ------
|  vignettes/disabled/dendextend-tutorial.rnw | 2024 ++++++
|  6 files changed, 2031 insertions(+), 11820 deletions(-)

* 2014-08-19(Tal Galili) erased file |a97af45| 
|  R/dendlist - Copy.R | 275 --------------------------------------------------
|  1 file changed, 275 deletions(-)

* 2014-08-19(Tal Galili) Update NEWS.md and ChangeLog before CRAN release. for 0.17.0 |4e47159| 
|  ChangeLog | 74 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   | 11 ++++++---
|  2 files changed, 82 insertions(+), 3 deletions(-)

* 2014-08-19(Tal Galili) Moved ggdendro, labeltodendro, dendroextras, ape to "Enhances:" in DESCRIPTION. (include fixing tests, and adding library - so to through errors in case the package is not available) |992d09d| 
|  DESCRIPTION              | 11 ++++++-----
|  NAMESPACE                |  1 -
|  NEWS                     |  2 +-
|  R/DendSer.R              |  2 +-
|  R/bk_method.R            |  2 +-
|  R/dendextend-package.R   |  2 +-
|  R/nleaves.R              |  6 +++---
|  R/prune.R                |  2 +-
|  R/pvclust.R              |  2 +-
|  R/rotate.R               |  2 +-
|  R/unbranch.R             |  2 +-
|  inst/tests/test-rotate.R |  2 +-
|  12 files changed, 18 insertions(+), 18 deletions(-)

* 2014-08-19(Tal Galili) Added spaces to docs |d4ce41a| 
|  man/as.dendlist.Rd | 22 ----------------------
|  1 file changed, 22 deletions(-)

* 2014-08-19(Tal Galili) new function: `rainbow_fun` - uses rainbow_hcl, or rainbow (if colorspace is not available) |f71d025| 
|  DESCRIPTION          |   2 +-
|  NEWS                 |   9 +-
|  R/branches_attr_by.R |   4 +-
|  R/color_branches.R   |  14 +--
|  R/colored_bars.R     |   1 +
|  R/dendlist - Copy.R  | 275 +++++++++++++++++++++++++++++++++++++++++++++++++
|  R/labels_colors.R    |   4 +-
|  R/rainbow_fun.R      |  33 ++++++
|  man/as.dendlist.Rd   |  22 ++++
|  man/colored_bars.Rd  |   1 +
|  10 files changed, 345 insertions(+), 20 deletions(-)

* 2014-08-19(Tal Galili) Break lines which were too long. |fd1f130| 
|  R/pvclust.R                         | 8 ++++++--
|  man/pvclust_show_signif.Rd          | 4 +++-
|  man/pvclust_show_signif_gradient.Rd | 4 +++-
|  3 files changed, 12 insertions(+), 4 deletions(-)

* 2014-08-19(Tal Galili) Added warn = dendextend_options("warn") to docs |94bd5f4| 
|  R/cutree.dendrogram.R | 5 +++--
|  man/cutree-methods.Rd | 5 +++--
|  2 files changed, 6 insertions(+), 4 deletions(-)

* 2014-08-19(Tal Galili) edgeText is not needed here. |9a4441e| 
|  R/get_nodes_xy.R | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2014-08-19(Tal Galili) laply -> lapply , and some tree to dend fixes. |4167e7b| 
|  R/untangle.R | 10 +++++-----
|  1 file changed, 5 insertions(+), 5 deletions(-)

* 2014-08-18(Tal Galili) paramters to parameters |b4097c8| 
|  DESCRIPTION                | 2 +-
|  vignettes/introduction.Rmd | 8 ++++----
|  2 files changed, 5 insertions(+), 5 deletions(-)

* 2014-08-18(Tal Galili) The following files are already in R: 'jss.bst', 'jss.cls' and I remove them from the package. |954508e| 
|  .Rbuildignore | 2 ++
|  1 file changed, 2 insertions(+)

* 2014-08-18(Tal Galili) all.unique to all_unique in the example. |a100582| 
|  R/color_branches.R | 10 +++++-----
|  man/all_unique.Rd  | 10 +++++-----
|  2 files changed, 10 insertions(+), 10 deletions(-)

* 2014-08-18(Tal Galili) Update various files |6bc8a22| 
|  .Rbuildignore        |   5 +-
|  ChangeLog            | 404 +++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION          |   2 +-
|  NEWS.md              |  52 +++++++
|  TODO                 |   8 +
|  vignettes/.gitignore |   3 +-
|  6 files changed, 470 insertions(+), 4 deletions(-)

* 2014-08-18(Tal Galili) cutree.hclust - added a dummy parameter |786c408| 
|  R/cutree.dendrogram.R | 1 +
|  1 file changed, 1 insertion(+)

* 2014-08-18(Tal Galili) Added a dendextendRcpp section. (and removed the not-working ggdendro section) |3d381da| 
|  vignettes/introduction.Rmd | 38 ++++++--------------------------------
|  1 file changed, 6 insertions(+), 32 deletions(-)

* 2014-08-18(Tal Galili) `cutree.dendrogram` - added a parameter (NA_to_0L) to control it. Also, make `Bk` work with cutree(NA_to_0L = FALSE) |b33a2a7| 
|  NEWS                  | 3 ++-
|  R/bk_method.R         | 4 ++--
|  R/cutree.dendrogram.R | 6 +++++-
|  man/cutree-methods.Rd | 4 ++++
|  4 files changed, 13 insertions(+), 4 deletions(-)

* 2014-08-18(Tal Galili) vignettes: Cophenetic correlation and Bk plots. |9cdc2d5| 
|  vignettes/introduction.Rmd | 133 ++++++++++++++++++++++++++++++++++++++++++-
|  1 file changed, 131 insertions(+), 2 deletions(-)

* 2014-08-18(Tal Galili) vignettes: Correlation measures - Baker's Gamma Index |b12f2df| 
|  vignettes/introduction.Rmd | 68 ++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 68 insertions(+)

* 2014-08-18(Tal Galili) vignettes: tanglegram |6666a97| 
|  vignettes/introduction.Rmd | 139 +++++++++++++++++++++++++++++++++++++++++--
|  1 file changed, 135 insertions(+), 4 deletions(-)

* 2014-08-18(Tal Galili) Fixing how the tests are printed by adding cat("\n") |6d5169c| 
|  inst/tests/test-entanglement.R | 3 +++
|  1 file changed, 3 insertions(+)

* 2014-08-18(Tal Galili) Test in set.dendrogram needed - dendextend_options("warn", TRUE) |576f951| 
|  inst/tests/test-set.dendrogram.R | 23 ++++++++++++++++++-----
|  1 file changed, 18 insertions(+), 5 deletions(-)

* 2014-08-18(Tal Galili) Test for Color recycling needed - dendextend_options("warn", TRUE) |006168a| 
|  inst/tests/test-labels_colors.R | 2 ++
|  1 file changed, 2 insertions(+)

* 2014-08-18(Tal Galili) Rename all.unique to all_unique |3411cc2| 
|  NAMESPACE                 |  3 ++-
|  NEWS                      |  4 ++--
|  R/color_branches.R        | 27 ++++++++++++++++++++-------
|  inst/tests/test-general.R |  9 +++++----
|  man/all.unique.Rd         | 32 --------------------------------
|  man/all_unique.Rd         | 32 ++++++++++++++++++++++++++++++++
|  6 files changed, 61 insertions(+), 46 deletions(-)

* 2014-08-18(Tal Galili) `cutree.dendrogram` - replaces NA values with 0L - adjust the tests. |49a4bd8| 
|  NEWS                                | 2 +-
|  inst/tests/test-cutree.dendrogram.R | 8 ++++----
|  2 files changed, 5 insertions(+), 5 deletions(-)

* 2014-08-18(Tal Galili)    * `untangle_step_rotate_1side` - added "leaves_matching_method" parameter.    * `entanglement.dendrogram` - changed the default of "leaves_matching_method" to be "labels" (slower, but safer for the user...) |f77b4b6| 
|  NEWS                              |  2 ++
|  R/entanglement.R                  |  7 ++++---
|  R/untangle.R                      | 37 ++++++++++++++++++++++++++++++-------
|  man/entanglement.Rd               |  7 ++++---
|  man/untangle_random_search.Rd     |  4 ++--
|  man/untangle_step_rotate_1side.Rd | 19 ++++++++++++++++++-
|  6 files changed, 60 insertions(+), 16 deletions(-)

* 2014-08-18(Tal Galili) tanglegram: Changed the deafult in cex_main to 2 |d02bd09| 
|  R/tanglegram.R    | 4 ++--
|  man/tanglegram.Rd | 2 +-
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2014-08-18(Tal Galili) `untangle` - has a default to method (DendSet) |424b02d| 
|  NEWS            | 1 +
|  R/untangle.R    | 9 +++++++--
|  man/untangle.Rd | 4 +++-
|  3 files changed, 11 insertions(+), 3 deletions(-)

* 2014-08-18(Tal Galili) `set.dendrogram` - added a "labels_to_char" option. |6f6f0cf| 
|  NEWS               | 1 +
|  R/set.dendrogram.R | 4 ++++
|  man/set.Rd         | 2 ++
|  3 files changed, 7 insertions(+)

* 2014-08-18(Tal Galili) vignettes: pvclust, and dendlist sections. |fe7206c| 
|  vignettes/introduction.Rmd | 72 ++++++++++++++++++++++++++++++++++++--------
|  1 file changed, 60 insertions(+), 12 deletions(-)

* 2014-08-18(Tal Galili) New function: `head.dendlist` |bd03014| 
|  NAMESPACE    |  1 +
|  NEWS         |  1 +
|  R/dendlist.R | 15 +++++++++++++++
|  3 files changed, 17 insertions(+)

* 2014-08-18(Tal Galili) update pvrect2 - if we'd ever want one with adjustable lower rects... |07866e2| 
|  R/pvclust.R | 15 ++++++++++++---
|  1 file changed, 12 insertions(+), 3 deletions(-)

* 2014-08-18(Tal Galili) Added pvrect2 - a copy of pvrect |185e6bf| 
|  R/pvclust.R | 109 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 109 insertions(+)

* 2014-08-18(Tal Galili) vignettes: "Enhancing other packages" examples for DendSer, gplots and dynamicTreeCut |69d0a52| 
|  vignettes/introduction.Rmd | 92 ++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 92 insertions(+)

* 2014-08-18(Tal Galili) Added is.infinite2 and used it so to avoid endless warnings over type coercion... |b778982| 
|  R/attr_access.R | 22 +++++++++++++++++-----
|  R/dendlist.R    |  2 +-
|  2 files changed, 18 insertions(+), 6 deletions(-)

* 2014-08-18(Tal Galili) `assign_values_to_branches_edgePar`, `assign_values_to_nodes_nodePar`, `assign_values_to_leaves_nodePar` - now ignores "Inf" also when it is a character by adding as.numeric (and not only if it is numeric!) (this might be a problem if someone would try to update a label with the name "Inf"). |a6a2a78| 
|  NEWS                             |  4 ++++
|  R/attr_access.R                  | 11 ++++++++---
|  R/branches_attr_by.R             |  2 +-
|  man/branches_attr_by_clusters.Rd |  2 +-
|  4 files changed, 14 insertions(+), 5 deletions(-)

* 2014-08-18(Tal Galili) A new test for `assign_values_to_branches_edgePar` - make sure it deals with Inf and "Inf". |9036ac1| 
|  inst/tests/test-branches_attr_by.R | 76 ++++++++++++++++++++++++++++++++++++
|  1 file changed, 76 insertions(+)

* 2014-08-17(Tal Galili) Made sure "rotate_DendSer" shows in the docs. |1409976| 
|  R/DendSer.R               | 6 +++---
|  man/DendSer.dendrogram.Rd | 2 +-
|  man/dendlist.Rd           | 2 +-
|  man/rotate_DendSer.Rd     | 2 +-
|  man/untangle_DendSer.Rd   | 2 +-
|  5 files changed, 7 insertions(+), 7 deletions(-)

* 2014-08-17(Tal Galili) Adding DendSer.R (moving functions into it) |c9f589b| 
|  NEWS         |   1 +
|  R/DendSer.R  | 130 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  R/untangle.R | 110 ------------------------------------------------
|  3 files changed, 131 insertions(+), 110 deletions(-)

* 2014-08-17(Tal Galili) vignettes: Adding extra bars and rectangles |9040574| 
|  vignettes/introduction.Rmd | 66 ++++++++++++++++++++++++++++++++++++++++++--
|  1 file changed, 64 insertions(+), 2 deletions(-)

* 2014-08-17(Tal Galili) `colored_bars` - fix for multiple bars to work. +have scale default be better for multiple bars. |2feadad| 
|  NEWS                |  3 ++-
|  R/colored_bars.R    | 28 ++++++++++++++++++++--------
|  man/colored_bars.Rd | 13 +++++++++----
|  3 files changed, 31 insertions(+), 13 deletions(-)

* 2014-08-16(Tal Galili) `rect.dendrogram` - Made sure the heights are working properly! |636a223| 
|  NEWS                |  1 +
|  R/rect.dendrogram.R | 22 +++++++++++++++-------
|  2 files changed, 16 insertions(+), 7 deletions(-)

* 2014-08-16(Tal Galili) rect.dendrogram - fix a bug with the location of the rect's (using "tree" and not "dend") |792929f| 
|  NEWS                | 2 +-
|  R/rect.dendrogram.R | 4 ++--
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2014-08-16(Tal Galili) `intersect_trees` - now returns a dendlist. |b2fa915| 
|  NEWS                   | 1 +
|  R/prune.R              | 4 ++--
|  man/intersect_trees.Rd | 2 +-
|  3 files changed, 4 insertions(+), 3 deletions(-)

* 2014-08-16(Tal Galili) Rename files: trim.R -> prune.R |83f6388| 
|  NEWS      |   1 +
|  R/prune.R | 253 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  R/trim.R  | 253 ------------------------------------------------------------
|  3 files changed, 254 insertions(+), 253 deletions(-)

* 2014-08-15(Tal Galili) Use "set" in order to not confuse the reader... |6e048d2| 
|  vignettes/introduction.Rmd | 30 ++++++++++++++++++++++--------
|  1 file changed, 22 insertions(+), 8 deletions(-)

* 2014-08-14(Tal Galili) Vignettes: Writing "Changing a dendrogram’s structure" |197d1fd| 
|  vignettes/introduction.Rmd | 64 ++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 64 insertions(+)

* 2014-08-14(Tal Galili) color_branches - warn of missing k only if warn=TRUE |f8677ba| 
|  R/color_branches.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-08-14(Tal Galili) vignettes: moved to dend15 and dend13. Wrote: * Setting a dendrogram's nodes/leaves (points) * Setting a dendrogram's branches |ffb1aaf| 
|  vignettes/introduction.Rmd | 226 +++++++++++++++++++++++++++++++------------
|  1 file changed, 164 insertions(+), 62 deletions(-)

* 2014-08-14(Tal Galili) `branches_attr_by_labels` now uses `dendextend_options("warn")` to decide if to print that labels were coerced into character. |a4fd3ef| 
|  NEWS                 | 1 +
|  R/branches_attr_by.R | 2 +-
|  2 files changed, 2 insertions(+), 1 deletion(-)

* 2014-08-14(Tal Galili) Fix headers. |a3e5f79| 
|  NEWS | 13 ++++++++-----
|  1 file changed, 8 insertions(+), 5 deletions(-)

* 2014-08-14(Tal Galili) `branches_attr_by_clusters` and `branches_attr_by_labels` - moved from using NA to Inf. |2f3f5df| 
|  NEWS                           |  1 +
|  R/branches_attr_by.R           | 16 ++++++++--------
|  man/branches_attr_by_labels.Rd |  4 ++--
|  3 files changed, 11 insertions(+), 10 deletions(-)

* 2014-08-14(Tal Galili) Move the function branches_attr_by_labels between two files |1e65ab0| 
|  NEWS                     |   2 +-
|  R/branches_attr_by.R     | 113 +++++++++++++++++++++++++++++++++++++++++++++
|  R/noded_with_condition.R | 101 ----------------------------------------
|  3 files changed, 114 insertions(+), 102 deletions(-)

* 2014-08-14(Tal Galili) Simplify the introduction, and use if for DESCRIPTION |4142dd9| 
|  DESCRIPTION                | 8 ++++++--
|  NEWS                       | 2 +-
|  vignettes/introduction.Rmd | 8 ++++----
|  3 files changed, 11 insertions(+), 7 deletions(-)

* 2014-08-14(Tal Galili) `colored_bars` - added defaults to make the bars be plotted bellow the labels (+allow the order of the bars to be based on the labels' order) |dc0b710| 
|  NEWS                |  1 +
|  R/colored_bars.R    | 28 ++++++++++++++++++++++++++--
|  man/colored_bars.Rd | 14 +++++++++++---
|  3 files changed, 38 insertions(+), 5 deletions(-)

* 2014-08-14(Tal Galili) `color_branches` - can now work when the labels of the tree are not unique (feature request by Heather Turner - thanks Heather :) ) |5722bcc| 
|  NEWS               |  5 +++--
|  R/color_branches.R | 13 +++++++++++++
|  2 files changed, 16 insertions(+), 2 deletions(-)

* 2014-08-14(Tal Galili) all.unique - check if all elements in a vector are unique (including tests) |0eb8327| 
|  NAMESPACE                 |  1 +
|  NEWS                      |  2 +-
|  R/color_branches.R        | 33 +++++++++++++++++++++++++++++++++
|  inst/tests/test-general.R | 14 ++++++++++++++
|  man/all.unique.Rd         | 32 ++++++++++++++++++++++++++++++++
|  5 files changed, 81 insertions(+), 1 deletion(-)

* 2014-08-14(Tal Galili) vignettes: Explaining depth-first search |b77bded| 
|  vignettes/introduction.Rmd | 153 ++++++++++++++++++++++++++++++++-----------
|  1 file changed, 115 insertions(+), 38 deletions(-)

* 2014-08-11(Tal Galili) Fix lower_rect in rect.dendrogram to work with horiz=TRUE |ac6e2f7| 
|  R/rect.dendrogram.R    | 5 ++++-
|  man/rect.dendrogram.Rd | 5 ++++-
|  2 files changed, 8 insertions(+), 2 deletions(-)

* 2014-08-11(Tal Galili) moving the date. |6d7eb14| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2014-08-11(Tal Galili) `rect.dendrogram` - a new xpd and lower_rect parameters - to control how low the rect will be (for example, below or above the labels). The default is below the labels. |f7e58f6| 
|  NEWS                   |  2 +-
|  R/rect.dendrogram.R    | 32 ++++++++++++++++++++++++++++----
|  man/rect.dendrogram.Rd | 19 ++++++++++++++++---
|  3 files changed, 45 insertions(+), 8 deletions(-)

* 2014-08-10(Tal Galili) Dealing with a missing/junk attribute |12f3566| 
|  R/attr_access.R               | 5 +----
|  inst/tests/test-attr_access.R | 3 +++
|  2 files changed, 4 insertions(+), 4 deletions(-)

* 2014-08-10(Tal Galili) `get_nodes_attr` - can now return an array or a list for attributes which include a more complex structure (such as nodePar), by working with lists and adding a "simplify" parameter. |f264362| 
|  NEWS                          |  1 +
|  R/attr_access.R               | 19 +++++++++++++++++--
|  inst/tests/test-attr_access.R |  8 +++++++-
|  man/get_nodes_attr.Rd         |  6 +++++-
|  4 files changed, 30 insertions(+), 4 deletions(-)

* 2014-08-10(Tal Galili) vignettes introduction: added a first draft of explaining depth first |a99955f| 
|  vignettes/introduction.Rmd | 36 +++++++++++++++++++++++++++++++++---
|  1 file changed, 33 insertions(+), 3 deletions(-)

* 2014-08-10(Tal Galili) get_nodes_xy - Get the x-y coordiantes of a dendrogram's nodes |28b8205| 
|  DESCRIPTION         |   4 +-
|  NAMESPACE           |   1 +
|  NEWS                |   5 +
|  R/get_nodes_xy.R    | 253 ++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/get_nodes_xy.Rd |  72 ++++++++++++++
|  5 files changed, 333 insertions(+), 2 deletions(-)

* 2014-08-09(Tal Galili) Changing a dendrogram’s labels |1c2c9d5| 
|  vignettes/introduction.Rmd | 108 +++++++++++++++++++++++++++++++++++++++----
|  1 file changed, 99 insertions(+), 9 deletions(-)

* 2014-08-09(Tal Galili) set.dendrogram - if "what" is missing, return the object as is. |27836ee| 
|  NEWS               | 3 ++-
|  R/set.dendrogram.R | 5 +++++
|  2 files changed, 7 insertions(+), 1 deletion(-)

* 2014-08-09(Tal Galili) set.dendrogram - changed from using `labels_colors<-` to `color_labels` for "labels_colors" (this will now work with using k...) |69c8bcf| 
|  NEWS               | 1 +
|  R/set.dendrogram.R | 3 ++-
|  2 files changed, 3 insertions(+), 1 deletion(-)

* 2014-08-09(Tal Galili) `labels<-.dendrogram` - if value is missing, returning the dendrogram as is (this also affects `set`) |0c9d5fb| 
|  NEWS       | 2 ++
|  R/labels.R | 6 ++++++
|  2 files changed, 8 insertions(+)

* 2014-08-09(Tal Galili) `labels_colors<-` - added if(dendextend_options("warn")) |0585aae| 
|  NEWS              | 1 +
|  R/labels_colors.R | 4 ++--
|  2 files changed, 3 insertions(+), 2 deletions(-)

* 2014-08-09(Tal Galili) set.dendrogram - added nodes_pch, nodes_cex and nodes_col - using `assign_values_to_nodes_nodePar` |c638422| 
|  NEWS               |  1 +
|  R/set.dendrogram.R | 12 ++++++++++++
|  man/set.Rd         |  6 ++++++
|  3 files changed, 19 insertions(+)

* 2014-08-08(Tal Galili) Moved Iris example to the end. And added explenation in the .Rd docs of the different possible options for "what" can get in set.dendrogram. |15c19b7| 
|  vignettes/introduction.Rmd | 160 +++++++++++++++++++++++++++----------------
|  1 file changed, 101 insertions(+), 59 deletions(-)

* 2014-08-08(Tal Galili) set.dendrogram - added explenation in the .Rd docs of the different possible options for "what" |8f65726| 
|  NEWS               |  1 +
|  R/set.dendrogram.R | 21 +++++++++++++++++++++
|  man/set.Rd         | 21 +++++++++++++++++++++
|  3 files changed, 43 insertions(+)

* 2014-08-08(Tal Galili) Added a d3 .Rd |1c70916| 
|  man/d3dendro_options.Rd | 40 ++++++++++++++++++++++++++++++++++++++++
|  man/d3dendrogram.Rd     | 47 +++++++++++++++++++++++++++++++++++++++++++++++
|  2 files changed, 87 insertions(+)

* 2014-08-08(Tal Galili) Introdution vignettes - wrote a decent: tl;dr and Prerequisites (acknowledgement, iris, chaining) |b46135b| 
|  DESCRIPTION                |  29 +++++-----
|  vignettes/introduction.Rmd | 131 +++++++++++++++++++++++++++++--------------
|  2 files changed, 104 insertions(+), 56 deletions(-)

* 2014-08-08(Tal Galili) `cutree.dendrogram` - now replaces NA values with 0L |2061c3e| 
|  NEWS                  | 1 +
|  R/cutree.dendrogram.R | 3 ++-
|  2 files changed, 3 insertions(+), 1 deletion(-)

* 2014-08-08(Tal Galili) `color_branches` - now handles flat trees more gracefully. (returns them as they are) |b999388| 
|  NEWS                  |  2 +-
|  R/color_branches.R    | 17 ++++++++++++++++-
|  man/color_branches.Rd | 12 +++++++++++-
|  3 files changed, 28 insertions(+), 3 deletions(-)

* 2014-08-08(Tal Galili) Include dendextend_options("warn", TRUE) in tests. |c2f7b68| 
|  R/cutree.dendrogram.R               | 4 ++--
|  inst/tests/test-cutree.dendrogram.R | 5 ++++-
|  inst/tests/test-unbranch.R          | 3 +++
|  man/untangle_step_rotate_2side.Rd   | 4 ++--
|  4 files changed, 11 insertions(+), 5 deletions(-)

* 2014-08-08(Tal Galili) untangle_step_rotate_2side` - print_times is now dendextend_options("warn"), |0da7c3f| 
|  NEWS         | 4 +++-
|  R/untangle.R | 2 +-
|  2 files changed, 4 insertions(+), 2 deletions(-)

* 2014-08-08(Tal Galili) Update .Rd docs, now that ALL `warn` paramteres are set to dendextend_options("warn") (which is FALSE) |6f4031f| 
|  man/Bk.Rd                                |  9 +++++----
|  man/Bk_permutations.Rd                   |  7 +++++--
|  man/Bk_plot.Rd                           | 10 ++++++----
|  man/FM_index.Rd                          |  6 ++++--
|  man/FM_index_R.Rd                        |  6 ++++--
|  man/FM_index_permutation.Rd              |  7 +++++--
|  man/FM_index_profdpm.Rd                  |  6 ++++--
|  man/assign_values_to_branches_edgePar.Rd | 10 ++++------
|  man/assign_values_to_leaves_nodePar.Rd   | 11 +++++------
|  man/assign_values_to_nodes_nodePar.Rd    | 10 ++++------
|  man/color_labels.Rd                      |  7 +++++--
|  man/cor_bakers_gamma.Rd                  |  6 ++++--
|  man/cut_lower_fun.Rd                     |  8 +++++---
|  man/cutree-methods.Rd                    |  6 ++++--
|  man/cutree_1h.dendrogram.Rd              |  6 ++++--
|  man/cutree_1k.dendrogram.Rd              |  8 +++++---
|  man/dendextend_options.Rd                |  6 ++++++
|  man/get_branches_attr.Rd                 |  7 +++++--
|  man/intersect_trees.Rd                   |  8 +++++---
|  man/sort_2_clusters_vectors.Rd           |  6 ++++--
|  man/sort_levels_values.Rd                |  8 +++++---
|  man/tanglegram.Rd                        |  5 +++--
|  22 files changed, 101 insertions(+), 62 deletions(-)

* 2014-08-08(Tal Galili) ALL `warn` paramteres are no set to dendextend_options("warn") (which is FALSE) |bb759ff| 
|  NEWS                  |  6 ++++++
|  R/attr_access.R       | 30 ++++++++++++-----------------
|  R/bk_method.R         | 50 +++++++++++++++++++++++++++++++------------------
|  R/color_branches.R    | 10 ++++++----
|  R/cor_bakers_gamma.R  | 10 ++++++----
|  R/cor_cophenetic.R    |  2 +-
|  R/cut_lower_fun.R     | 10 ++++++----
|  R/cutree.dendrogram.R | 36 +++++++++++++++++++++--------------
|  R/tanglegram.R        | 11 ++++++-----
|  R/trim.R              |  8 +++++---
|  10 files changed, 102 insertions(+), 71 deletions(-)

* 2014-08-08(Tal Galili) `get_branches_attr` - change "warning" to "warn", and it now works with is.dendrogram, and no longer changes the class of something which is not a dendrogram. |73e4ad0| 
|  R/unbranch.R | 14 ++++++++------
|  1 file changed, 8 insertions(+), 6 deletions(-)

* 2014-08-08(Tal Galili) A new "warn" dendextend_options parameter. logical (FALSE). Should warning be issued? |d491d43| 
|  R/dendextend_options.R | 8 ++++++++
|  1 file changed, 8 insertions(+)

* 2014-08-08(Tal Galili) dendextend_options.R - moved `dendextend_options` functions to it. |8e33740| 
|  NEWS                   |   8 ++++
|  R/dendextend_options.R | 110 +++++++++++++++++++++++++++++++++++++++++++++++
|  R/zzz.R                |  88 -------------------------------------
|  3 files changed, 118 insertions(+), 88 deletions(-)

* 2014-08-07(Tal Galili) A new draft for introduction.Rmd Vignettes |ddc69d9| 
|  vignettes/introduction.Rmd | 187 +++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 187 insertions(+)

* 2014-08-06(Tal Galili) Added pvclust - bump to 0.16.4 |e4cca44| 
|  ChangeLog   | 120 ++++++++++++++++++++++++
|  DESCRIPTION |   5 +-
|  NEWS.md     | 297 +++++++++++++++++++++++++++++++++-------------------------
|  3 files changed, 290 insertions(+), 132 deletions(-)

* 2014-08-06(Tal Galili) NEW FUNCTIONS:    * `as.dendrogram.pvclust` - extract the hclust from a pvclust object, and turns it into a dendrogram.    * `hc2axes` - imported from pvclust, needed for text.pvclust    * `text.pvclust` - imported from pvclust, adds text to a dend plot of a pvclust result    * `pvclust_show_signif` - Shows the significant branches in a dendrogram, based on a pvclust object    * `pvclust_show_signif_gradient` - Shows the gradient of significance of branches in a dendrogram, based on a pvclust object |5677850| 
|  NAMESPACE                           |   4 +
|  NEWS                                |  16 ++
|  R/pvclust.R                         | 281 ++++++++++++++++++++++++++++++++--
|  man/pvclust_show_signif.Rd          |  65 ++++++++
|  man/pvclust_show_signif_gradient.Rd |  58 +++++++
|  5 files changed, 412 insertions(+), 12 deletions(-)

* 2014-08-06(Tal Galili) Move from is.finite to !is.infinite - so to be able to handle characters and not just numbers! |c00faa7| 
|  R/attr_access.R | 6 +++---
|  1 file changed, 3 insertions(+), 3 deletions(-)

* 2014-08-06(Tal Galili)  `assign_values_to_leaves_nodePar`, `assign_values_to_nodes_nodePar`, `assign_values_to_branches_edgePar` - If the value has `Inf` (instead of NA!) then the value will not be changed. |d44661d| 
|  R/attr_access.R                          | 16 +++++++---------
|  inst/tests/test-set.dendrogram.R         |  8 ++++----
|  man/assign_values_to_branches_edgePar.Rd |  4 +---
|  man/assign_values_to_leaves_nodePar.Rd   |  2 +-
|  man/assign_values_to_nodes_nodePar.Rd    |  6 +++---
|  5 files changed, 16 insertions(+), 20 deletions(-)

* 2014-08-06(Tal Galili) Version bump to 0.16.3 |91b0884| 
|  DESCRIPTION | 9 +++++----
|  1 file changed, 5 insertions(+), 4 deletions(-)

* 2014-08-06(Tal Galili) `assign_values_to_nodes_nodePar` - Assign values to nodePar of dendrogram's nodes |5dbfb56| 
|  NAMESPACE                              |   2 +-
|  NEWS                                   |   6 ++
|  R/attr_access.R                        | 116 +++++++++++++++++++++++++++++--
|  man/assign_values_to_leaves_nodePar.Rd |   6 +-
|  man/assign_values_to_nodes_nodePar.Rd  |  55 +++++++++++++++
|  5 files changed, 177 insertions(+), 8 deletions(-)

* 2014-08-06(Tal Galili) NEWS - updated to use header 2 and 3 instead of 1 and 2 for the markdown version. |a025624| 
|  NEWS | 271 +++++++++++++++++++++++++++++++++--------------------------------
|  1 file changed, 139 insertions(+), 132 deletions(-)

* 2014-08-06(mark) removed export directive |09030d7| 
|  R/d3dendrogram.R | 1 -
|  1 file changed, 1 deletion(-)

* 2014-08-06(mark) Added and documented global options |bfc2809| 
|  NAMESPACE        |  1 +
|  R/d3dendrogram.R | 96 ++++++++++++++++++++++++++++++++++++++++++------------
|  R/zzz.R          |  3 ++
|  3 files changed, 79 insertions(+), 21 deletions(-)

* 2014-08-06(mark) d3dendrogram accepts global options, e.g. node_fill |2d39826| 
|  R/d3dendrogram.R | 89 +++++++++++++++++++++++++++++++++++-------------------
|  1 file changed, 58 insertions(+), 31 deletions(-)

* 2014-08-06(mark) d3dendrogram now opens in (RStudio) viewer by default |10a64b3| 
|  R/d3dendrogram.R | 33 ++++++++++++++++++++++-----------
|  1 file changed, 22 insertions(+), 11 deletions(-)

* 2014-07-29(Tal Galili) require -> library (Thanks Yihui: http://yihui.name/en/2014/07/library-vs-require/) |e676951| 
|  DESCRIPTION                         |  4 +--
|  NEWS                                |  8 ++++++
|  R/as.dendrogram.randomForest.R      |  2 +-
|  R/attr_access.R                     |  6 ++---
|  R/bk_method.R                       |  4 +--
|  R/branches_attr_by.R                |  8 +++---
|  R/color_branches.R                  | 10 ++++----
|  R/colored_bars.R                    |  6 ++---
|  R/cor_bakers_gamma.R                |  4 +--
|  R/cor_cophenetic.R                  |  2 +-
|  R/cut_lower_fun.R                   |  8 +++---
|  R/cutree.dendrogram.R               | 10 ++++----
|  R/d3dendrogram.R                    |  6 ++---
|  R/nleaves.R                         |  8 +++---
|  R/noded_with_condition.R            | 12 ++++-----
|  R/pvclust.R                         |  4 +--
|  R/rotate.R                          |  6 ++---
|  R/set.dendrogram.R                  |  2 +-
|  R/trim.R                            |  2 +-
|  R/unbranch.R                        |  2 +-
|  R/untangle.R                        | 20 +++++++--------
|  R/zzz.R                             | 10 ++++----
|  TODO                                |  4 +++
|  demo/dendextend.R                   |  2 +-
|  inst/tests/test-attr_access.R       |  4 +--
|  inst/tests/test-bk_method.R         |  2 +-
|  inst/tests/test-cor_bakers_gamma.R  |  2 +-
|  inst/tests/test-cor_cophenetic.R    |  2 +-
|  inst/tests/test-cut_lower_fun.R     |  8 +++---
|  inst/tests/test-cutree.dendrogram.R |  8 +++---
|  inst/tests/test-dendlist.R          |  2 +-
|  inst/tests/test-entanglement.R      |  4 +--
|  inst/tests/test-labels-assign.R     |  2 +-
|  inst/tests/test-nleaves.R           |  2 +-
|  inst/tests/test-rotate.R            |  4 +--
|  inst/tests/test-set.dendrogram.R    | 10 ++++----
|  inst/tests/test-trim.R              |  4 +--
|  inst/tests/test-untangle.R          |  4 +--
|  man/DendSer.dendrogram.Rd           |  2 +-
|  man/FM_index.Rd                     |  2 +-
|  man/FM_index_permutation.Rd         |  2 +-
|  man/branches_attr_by_clusters.Rd    |  6 ++---
|  man/branches_attr_by_labels.Rd      |  4 +--
|  man/color_branches.Rd               |  6 ++---
|  man/cor_bakers_gamma.Rd             |  2 +-
|  man/cor_cophenetic.Rd               |  2 +-
|  man/cut_lower_fun.Rd                |  6 ++---
|  man/cutree-methods.Rd               |  2 +-
|  man/cutree_1h.dendrogram.Rd         |  2 +-
|  man/cutree_1k.dendrogram.Rd         |  2 +-
|  man/get_branches_heights.Rd         |  4 +--
|  man/get_nodes_attr.Rd               |  2 +-
|  man/heights_per_k.dendrogram.Rd     |  2 +-
|  man/na_locf.Rd                      |  4 +--
|  man/noded_with_condition.Rd         |  4 +--
|  man/rotate_DendSer.Rd               |  2 +-
|  man/set.Rd                          |  2 +-
|  man/which_leaf.Rd                   |  4 +--
|  vignettes/dendextend-tutorial.rnw   | 48 +++++++++++++++++------------------
|  59 files changed, 165 insertions(+), 153 deletions(-)

* 2014-07-26(Tal Galili) ChangeLog |2257d2c| 
|  ChangeLog | 20 ++++++++++++++++++++
|  1 file changed, 20 insertions(+)

* 2014-07-26(Tal Galili) Comment out example code that won't run. |f39d69e| 
|  NEWS.md     |   7 ++
|  R/pvclust.R | 242 +++++++++++++++++++++++++++++-----------------------------
|  2 files changed, 128 insertions(+), 121 deletions(-)

* 2014-07-26(Tal Galili) Fix: \examples lines wider than 100 characters |051eab6| 
|  DESCRIPTION                      |  2 +-
|  NEWS                             |  7 +++++++
|  R/branches_attr_by.R             |  3 ++-
|  R/noded_with_condition.R         | 30 ++++++++++++++++++++++--------
|  man/branches_attr_by_clusters.Rd |  3 ++-
|  man/branches_attr_by_labels.Rd   | 24 ++++++++++++++++++------
|  man/noded_with_condition.Rd      |  4 +++-
|  7 files changed, 55 insertions(+), 18 deletions(-)

* 2014-07-26(Tal Galili) Update NEWS and ChangeLog |9cd933b| 
|  ChangeLog | 47 +++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  8 ++++++--
|  2 files changed, 53 insertions(+), 2 deletions(-)

* 2014-07-26(Tal Galili) added a pvclust example (using a condition on p-value, and heighlighting branches based on that with lwd/col.) |cbbaae3| 
|  NEWS        |   2 +
|  R/pvclust.R | 121 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  TODO        |   1 -
|  3 files changed, 123 insertions(+), 1 deletion(-)

* 2014-07-26(Tal Galili) `na_locf` - Fill Last Observation Carried Forward |5e764d7| 
|  DESCRIPTION    |  2 +-
|  NAMESPACE      |  1 +
|  NEWS           |  4 +--
|  R/pvclust.R    | 92 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  man/na_locf.Rd | 57 +++++++++++++++++++++++++++++++++++
|  5 files changed, 153 insertions(+), 3 deletions(-)

* 2014-07-26(Tal Galili) `which_leaf` - a new function to tell us Which node is a leaf |3658216| 
|  NAMESPACE                |  1 +
|  NEWS                     |  1 +
|  R/noded_with_condition.R | 35 +++++++++++++++++++++++++++++++++++
|  TODO                     |  1 +
|  man/which_leaf.Rd        | 40 ++++++++++++++++++++++++++++++++++++++++
|  5 files changed, 78 insertions(+)

* 2014-07-26(Tal Galili) `assign_values_to_branches_edgePar` - allow the option to skip leaves |9ec9e1d| 
|  NEWS                                     |  1 +
|  R/attr_access.R                          | 10 ++++++++--
|  man/assign_values_to_branches_edgePar.Rd |  5 ++++-
|  3 files changed, 13 insertions(+), 3 deletions(-)

* 2014-07-26(Tal Galili) branches_attr_by_labels - if dend is not a dendrogram, we should stop and not warn! |591c3b9| 
|  R/noded_with_condition.R | 6 +++++-
|  1 file changed, 5 insertions(+), 1 deletion(-)

* 2014-07-25(Tal Galili) various doc updates. |a8863ab| 
|  ChangeLog                        | 203 +++++++++++++++++++++++++++++++++++++
|  NEWS.md                          |  60 ++++++++++-
|  R/branches_attr_by.R             |   1 +
|  TODO                             |   6 +-
|  man/branches_attr_by_clusters.Rd |   1 +
|  5 files changed, 267 insertions(+), 4 deletions(-)

* 2014-07-25(Tal Galili) Added import for "whisker" for d3dendrogram. |426bd4a| 
|  DESCRIPTION            | 1 +
|  NAMESPACE              | 1 +
|  R/d3dendrogram.R       | 3 ++-
|  R/dendextend-package.R | 1 +
|  4 files changed, 5 insertions(+), 1 deletion(-)

* 2014-07-25(Tal Galili) Updated TODO :) |82524ce| 
|  TODO | 4 ----
|  1 file changed, 4 deletions(-)

* 2014-07-25(Tal Galili) Added ref to plotDendroAndColors |81e15ee| 
|  R/branches_attr_by.R             | 3 ++-
|  R/colored_bars.R                 | 4 ++--
|  man/branches_attr_by_clusters.Rd | 3 ++-
|  man/colored_bars.Rd              | 3 ++-
|  4 files changed, 8 insertions(+), 5 deletions(-)

* 2014-07-25(Tal Galili) For now - version 0.16.0 |4c13ada| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-07-25(Tal Galili) branches_attr_by_clusters - modified the example in the docs a bit (using the original dist matrix for the cutreeDynamic). |04ffde4| 
|  R/branches_attr_by.R             | 16 +++++++++-------
|  man/branches_attr_by_clusters.Rd | 16 +++++++++-------
|  2 files changed, 18 insertions(+), 14 deletions(-)

* 2014-07-25(Tal Galili) `colored_bars` - update docs |6283ece| 
|  NEWS                | 2 +-
|  R/colored_bars.R    | 9 +++++++--
|  man/colored_bars.Rd | 3 +++
|  3 files changed, 11 insertions(+), 3 deletions(-)

* 2014-07-25(Tal Galili) `branches_attr_by_labels` - change the order of some parameters (based on how much I expect users to use each of them.) |efd8c42| 
|  NEWS                           |  1 +
|  R/noded_with_condition.R       | 11 ++++++-----
|  man/branches_attr_by_labels.Rd | 16 +++++++++-------
|  3 files changed, 16 insertions(+), 12 deletions(-)

* 2014-07-25(Tal Galili) Added branches_attr_by_clusters - This function was designed to enable the manipulation (mainly coloring) of branches, based on the results from the cutreeDynamic function (from the {dynamicTreeCut} package). |cf18ef3| 
|  NAMESPACE                        |   1 +
|  NEWS                             |   8 +-
|  R/branches_attr_by.R             | 182 +++++++++++++++++++++++++++++++++++++
|  man/branches_attr_by_clusters.Rd | 111 ++++++++++++++++++++++
|  4 files changed, 300 insertions(+), 2 deletions(-)

* 2014-07-25(Tal Galili) colored_bars - change the order of colors and dend, and allowing for dend to be missing. |4e85359| 
|  NEWS                |  4 ++++
|  R/colored_bars.R    | 19 ++++++++++++-------
|  man/colored_bars.Rd |  7 ++++---
|  3 files changed, 20 insertions(+), 10 deletions(-)

* 2014-07-25(Tal Galili) assign_values_to_branches_edgePar - now can keep existing value, if gets NA. |0c29c7b| 
|  DESCRIPTION                              | 4 ++--
|  NEWS                                     | 8 ++++++++
|  R/attr_access.R                          | 9 ++++++++-
|  R/noded_with_condition.R                 | 8 ++++++--
|  man/assign_values_to_branches_edgePar.Rd | 4 ++++
|  man/branches_attr_by_labels.Rd           | 5 +++--
|  6 files changed, 31 insertions(+), 7 deletions(-)

* 2014-07-24(talgalili) minor fixes |f0306e8| 
|  README.md | 6 ++++--
|  1 file changed, 4 insertions(+), 2 deletions(-)

* 2014-07-24(talgalili) Add options to the methods. |922befd| 
|  R/set.dendrogram.R | 3 +++
|  man/set.Rd         | 3 +++
|  2 files changed, 6 insertions(+)

* 2014-07-24(talgalili) In the docs: \dontrun { -> \dontrun{ |76e215f| 
|  R/noded_with_condition.R       | 4 ++--
|  man/branches_attr_by_labels.Rd | 2 +-
|  man/noded_with_condition.Rd    | 2 +-
|  3 files changed, 4 insertions(+), 4 deletions(-)

* 2014-07-24(talgalili) make package installation easier |859ad72| 
|  README.md | 14 ++++++++------
|  1 file changed, 8 insertions(+), 6 deletions(-)

* 2014-07-24(talgalili) Updated DESCRIPTION and NEWS to version 0.15.2 |069acdf| 
|  DESCRIPTION |  5 +++--
|  NEWS        | 11 ++++++++++-
|  2 files changed, 13 insertions(+), 3 deletions(-)

* 2014-07-24(talgalili) set.dendrogram - added new options: by_labels_branches_col, by_labels_branches_lwd, by_labels_branches_lty |0e4e414| 
|  R/set.dendrogram.R | 38 +++++++++++++++++++++++++++++++++++++-
|  man/set.Rd         | 31 ++++++++++++++++++++++++++++++-
|  2 files changed, 67 insertions(+), 2 deletions(-)

* 2014-07-24(talgalili) NEW FUNCTIONS:    * `noded_with_condition` - Find which nodes satisfies a condition    * `branches_attr_by_labels` - Change col/lwd/lty of branches matching labels condition |1c59527| 
|  NAMESPACE                      |   2 +
|  R/noded_with_condition.R       | 184 +++++++++++++++++++++++++++++++++++++++
|  man/branches_attr_by_labels.Rd |  56 ++++++++++++
|  man/noded_with_condition.Rd    |  61 +++++++++++++
|  4 files changed, 303 insertions(+)

* 2014-07-24(talgalili) Minor fixes to get the package to work. Also added some credit, and a more robust installation code to README.md (so it would work on non-Windows OS better) |53046d2| 
|  DESCRIPTION                | 3 ++-
|  README.md                  | 6 ++++--
|  dendextend.Rproj           | 2 +-
|  man/identify.dendrogram.Rd | 2 +-
|  4 files changed, 8 insertions(+), 5 deletions(-)

* 2014-07-24(talgalili) Fix malformed character. |5931a29| 
|  R/zzz.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-07-24(talgalili) Fix malformed character. |8126b0d| 
|  R/rect.dendrogram.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2014-07-19(Tal Galili) Added Mark van der Loo's first version of d3dendrogram |590e0d7| 
|  R/d3dendrogram.R | 198 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 198 insertions(+)

* 2014-07-19(Tal Galili) Added a heatmap.2 example to set.dendrogram |ce47f54| 
|  R/set.dendrogram.R | 28 ++++++++++++++++++++++++++++
|  man/set.Rd         | 28 ++++++++++++++++++++++++++++
|  2 files changed, 56 insertions(+)

* 2014-07-18(Tal Galili) `rect.dendrogram` - adding paramters for creating text under the clusters, as well as make it easier to plot lines on the rect (density = 7). props to skullkey for his help. |8706a7d| 
|  NEWS                   |  7 +++++++
|  R/rect.dendrogram.R    | 39 +++++++++++++++++++++++++++++++++++----
|  TODO                   | 12 +++++++-----
|  man/rect.dendrogram.Rd | 29 ++++++++++++++++++++++++++++-
|  4 files changed, 77 insertions(+), 10 deletions(-)

* 2014-07-16(Tal Galili) identify.dendrogram - function and docs added. (it might be a bit buggy...) |941521e| 
|  NAMESPACE                  |  1 +
|  NEWS                       |  2 ++
|  R/rect.dendrogram.R        | 78 +++++++++++++++++++++++++++++++++++++++-----
|  man/identify.dendrogram.Rd | 69 +++++++++++++++++++++++++++++++++++++++
|  4 files changed, 141 insertions(+), 9 deletions(-)

* 2014-07-16(Tal Galili) `rect.dendrogram` - just like `rect.hclust`, plus: works for dendrograms, passes `...` to rect for lwd lty etc, now has an horiz parameter! |b290b8b| 
|  NAMESPACE              |   1 +
|  NEWS                   |  11 ++--
|  R/labels.R             |   2 +-
|  R/rect.dendrogram.R    | 136 +++++++++++++++++++++++++++++++++++++++++++----
|  man/rect.dendrogram.Rd |  70 ++++++++++++++++++++++++
|  5 files changed, 206 insertions(+), 14 deletions(-)

* 2014-07-16(Tal Galili) rect.dendrogram - started working on the function. (we start with rect.hclust, and move from there) |3c8aa38| 
|  R/rect.dendrogram.R | 60 +++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 60 insertions(+)

* 2014-07-16(Tal Galili) order.hclust (new function) - Ordering of the Leaves in a hclust Dendrogram |224f9a0| 
|  NAMESPACE           |  1 +
|  NEWS                |  3 +++
|  R/dendextend.R      |  1 -
|  R/labels.R          | 28 ++++++++++++++++++++++++++++
|  man/order.hclust.Rd | 33 +++++++++++++++++++++++++++++++++
|  5 files changed, 65 insertions(+), 1 deletion(-)

* 2014-07-15(Tal Galili) Rename 2 file names from add->set (set.dendrogram.R and tests-set.dendrogram.R) |6b14d4b| 
|  DESCRIPTION                      |   4 +-
|  NEWS                             |  10 ++
|  R/add.dendrogram.R               | 212 -------------------------------------
|  R/set.dendrogram.R               | 212 +++++++++++++++++++++++++++++++++++++
|  inst/tests/test-add.dendrogram.R | 143 -------------------------
|  inst/tests/test-set.dendrogram.R | 143 +++++++++++++++++++++++++
|  6 files changed, 367 insertions(+), 357 deletions(-)

* 2014-07-15(Tal Galili) Rename from "add" to "set"! |fb77b15| 
|  NAMESPACE                        |   6 +-
|  R/add.dendrogram.R               | 109 ++++++++++++++---------------
|  inst/tests/test-add.dendrogram.R |  46 ++++++-------
|  man/add.Rd                       | 137 -------------------------------------
|  man/set.Rd                       | 137 +++++++++++++++++++++++++++++++++++++
|  5 files changed, 216 insertions(+), 219 deletions(-)

* 2014-07-15(Tal Galili) Rename files - from update to add |e08cccb| 
|  NEWS                                |   7 +-
|  R/add.dendrogram.R                  | 215 ++++++++++++++++++++++++++++++++++
|  R/update.dendrogram.R               | 215 ----------------------------------
|  inst/tests/test-add.dendrogram.R    | 143 ++++++++++++++++++++++
|  inst/tests/test-update.dendrogram.R | 143 ----------------------
|  5 files changed, 362 insertions(+), 361 deletions(-)

* 2014-07-15(Tal Galili) Changed "update" to be "add". To make it easier to read and write... |cd72d1e| 
|  NAMESPACE                           |   5 +-
|  R/update.dendrogram.R               | 118 ++++++++++++++++-------------
|  R/zzz.R                             |   5 ++
|  inst/tests/test-update.dendrogram.R |  46 ++++++------
|  man/add.Rd                          | 137 ++++++++++++++++++++++++++++++++++
|  man/update.dendrogram.Rd            | 135 ---------------------------------
|  6 files changed, 233 insertions(+), 213 deletions(-)

* 2014-07-15(Tal Galili) update: change "with" to "value" (probably a better name for this parameter) |e9f44e6| 
|  R/update.dendrogram.R    | 34 +++++++++++++++++-----------------
|  man/update.dendrogram.Rd |  6 +++---
|  2 files changed, 20 insertions(+), 20 deletions(-)

* 2014-07-14(Tal Galili) is_null_list - making the example donotrun. Reason: I can run this only if I'd make is_null_list exported |d7cfcac| 
|  R/dendlist.R        | 4 ++++
|  TODO                | 1 +
|  man/is_null_list.Rd | 4 ++++
|  3 files changed, 9 insertions(+)

* 2014-07-14(Tal Galili) Updated some docs. |2b98871| 
|  ChangeLog    | 77 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION  |  2 +-
|  NEWS         |  2 +-
|  NEWS.md      |  8 ++++--
|  R/magrittr.R | 10 ++++++++
|  R/zzz.R      |  1 +
|  TODO         |  1 -
|  7 files changed, 96 insertions(+), 5 deletions(-)

* 2014-07-14(Tal Galili) Minor doc fixed for: cor_cophenetic, entanglement. as.phylo.dendrogram, untangle.dendlist, and labels.hclust (which required the use of @rdname) |30c5277| 
|  R/cor_cophenetic.R     |  7 +++++--
|  R/dendextend-package.R |  8 ++++++++
|  R/entanglement.R       |  6 +++---
|  R/nleaves.R            |  6 ++----
|  R/untangle.R           |  5 +++--
|  man/cor_cophenetic.Rd  |  4 +++-
|  man/entanglement.Rd    |  4 ++--
|  man/labels-assign.Rd   |  9 +++++++++
|  man/labels.hclust.Rd   | 11 -----------
|  man/shuffle.Rd         |  1 +
|  man/untangle.Rd        |  2 +-
|  11 files changed, 37 insertions(+), 26 deletions(-)

* 2014-07-14(Tal Galili) Added an internal function "zero_range" |58cf6bc| 
|  R/colored_bars.R | 19 +++++++++++++++++++
|  1 file changed, 19 insertions(+)

* 2014-07-14(Tal Galili) Change "" to `` when wrapping a function of style `fo<-`, so to have RStudio pick up on it. |bdca139| 
|  R/labels.R | 24 ++++++++++++++----------
|  1 file changed, 14 insertions(+), 10 deletions(-)

* 2014-07-14(Tal Galili) Moved {magrittr} to the "Imports" section in DESCRIPTION. And imported the %>% function from magrittr (using a trick from the dplyr package) |f2bb8be| 
|  DESCRIPTION  |  4 ++--
|  NAMESPACE    |  3 ++-
|  NEWS         |  3 +++
|  R/magrittr.R | 43 +++++++++++++++++++++++++++++++++++++++++++
|  man/pipe.Rd  | 32 ++++++++++++++++++++++++++++++++
|  5 files changed, 82 insertions(+), 3 deletions(-)

* 2014-07-14(Tal Galili) roxygen2 - Moved from using @S3method to @export (removed 45 warnings from check() ) |e036f50| 
|  NEWS                  |  3 ++-
|  R/cor_bakers_gamma.R  |  6 ++++--
|  R/cutree.dendrogram.R |  4 ++--
|  R/entanglement.R      | 12 ++++++++----
|  R/labels.R            | 12 ++++++------
|  R/nleaves.R           | 27 +++++++++++++++++----------
|  R/rotate.R            | 18 ++++++++++++------
|  R/tanglegram.R        | 12 ++++++++----
|  R/trim.R              |  9 ++++++---
|  R/unbranch.R          |  9 ++++++---
|  R/untangle.R          | 18 ++++++++++++------
|  R/update.dendrogram.R |  3 ++-
|  R/zzz.R               |  1 +
|  TODO                  |  4 ++++
|  man/labels.hclust.Rd  | 11 +++++++++++
|  15 files changed, 101 insertions(+), 48 deletions(-)

* 2014-07-14(Tal Galili) untangle.dendrogram - fix doc, and add \n to massage |0f2afed| 
|  R/untangle.R                      | 4 ++--
|  man/untangle_step_rotate_2side.Rd | 2 +-
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2014-07-14(Tal Galili) Replace expect_that with expect_equal |8a27370| 
|  inst/tests/test-labels-assign.R | 49 +++++++++++++++++++++------------------
|  1 file changed, 27 insertions(+), 22 deletions(-)

* 2014-07-14(Tal Galili) tests - add an option to stop the warnings (I know they are there, so really no point in them keep showing up...) |4862624| 
|  inst/tests/test-update.dendrogram.R | 7 +++++++
|  1 file changed, 7 insertions(+)

* 2014-07-14(Tal Galili) add ` to functions in NEWS |ece7863| 
|  NEWS    | 36 ++++++++++++++++++------------------
|  NEWS.md | 36 ++++++++++++++++++------------------
|  2 files changed, 36 insertions(+), 36 deletions(-)

* 2014-07-14(Tal Galili) Turn news to be more marked down... |b231b9b| 
|  NEWS    | 230 +++++++++++++++++++++++++++++++-------------------------------
|  NEWS.md | 230 +++++++++++++++++++++++++++++++-------------------------------
|  2 files changed, 230 insertions(+), 230 deletions(-)

* 2014-07-14(Tal Galili) update NEWS.md and changelog |5f206dd| 
|  ChangeLog | 232 ++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   | 265 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
|  R/zzz.R   |   4 +-
|  3 files changed, 479 insertions(+), 22 deletions(-)

* 2014-07-14(Tal Galili) Updated the README a bit. |8d6bb95| 
|  README.md | 37 +++++++------------------------------
|  1 file changed, 7 insertions(+), 30 deletions(-)

* 2014-07-14(Tal Galili) add .gitignore to not keep the cache and figure folders |5a4028c| 
|  vignettes/.gitignore | 2 ++
|  1 file changed, 2 insertions(+)

* 2014-07-14(Tal Galili) update TODO and ChangeLog |99430e2| 
|  ChangeLog | 400 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  TODO      |  25 ++++
|  2 files changed, 425 insertions(+)

* 2014-07-14(Tal Galili) Remove all extra doc files |8a3a863| 
|  inst/doc/2013-09-05_Boston-useR/.gitignore        |    4 -
|  .../precip_dend_plot_1.png                        |  Bin 3665 -> 0 bytes
|  .../precip_dend_plot_2.png                        |  Bin 3715 -> 0 bytes
|  .../precip_subset__hclust_single_plot.png         |  Bin 3900 -> 0 bytes
|  .../precip_subset__hclust_single_plot_rect.png    |  Bin 3833 -> 0 bytes
|  .../unnamed-chunk-17.png                          |  Bin 5737 -> 0 bytes
|  .../unnamed-chunk-19.png                          |  Bin 7510 -> 0 bytes
|  .../unnamed-chunk-21.png                          |  Bin 3900 -> 0 bytes
|  .../unnamed-chunk-5.png                           |  Bin 11621 -> 0 bytes
|  .../2013-09-05_Boston-useR_01_intro.R             |  198 -
|  .../2013-09-05_Boston-useR_01_intro.Rpres         |  454 --
|  .../2013-09-05_Boston-useR_01_intro.html          | 1471 ----
|  .../2013-09-05_Boston-useR_01_intro.md            |  659 --
|  .../dend_hang_tree_1.png                          |  Bin 4731 -> 0 bytes
|  .../dend_rotating_example_1.png                   |  Bin 4759 -> 0 bytes
|  .../dend_trimming_example_1.png                   |  Bin 4139 -> 0 bytes
|  .../dend_unbranching_example_1.png                |  Bin 4748 -> 0 bytes
|  .../first_tanglegram.png                          |  Bin 39575 -> 0 bytes
|  .../first_tanglegram_with_code.png                |  Bin 40772 -> 0 bytes
|  .../iris_colored_branches.png                     |  Bin 16950 -> 0 bytes
|  .../simple_tanglegram_1.png                       |  Bin 3256 -> 0 bytes
|  .../simple_tanglegram_1_worst_case.png            |  Bin 4577 -> 0 bytes
|  .../simple_tanglegram_one_shuffle_1.png           |  Bin 3621 -> 0 bytes
|  .../simple_tanglegram_random_search_1.png         |  Bin 2846 -> 0 bytes
|  ...ple_tanglegram_step_rotate_1side_example_1.png |  Bin 2822 -> 0 bytes
|  .../tanglegram_iris_untangle_random.png           |  Bin 42100 -> 0 bytes
|  .../unnamed-chunk-11.png                          |  Bin 5869 -> 0 bytes
|  .../unnamed-chunk-12.png                          |  Bin 4755 -> 0 bytes
|  .../unnamed-chunk-14.png                          |  Bin 4755 -> 0 bytes
|  .../unnamed-chunk-15.png                          |  Bin 4755 -> 0 bytes
|  .../unnamed-chunk-16.png                          |  Bin 4759 -> 0 bytes
|  .../unnamed-chunk-17.png                          |  Bin 4748 -> 0 bytes
|  .../unnamed-chunk-18.png                          |  Bin 22344 -> 0 bytes
|  .../unnamed-chunk-19.png                          |  Bin 4759 -> 0 bytes
|  .../unnamed-chunk-2.png                           |  Bin 18023 -> 0 bytes
|  .../unnamed-chunk-20.png                          |  Bin 4748 -> 0 bytes
|  .../unnamed-chunk-21.png                          |  Bin 4139 -> 0 bytes
|  .../unnamed-chunk-22.png                          |  Bin 4748 -> 0 bytes
|  .../unnamed-chunk-23.png                          |  Bin 4139 -> 0 bytes
|  .../unnamed-chunk-24.png                          |  Bin 22344 -> 0 bytes
|  .../unnamed-chunk-25.png                          |  Bin 4139 -> 0 bytes
|  .../unnamed-chunk-26.png                          |  Bin 22344 -> 0 bytes
|  .../unnamed-chunk-33.png                          |  Bin 3740 -> 0 bytes
|  .../unnamed-chunk-4.png                           |  Bin 6132 -> 0 bytes
|  .../unnamed-chunk-6.png                           |  Bin 6132 -> 0 bytes
|  .../unnamed-chunk-8.png                           |  Bin 5869 -> 0 bytes
|  .../unnamed-chunk-9.png                           |  Bin 6132 -> 0 bytes
|  .../2013-09-05_Boston-useR_02_dendextend.R        |  432 --
|  .../2013-09-05_Boston-useR_02_dendextend.Rpres    |  676 --
|  .../2013-09-05_Boston-useR_02_dendextend.html     | 1666 -----
|  .../2013-09-05_Boston-useR_02_dendextend.md       |  876 ---
|  .../first_tanglegram_with_2side_untangle.png      |  Bin 18166 -> 0 bytes
|  .../first_tanglegram_with_2side_untangle_hang.png |  Bin 26292 -> 0 bytes
|  .../first_tanglegram_with_code.png                |  Bin 29397 -> 0 bytes
|  .../first_tanglegram_with_random_untangle.png     |  Bin 23574 -> 0 bytes
|  .../unnamed-chunk-4.png                           |  Bin 23574 -> 0 bytes
|  .../unnamed-chunk-7.png                           |  Bin 18112 -> 0 bytes
|  .../unnamed-chunk-9.png                           |  Bin 18112 -> 0 bytes
|  .../2013-09-05_Boston-useR_03_untangle_iris.R     |  179 -
|  .../2013-09-05_Boston-useR_03_untangle_iris.Rpres |  184 -
|  .../2013-09-05_Boston-useR_03_untangle_iris.html  | 1058 ---
|  .../2013-09-05_Boston-useR_03_untangle_iris.md    |  200 -
|  .../__packages                                    |    8 -
|  ...ordered_ca9a216309a7a760068a06f608ab2ccd.RData |  Bin 2844 -> 0 bytes
|  ...m_ordered_ca9a216309a7a760068a06f608ab2ccd.rdb |  Bin 1975 -> 0 bytes
|  ...m_ordered_ca9a216309a7a760068a06f608ab2ccd.rdx |  Bin 154 -> 0 bytes
|  .../dend1_plot_1.png                              |  Bin 3877 -> 0 bytes
|  .../iris_tanglegram_ordered.png                   |  Bin 18166 -> 0 bytes
|  .../precip_dend5_plot_2.png                       |  Bin 3334 -> 0 bytes
|  .../tanglegram_dend12_1.png                       |  Bin 4528 -> 0 bytes
|  .../unnamed-chunk-10.png                          |  Bin 7186 -> 0 bytes
|  .../unnamed-chunk-11.png                          |  Bin 2578 -> 0 bytes
|  .../unnamed-chunk-12.png                          |  Bin 2625 -> 0 bytes
|  .../unnamed-chunk-5.png                           |  Bin 4055 -> 0 bytes
|  .../unnamed-chunk-6.png                           |  Bin 6754 -> 0 bytes
|  .../unnamed-chunk-7.png                           |  Bin 6419 -> 0 bytes
|  .../unnamed-chunk-9.png                           |  Bin 2000 -> 0 bytes
|  .../2013-09-05_Boston-useR_04_tree_inference.R    |  125 -
|  ...2013-09-05_Boston-useR_04_tree_inference.Rpres |  192 -
|  .../2013-09-05_Boston-useR_04_tree_inference.html | 1100 ---
|  .../2013-09-05_Boston-useR_04_tree_inference.md   |  255 -
|  inst/doc/dendextend-tutorial.pdf                  |  Bin 569458 -> 0 bytes
|  vignettes/.gitignore                              |    1 -
|  vignettes/cache/__packages                        |   12 -
|  ...hunk-40_72720aff4e60fb7daa0fc155de695631.RData |  Bin 4201 -> 0 bytes
|  ...-chunk-40_72720aff4e60fb7daa0fc155de695631.rdb |  Bin 9497 -> 0 bytes
|  ...-chunk-40_72720aff4e60fb7daa0fc155de695631.rdx |  Bin 179 -> 0 bytes
|  vignettes/dendextend-tutorial-concordance.tex     |   14 -
|  vignettes/dendextend-tutorial.blg                 |    5 -
|  vignettes/dendextend-tutorial.log                 | 3070 --------
|  vignettes/dendextend-tutorial.pdf                 | 7393 ++++++++++---------
|  vignettes/dendextend-tutorial.rnw                 |   72 +-
|  vignettes/dendextend-tutorial.synctex.gz          |  Bin 238204 -> 0 bytes
|  vignettes/dendextend-tutorial.tex                 | 3434 ---------
|  vignettes/figure/Bk_examples.pdf                  |  Bin 20539 -> 0 bytes
|  vignettes/figure/Bk_plot_for_dends_correct.pdf    |  Bin 20591 -> 0 bytes
|  vignettes/figure/Bk_plot_for_hclust_WRONG.pdf     |  Bin 29264 -> 0 bytes
|  vignettes/figure/FM_permutation_example_1.pdf     |  Bin 10674 -> 0 bytes
|  vignettes/figure/FM_permutation_example_2.pdf     |  Bin 10392 -> 0 bytes
|  vignettes/figure/FM_permutation_example_3.pdf     |  Bin 9977 -> 0 bytes
|  vignettes/figure/cor_bakers_gamma_example_11.pdf  |  Bin 5053 -> 0 bytes
|  vignettes/figure/cor_bakers_gamma_example_12.pdf  |  Bin 5082 -> 0 bytes
|  vignettes/figure/cor_bakers_gamma_example_13.pdf  |  Bin 5054 -> 0 bytes
|  vignettes/figure/cor_bakers_gamma_example_14.pdf  |  Bin 5057 -> 0 bytes
|  .../figure/cor_bakers_gamma_simulation_1.pdf      |  Bin 7148 -> 0 bytes
|  .../figure/cor_bakers_gamma_simulation_2.pdf      |  Bin 7609 -> 0 bytes
|  .../figure/cor_bakers_gamma_simulation_3.pdf      |  Bin 7596 -> 0 bytes
|  .../figure/cor_bakers_gamma_simulation_CI_41.pdf  |  Bin 5047 -> 0 bytes
|  .../figure/cor_bakers_gamma_simulation_CI_42.pdf  |  Bin 4848 -> 0 bytes
|  .../figure/cor_bakers_gamma_simulation_CI_43.pdf  |  Bin 7485 -> 0 bytes
|  vignettes/figure/cor_cophenetic_simulation_2.pdf  |  Bin 7663 -> 0 bytes
|  .../figure/cor_cophenetic_simulation_CI_3.pdf     |  Bin 7152 -> 0 bytes
|  .../figure/cor_cophenetic_simulation_CI_4.pdf     |  Bin 7524 -> 0 bytes
|  vignettes/figure/first_tanglegram.pdf             |  Bin 15816 -> 0 bytes
|  vignettes/figure/first_tanglegram1.pdf            |  Bin 3450 -> 0 bytes
|  vignettes/figure/first_tanglegram2.pdf            |  Bin 15825 -> 0 bytes
|  vignettes/figure/iris_colored_branches.pdf        |  Bin 17747 -> 0 bytes
|  vignettes/figure/iris_colored_pairs_plot.pdf      |  Bin 74472 -> 0 bytes
|  vignettes/figure/unnamed-chunk-19.pdf             |  Bin 4578 -> 0 bytes
|  vignettes/figure/unnamed-chunk-23.pdf             |  Bin 4921 -> 0 bytes
|  vignettes/figure/unnamed-chunk-24.pdf             |  Bin 4576 -> 0 bytes
|  vignettes/figure/unnamed-chunk-25.pdf             |  Bin 4925 -> 0 bytes
|  vignettes/figure/unnamed-chunk-26.pdf             |  Bin 4564 -> 0 bytes
|  vignettes/figure/unnamed-chunk-27.pdf             |  Bin 5273 -> 0 bytes
|  vignettes/figure/unnamed-chunk-28.pdf             |  Bin 4694 -> 0 bytes
|  vignettes/figure/unnamed-chunk-29.pdf             |  Bin 5655 -> 0 bytes
|  vignettes/figure/unnamed-chunk-30.pdf             |  Bin 5374 -> 0 bytes
|  vignettes/figure/unnamed-chunk-32.pdf             |  Bin 15728 -> 0 bytes
|  vignettes/figure/unnamed-chunk-321.pdf            |  Bin 3448 -> 0 bytes
|  vignettes/figure/unnamed-chunk-322.pdf            |  Bin 15508 -> 0 bytes
|  vignettes/figure/unnamed-chunk-33.pdf             |  Bin 15779 -> 0 bytes
|  vignettes/figure/unnamed-chunk-331.pdf            |  Bin 3448 -> 0 bytes
|  vignettes/figure/unnamed-chunk-332.pdf            |  Bin 15665 -> 0 bytes
|  vignettes/figure/unnamed-chunk-333.pdf            |  Bin 15739 -> 0 bytes
|  vignettes/figure/unnamed-chunk-34.pdf             |  Bin 6850 -> 0 bytes
|  vignettes/figure/unnamed-chunk-35.pdf             |  Bin 6847 -> 0 bytes
|  vignettes/figure/unnamed-chunk-36.pdf             |  Bin 6824 -> 0 bytes
|  vignettes/figure/unnamed-chunk-37.pdf             |  Bin 6832 -> 0 bytes
|  vignettes/figure/unnamed-chunk-38.pdf             |  Bin 6815 -> 0 bytes
|  vignettes/figure/unnamed-chunk-39.pdf             |  Bin 6961 -> 0 bytes
|  vignettes/figure/unnamed-chunk-4.pdf              |  Bin 4198 -> 0 bytes
|  vignettes/figure/unnamed-chunk-40.pdf             |  Bin 20539 -> 0 bytes
|  .../untangle_step_rotate_2side_example1.pdf       |  Bin 6158 -> 0 bytes
|  .../untangle_step_rotate_2side_example2.pdf       |  Bin 6137 -> 0 bytes
|  .../untangle_step_rotate_2side_example3.pdf       |  Bin 6154 -> 0 bytes
|  .../untangle_step_rotate_2side_example4.pdf       |  Bin 6141 -> 0 bytes
|  .../untangle_step_rotate_2side_example5.pdf       |  Bin 5714 -> 0 bytes
|  .../untangle_step_rotate_2side_example6.pdf       |  Bin 6163 -> 0 bytes
|  148 files changed, 3744 insertions(+), 19994 deletions(-)

* 2014-07-14(Tal Galili) Fix the docs of the functions in dendextend which relates to the newer dendextendRcpp (version 0.5.1): cut_lower_fun, get_branches_heights,  heights_per_k.dendrogram |a0382df| 
|  NEWS                            |  6 +++---
|  R/attr_access.R                 | 11 +++++------
|  R/cut_lower_fun.R               | 16 ++++++++--------
|  R/cutree.dendrogram.R           | 25 +++++++++++++------------
|  man/cut_lower_fun.Rd            | 16 ++++++++--------
|  man/get_branches_heights.Rd     | 11 +++++------
|  man/heights_per_k.dendrogram.Rd | 23 ++++++++++++-----------
|  7 files changed, 54 insertions(+), 54 deletions(-)

* 2014-07-13(Tal Galili) Fix typos in vignettes - thank you Bob Muenchen! |96692d2| 
|  DESCRIPTION                       | 16 +++++----
|  NEWS                              |  1 +
|  vignettes/dendextend-tutorial.bib | 10 ++++++
|  vignettes/dendextend-tutorial.rnw | 70 ++++++++++++++++++-------------------
|  4 files changed, 54 insertions(+), 43 deletions(-)

* 2014-07-13(Tal Galili) rotate_DendSer function added - and a bug was fixed in doing so. (also some credit corrections) |b045289| 
|  NAMESPACE                 |  1 +
|  NEWS                      |  2 +-
|  R/untangle.R              | 64 +++++++++++++++++++++++++++++++++++----------
|  man/DendSer.dendrogram.Rd |  8 ++++--
|  man/color_branches.Rd     |  2 +-
|  man/rotate_DendSer.Rd     | 47 +++++++++++++++++++++++++++++++++
|  man/tanglegram.Rd         |  4 +--
|  man/untangle_DendSer.Rd   |  3 ++-
|  8 files changed, 110 insertions(+), 21 deletions(-)

* 2014-07-13(Tal Galili) Vignettes - fixing spelling mistakes. |cc792b7| 
|  vignettes/dendextend-tutorial.rnw | 48 ++++++++++++++++++-------------------
|  1 file changed, 24 insertions(+), 24 deletions(-)

* 2014-07-13(Tal Galili) Update credits. |184907e| 
|  DESCRIPTION        | 8 +++++---
|  R/color_branches.R | 2 +-
|  R/tanglegram.R     | 4 ++--
|  3 files changed, 8 insertions(+), 6 deletions(-)

* 2014-07-13(Tal Galili) Minor doc changes |210cf71| 
|  R/labels.R               | 1 +
|  man/color_branches.Rd    | 1 +
|  man/labels_colors.Rd     | 4 ++++
|  man/update.dendrogram.Rd | 2 +-
|  4 files changed, 7 insertions(+), 1 deletion(-)

* 2014-07-13(Tal Galili) Added tests for update.dendrogram! |ba435a1| 
|  inst/tests/test-update.dendrogram.R | 136 ++++++++++++++++++++++++++++++++++
|  1 file changed, 136 insertions(+)

* 2014-07-13(Tal Galili) update.dendrogram - added .Rd docs :) |208af7d| 
|  NAMESPACE                |   1 +
|  R/update.dendrogram.R    | 297 ++++++++++++++++++++++-----------------------
|  man/update.dendrogram.Rd | 135 +++++++++++++++++++++
|  3 files changed, 282 insertions(+), 151 deletions(-)

* 2014-07-13(Tal Galili) tanglegram - preserve and restore previous par options (will no longer have a tiny plot in the left corner, when using a simple plot after tanglegram) |982053b| 
|  NEWS           | 4 +++-
|  R/tanglegram.R | 5 ++++-
|  2 files changed, 7 insertions(+), 2 deletions(-)

* 2014-07-12(Tal Galili) colored_bars - added docs :) |08a7118| 
|  DESCRIPTION         |   4 +-
|  NAMESPACE           |   2 +-
|  NEWS                |   2 +
|  R/colored_bars.R    | 243 +++++++++++++++++++++++++++++++-------------------
|  man/colored_bars.Rd | 116 ++++++++++++++++++++++++
|  5 files changed, 271 insertions(+), 96 deletions(-)

* 2014-07-12(Tal Galili) color_bars - adding more parameters. Made sure it can now be placed on top of a plot(dend). |a3db1f1| 
|  NAMESPACE        |   1 +
|  NEWS             |   2 +
|  R/color_bars.R   |  64 ----------------
|  R/colored_bars.R | 216 +++++++++++++++++++++++++++++++++++++++++++++++++++++
|  4 files changed, 219 insertions(+), 64 deletions(-)

* 2014-07-12(Tal Galili) color_bars - make sure to keep and reset the options |c13e95b| 
|  R/color_bars.R | 5 ++++-
|  1 file changed, 4 insertions(+), 1 deletion(-)

* 2014-07-12(Tal Galili) Rename plotHclustColors to color_bars - and made it work with dendrograms |61f854e| 
|  R/color_bars.R | 10 +++++++---
|  1 file changed, 7 insertions(+), 3 deletions(-)

* 2014-07-12(Tal Galili) plotHclustColors - first import into the package |5c5bec8| 
|  R/color_bars.R | 57 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 57 insertions(+)

* 2014-07-11(Tal Galili) assign_values_to_branches_edgePar - value can now be different than 1 (it now also has a recycle option for the value) |fdc946e| 
|  NEWS                                     |  5 ++++-
|  R/attr_access.R                          | 24 +++++++++++++++++++++---
|  man/assign_values_to_branches_edgePar.Rd |  8 +++++++-
|  3 files changed, 32 insertions(+), 5 deletions(-)

* 2014-07-11(Tal Galili) update.dendrogram added: branches_color, branches_k_color,      branches_col, branches_lwd, branches_lty, clear_branches, clear_leaves |ee7d0c7| 
